1998-08-11 14:05  Ulrich Drepper  <drepper@cygnus.com>

	* timezone/backward: Update from tzdata1998g.
	* timezone/etcetera: Likewise.
	* timezone/europe: Likewise.

1998-08-11  Philip Blundell  <pb@nexus.co.uk>

	* sysdeps/generic/tempname.c (__path_search): Fix typo and
	formatting.

1998-08-11  H.J. Lu  <hjl@gnu.org>

	* malloc/malloc.c (free_check): Print pointer value using %p.
	(realloc_check): Likewise.

1998-08-11 13:57  Ulrich Drepper  <drepper@cygnus.com>

	* libio/fileops.c (_IO_file_sync): Use _IO_ssize_t for delta, not
	_IO_size_t.

1998-08-10 15:49  Ulrich Drepper  <drepper@cygnus.com>

	* include/dirent.h: Protect from double inclusion.

1998-08-09  Mark Kettenis  <kettenis@phys.uva.nl>

	* posix/glob.h: Add LFS support for glob and globfree.
	* posix/Versions [GLIBC_2.1]: Add glob64 and globfree64.
	* posix/Makefile (routines): Add glob64.
	* sysdeps/generic/glob64.c: New file.
	* sysdeps/unix/sysv/linux/glob64.c: New file.
	* sysdeps/unix/sysv/linux/alpha/glob64.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/glob64.c: New file.
	* sysdeps/generic/glob.c [_LIBC && glob] (__glob_pattern_p):
	Elide function.
	* sysdeps/unix/sysv/linux/alpha/glob.c: Add glob64 as a weak alias
	for __new_glob.  Likewise for globfree64.
	* sysdeps/unix/sysv/linux/sparc/sparc64/glob.c: New file.

1998-08-09  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/unix/Makefile ($(common-objpfx)s-proto.d): Remove
	-include flag from command.

1998-08-10  Ulrich Drepper  <drepper@cygnus.com>

	* nss/nss_db/db-XXX.c (_nss_db_getXXX): If buffer is too small
	decrement `entidx' to allow retrieving the same entry again.

1998-08-09 22:32  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/powerpc/ffs.c: Fix typo.  Add support for ffsl.
	Patch by Matt McLean <keys@yikes.com>.

1998-08-07  Geoff Keating  <geoffk@ozemail.com.au>

	* sysdeps/powerpc/bits/setjmp.h: Use word to save condition
	registers.
	* sysdeps/powerpc/setjmp.S: Save condition registers.
	* sysdeps/powerpc/__longjmp.S: Restore condition registers.

1998-08-09 09:40  Ulrich Drepper  <drepper@cygnus.com>

	* nss/nss_files/files-XXX.c (internal_getent): In case of an read
	error do not trust errno value, set it to ENOENT.

	* db2/db_185.h: Move __ prototypes into include/* header.
	* dirent/dirent.h: Likewise.
	* elf/dlfcn.h: Likewise.
	* gmon/sys/gmon.h: Likewise.
	* grp/grp.h: Likewise.
	* intl/libintl.h: Likewise.
	* io/fcntl.h: Likewise.
	* io/sys/stat.h: Likewise.
	* io/sys/statfs.h: Likewise.
	* io/sys/statvfs.h: Likewise.
	* libio/stdio.h: Likewise.
	* login/utmp.h: Likewise.
	* misc/mntent.h: Likewise.
	* misc/search.h: Likewise.
	* misc/sys/file.h: Likewise.
	* misc/sys/ioctl.h: Likewise.
	* misc/sys/select.h: Likewise.
	* misc/sys/uio.h: Likewise.
	* misc/sys/ustat.h: Likewise.
	* posix/unistd.h: Likewise.
	* posix/sys/times.h: Likewise.
	* posix/sys/wait.h: Likewise.
	* pwd/pwd.h: Likewise.
	* resource/ulimit.h: Likewise.
	* resource/sys/resource.h: Likewise.
	* setjmp/setjmp.h: Likewise.
	* shadow/shadow.h: Likewise.
	* signal/signal.h: Likewise.
	* socket/sys/socket.h: Likewise.
	* stdlib/alloca.h: Likewise.
	* stdlib/stdlib.h: Likewise.
	* string/string.h: Likewise.
	* sysdeps/generic/sys/mman.h: Likewise.
	* sysdeps/unix/bsd/osf/sys/mman.h: Likewise.
	* sysdeps/unix/bsd/sun/sunos4/sys/mman.h: Likewise.
	* sysdeps/unix/bsd/ultrix4/sys/mman.h: Likewise.
	* sysdeps/unix/sysv/irix4/sys/mman.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/sched.h: Likewise.
	* sysdeps/unix/sysv/linux/sys/mman.h: Likewise.
	* termios/termios.h: Likewise.
	* time/time.h: Likewise.
	* time/sys/time.h: Likewise.
	* wcsmbs/wchar.h: Likewise.

	* include/alloca.h: Add __ prototypes here.
	* include/db_185.h: Likewise.
	* include/dirent.h: Likewise.
	* include/dlfcn.h: Likewise.
	* include/fcntl.h: Likewise.
	* include/grp.h: Likewise.
	* include/libintl.h: Likewise.
	* include/mntent.h: Likewise.
	* include/pwd.h: Likewise.
	* include/sched.h: Likewise.
	* include/search.h: Likewise.
	* include/setjmp.h: Likewise.
	* include/shadow.h: Likewise.
	* include/signal.h: Likewise.
	* include/stdio.h: Likewise.
	* include/stdlib.h: Likewise.
	* include/string.h: Likewise.
	* include/termios.h: Likewise.
	* include/time.h: Likewise.
	* include/ulimit.h: Likewise.
	* include/unistd.h: Likewise.
	* include/utmp.h: Likewise.
	* include/wchar.h: Likewise.
	* include/sys/file.h: Likewise.
	* include/sys/gmon.h: Likewise.
	* include/sys/ioctl.h: Likewise.
	* include/sys/mman.h: Likewise.
	* include/sys/resource.h: Likewise.
	* include/sys/select.h: Likewise.
	* include/sys/socket.h: Likewise.
	* include/sys/stat.h: Likewise.
	* include/sys/statfs.h: Likewise.
	* include/sys/time.h: Likewise.
	* include/sys/times.h: Likewise.
	* include/sys/uio.h: Likewise.
	* include/sys/wait.h: Likewise.

	* Makeconfig (+includes): Search in $(..)include first.

	* io/fstat.c: Undefine __fstat.
	* io/lstat.c: Undefine __lstat.

	* wcsmbs/Versions: Add __mbrlen.

1998-08-09  Ulrich Drepper  <drepper@cygnus.com>

	* elf/dl-reloc.c (_dl_relocate_object): Implement DT_BIND_NOW.

1998-07-31 17:59  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/generic/bits/byteswap.h: Fix problems with side effects.

	* manual/filesys.texi: Document truncate and ftruncate.
	Patch by Michael Deutschmann <michael@talamasca.wkpowerlink.com>.

	* shadow/putspent.c: Lock stream while generating the output.

	* sunrpc/clnt_unix.c: Use ucred instead of cmsgcred again.
	(__msgwrite): Rewrite accordingly.
	* sunrpc/svc_unix.c: Likewise.
	* sysdeps/unix/sysv/linux/Dist: Remove __recvmsg.S and __sendmsg.S.
	* sysdeps/unix/sysv/linux/Makefile [$(subdir)==socket]
	(sysdep_routines): Remove __sendmsg and __recvmsg.
	* sysdeps/unix/sysv/linux/__recvmsg.S: Removed.
	* sysdeps/unix/sysv/linux/__sendmsg.S: Removed.
	* sysdeps/unix/sysv/linux/recvmsg.c: Removed.
	* sysdeps/unix/sysv/linux/sendmsg.c: Removed.
	* sysdeps/unix/sysv/linux/recvmsg.S: New file.
	* sysdeps/unix/sysv/linux/sendmsg.S: New file.
	* sysdeps/unix/sysv/linux/bits/socket.h: Define SCM_CREDENTIALS and
	struct ucred.  Remove struct cmsgcred.
	Patches by Thorsten Kukuk.

1998-08-03  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* inet/rcmd.c (__ivaliduser): Allow '#' as comment character.

1998-08-08 14:42  Ulrich Drepper  <drepper@cygnus.com>

	* argp/argp-help.c: Prepare to be used outside glibc without gcc by
	adding usual alloca cruft.
	Reported by Eleftherios Gkioulekas <lf@amath.washington.edu>.

1998-04-05  Jim Meyering  <meyering@ascend.com>

	* lib/regex.c (WIDE_CHAR_SUPPORT): Define.
	This now depends on HAVE_BTOWC so systems that lack btowc (like
	solaris-2.5.1) don't lose.

1998-08-07  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/generic/bits/sigaction.h: Remove definition of SA_DISABLE.
	* sysdeps/generic/bits/sigstack.h: Define SS_DISABLE, SS_ONSTACK,
	MINSIGSTKZ and SIGSTKSZ.  Definitions match BSD.
	* hurd/sigunwind.c (_hurdsig_longjmp_from_handler): Use SS_ONSTACK
	instead of SA_ONSTACK.
	* sysdeps/mach/hurd/sigaltstack.c (__sigaltstack): Renamed from
	sigaltstack, and created a weak alias.  Use SS_DISABLE and
	SS_ONSTACK instead of SA_DISABLE and SA_ONSTACK.
	* sysdeps/mach/hurd/sigstack.c (sigstack): Use SS_ONSTACK instead
	of SA_ONSTACK.  Call __sigaltstack instead of sigaltstack.
	* sysdeps/mach/hurd/i386/sigreturn.c (__sigreturn): Use SS_ONSTACK
	instead of SA_ONSTACK.
	* sysdeps/mach/hurd/alpha/sigreturn.c (__sigreturn): Likewise.
	* sysdeps/mach/hurd/mips/sigreturn.c (__sigreturn): Likewise.
	* sysdeps/mach/hurd/i386/trampoline.c (_hurd_setup_sighandler):
	Use SS_DISABLE instead of SA_DISABLE.  Use SS_ONSTACK instead of
	SA_ONSTACK where appropriate.
	* sysdeps/mach/hurd/alpha/trampoline.c (_hurd_setup_sighandler):
	Likewise.
	* sysdeps/mach/hurd/hppa/trampoline.c (_hurd_setup_sighandler):
	Likewise.
	* sysdeps/mach/hurd/mips/trampoline.c (_hurd_setup_sighandler):
	Likewise.
	* manual/signal.texi (Signal Stack): Talk about SS_DISABLE and
	SS_ONSTACK instead of SA_DISABLE and SA_ONSTACK in discussion of
	the `ss_flags' member of `struct sigaltstack'.

1998-08-05  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* libio/Makefile (routines) [$(versioning)=yes]: Add oldtmpfile.
	(shared-only-routines): Likewise.
	* libio/oldtmpfile.c: New file
	* stdio-common/tmpfile.c: Use __fdopen and __close.
	[USE_IN_LIBIO]: Use _IO_fdopen instead of _IO_new_fdopen.  Put
	tmpfile on symbol version GLIBC_2.1.
	* stdio-common/tmpfile64.c: Use __fdopen and __close.
	[USE_IN_LIBIO]: Use _IO_fdopen instead of _IO_new_fdopen.
	* stdio-common/Version [GLIBC_2.1]: Add tmpfile.
	* stdio-common/tempnam.c: Use __strdup instead of strdup.
	* sysdeps/posix/fdopen.c: Define __fdopen and make fdopen weak
	alias.
	* sysdeps/generic/fdopen.c: Likewise.
	* sysdeps/mach/hurd/fdopen.c: Likewise.
	* stdio/stdio.h: Declare __fdopen.
	* sunrpc/openchild.c: Use __fdopen instead of fdopen.
	[USE_IN_LIBIO]: Map __fdopen to _IO_fdopen.
	* sysdeps/posix/tempname.c (__gen_tempname): Don't bother checking
	__stub_open64, it is never defined.

1998-08-05  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* libio/iofopen64.c: Fix typo.  Avoid unnessary casts.
	* libio/iopopen.c: Unlink file before freeing it if command
	creation failed.  Avoid unnessary casts.
	* libio/iofdopen.c:  Avoid unnecessary cast.
	* pwd/fgetpwent_r.c [USE_IN_LIBIO]: Map funlockfile to
	_IO_funlockfile.
	* pwd/fgetspent_r.c [USE_IN_LIBIO]: Likewise.

1998-08-06  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* grp/grp.h, pwd/pwd.h: Don't declare __grpopen, __grpread,
	__grpalloc, __grpscan and the corresponding pwd functions, they
	were removed long ago.

1998-08-06  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* math/libm-test.c (csqrt_test): Adjust epsilons.
	(casinh_test): Likewise.

1998-08-06  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* posix/globtest.sh: Fix typo.  Remove second test output file.

1998-08-07  Cristian Gafton  <gafton@redhat.com>

	* pwd/putpwent.c (putpwent): Avoid writting (none) in the passwd file.
	* shadow/putspent.c (putspent): Likewise.
	* grp/putgrent.c: New file.
	* grp/Makefile (routines): Add putgrent.
	* grp/Versions [GLIBC_2.1]: Add putgrent.
	* grp/grp.h: Add putgrent prototype.

1998-08-04 19:33  Ulrich Drepper  <drepper@cygnus.com>

	* elf/elf.h: More ELF definitions.

1998-08-04 16:53  Ulrich Drepper  <drepper@cygnus.com>

	* stdio-common/tmpfile.c: Include unistd.h for close prototype.
	* stdio-common/tmpfile64.c: Likewise.

	* db2/makedb.c: Generate output file with same access permissions
	the input file has.

	* signal/signal.h: Pretty printing.

1998-08-04  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* misc/mktemp.c: Add include <stlib.h> for prototype, remove
	unneccessary includes.
	* misc/mkstemp.c: Likewise.

1998-08-03 16:36  Ulrich Drepper  <drepper@cygnus.com>

	* catgets/catgets.c: Use mmap/munmap only is _POSIX_MAPPED_FILES
	is defined.
	* catgets/open_catalog.c: Likewise.
	* iconv/iconv_prog.c: Likewise.
	* intl/loadmsgcat.c: Likewise.
	* locale/findlocale.c: Likewise.
	* locale/loadlocale.c: Likewise.
	* locale/programs/localedef.c: Likewise.
	* malloc/malloc.c: Likewise.

	* elf/elf.h: Fix typo.

	* math/Makefile: Use $(LN_S) instead of ln.

	* sysdeps/generic/getpgid.c: Fix return type.

1998-08-01 02:49 -0400  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* sysdeps/posix/tempname.c (__stdio_gen_tempname): Rename to
	__gen_tempname and simplify the interface.  Strip out the
	code to do path search and create FILE objects.  This function
	now takes a mktemp() style template and returns either a name
	or a file descriptor.
	(__path_search): New function; searches for directories for
	temp files.
	* sysdeps/generic/tempname.c: Stub out __gen_tempname and
	__path_search, not __stdio_gen_tempname.

	* libio/stdio.h: Prototype __gen_tempname and __path_search,
	not __stdio_gen_tempname.
	* stdio/stdio.h: Likewise.

	* stdio-common/tempnam.c: Use __path_search and __gen_tempname.
	* stdio-common/tmpfile.c: Likewise.
	* stdio-common/tmpfile64.c: Likewise.
	* stdio-common/tmpnam.c: Likewise.
	* stdio-common/tmpnam_r.c: Likewise.

	* misc/mkstemp.c: New file.  Use __gen_tempname.
	* misc/mktemp.c: Likewise.

	* sysdeps/posix/mkstemp.c: Removed.
	* sysdeps/posix/mktemp.c: Removed.
	* sysdeps/generic/mkstemp.c: Removed.
	* sysdeps/generic/mktemp.c: Removed.

1998-08-02  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* configure.in: Check, if door add-on is installed.
	* config.make.in: Add have_doors.
	* sunrpc/Makefile: Add HAVE_DOOR define.
	* sunrpc/key_call.c: Add keyserv/door interface.

	* sunrpc/svc_unix.c: Call setsockopt only if SO_PASSCRED is defined.
	* sunrpc/clnt_unix.c: Likewise.

1998-08-02  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* inet/netinet/in.h (IN_CLASSC): Correct mask.
	Reported by Ian Staniforth <I.Staniforth@sheffield.ac.uk> [fixes
	PR libc/727].

1998-08-03 10:23  Ulrich Drepper  <drepper@cygnus.com>

	* misc/Makefile: Fix installation problem with --disable-shared.
	* posix/Makefile: Likewise.

1998-08-02  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* posix/regex.c (re_search_2): Optimize searching for anchored
	pattern if '^' cannot match at embedded newlines.
	(regerror): Renamed from __regerror, which it should only be
	called if _LIBC.

1998-07-31  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sunrpc/svc_unix.c (__msgread): Check setsockopt return value.

1998-07-31  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/generic/glob.c: Remove obsolete cast.

1998-07-31  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Rules (tests): Fix last change.

1998-07-31 17:59  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/Makefile [subdir==misc] (sysdep_routines):
	Add sys_setresuid.

1998-07-30  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/unix/sysv/linux/syscalls.list: Add __syscall_setresuid
	as real name for system call and make setresuid a weak alias.  Set
	caller to seteuid.
	* sysdeps/unix/sysv/linux/seteuid.c (seteuid): Implement using
	`setresuid' syscall if availble.  Fixes problems with sendmail
	which expects `seteuid' to not set the saved user ID.

1998-07-30 20:09 -0400  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* time/tzset.c (__tzstring): Get rid of excessive cleverness
	which was causing stack corruption.

1998-07-31 16:41 -0400  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* argp/argp-fmtstream.c (__argp_fmtstream_update): Correct
	off-by-one in wordwrap algorithm when there' a space at the
	beginning of the buffer.

1998-07-31 15:45  Ulrich Drepper  <drepper@cygnus.com>

	* Makerules (LDLIBS-c.so): Extend value instead of overwriting it.

1998-07-31 11:10  Ulrich Drepper  <drepper@cygnus.com>

	* elf/elf.h: Add lots of new symbols from Irix and Solaris.

	* sysdeps/unix/sysv/linux/sigstack.c: Include stddef.h to get NULL
	definition.

1998-07-31  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* sunrpc/xcrypt.c: Use only the first 8 characters of the password.

1998-07-30 21:06 -0400  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* sysdeps/generic/glob.c: Undefine strdup before defining it,
	because bits/string2.h may have defined it already.

1998-07-29  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* stdio-common/vfscanf.c: Optimize looking for type modifiers.
	Fix recognition of 'a' modifier vs. 'a' format.
	(TYPEMOD): Removed.

	* stdio-common/printf-parse.h (parse_one_spec): Optimize looking
	for type modifiers.  Fix recognition of 'hh' modifier.

1998-07-31  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* sunrpc/svc_unix.c: Fix typo.

1998-07-31  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* sysdeps/unix/sysv/linux/recvmsg.c: Don't check for SCM_CREDS before
	syscall.

1998-07-30 12:38  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/i386/ffs.c: Add ffsl entry point.
	* sysdeps/i386/i686/ffs.c: Likewise.
	* sysdeps/m68k/ffs.c: Likewise.
	* sysdeps/powerpc/ffs.c: Likewise.

	* sysdeps/i386/i486/bits/string.h: Add optimizations for ffs/ffsl
	on i686.

1998-07-30  Richard Henderson  <rth@cygnus.com>

	* elf/Makefile (ld-map): Move initialization below Makeconfig include.

	* sysdeps/libm-ieee754/k_standard.c (zero): Make non-const to
	work around gcc bug.

	* string/string.h (ffsl, ffsll): Prototype.
	* string/Version (GLIBC_2.1): Add them.
	* sysdeps/alpha/ffs.S: Schedule for EV5.  Add ffsl and ffsll
	entry points.
	* sysdeps/alpha/ffsll.S: New file.  Empty.
	* sysdeps/generic/ffs.c: Add ffsl and ffsll entry points.
	* sysdeps/generic/ffsll.c: New file.
	* string/Makefile (routines): Add ffsll.

1998-07-30 10:03  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/alpha/bits/time.h: Don't define CLK_TCK for
	strictly ISO C compliant programs.
	* sysdeps/unix/sysv/linux/mips/bits/time.h: Likewise.

1998-07-22  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* inet/protocols/rwhod.h: Correct typo in comment.

	* configure.in: Use better regex for gettext.

1998-07-29 21:29  Ulrich Drepper  <drepper@cygnus.com>

	* elf/elf.h: Define more EM_* constants, ELFCLASSNUM, ELFDATANUM,
	EV_NUM, Elf32_Nhdr, Elf64_Nhdr and various note section values.

	* elf/elf.h: Add DT_FLAGS_1 and the DF_1_* flag definitions.

	* elf/sprof.c: Implement -c/--call-pairs option to emit list with
	caller/callee and the number of calls.

1998-07-29  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/mach/hurd/dl-sysdep.c (__lseek): New function.
	(__getpid): New function.
	(abort): New function.

1998-07-29 15:07  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/arm/fpu/Dist: New file.  Add ieee754.h.

	* nis/nis_cache2_xdr.c: Removed.
	* nis/nis_cache.c: Removed.
	* nis/nis_cache2.h: Removed.

1998-07-29  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* Rules (tests): Depend on tests-static only if build-static == yes.

	* misc/Makefile (install-lib): Compile libbsd-compat.a and libg.a
	only if build-static == yes.

1998-07-29 12:58  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/generic/glob.c: Winblowz compatibility stuff.
	Patch received from Paul D. Smith <psmith@BayNetworks.COM>.

1998-07-29  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sunrpc/clnt_unix.c (__msgwrite)[!SCM_CRED]: Add return
	statement, fix typo.
	* sunrpc/svc_unix.c (__msgwrite)[!SCM_CRED]: Likewise.

1998-07-29  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* manual/pattern.texi (More Flags for Globbing): Fix typo.

	* manual/math.texi (Special Functions): Fix typo.

	* sysdeps/unix/sysv/linux/bits/in.h (IPV6_ROUTER_ALERT): New
	constant from Linux 2.1.112.

	* posix/Makefile (install-lib): Compile libposix.a only if
	build-static == yes.

1998-07-28  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/generic/glob.c: Maintain const correctness.  Move extern
	declarations to file level.  Cope with unsupported
	_SC_GETPW_R_SIZE_MAX.

1998-07-29  Ulrich Drepper  <drepper@cygnus.com>

	* stdio-common/tst-printf.c: %z is now recognized by printf.

	* sysdeps/libm-ieee754/c_csqrt.c: Fix problems with some cancelation
	errors.
	* sysdeps/libm-ieee754/c_csqrtf.c: Likewise.
	* sysdeps/libm-ieee754/c_csqrtlc: Likewise.
	Patch by Stephen L Moshier <moshier@mediaone.net>.

	* math/libm-test.c (csqrt_test): Correct typo in one test, add
	another one.

	* sysdeps/unix/sysv/linux/bits/siginfo.h: Adjust siginfo_t after
	latest kernel change.

1998-07-29  6:39  Kazushige Goto <goto@statabo.rim.or.jp>

	* sysdeps/alpha/fpu/e_sqrt.c [!_IEEE_FP]: Correctly handle
	inputs near DBL_MIN.

1998-07-28  Ulrich Drepper  <drepper@cygnus.com>

	* resolv/nss_dns/dns-host.c (getanswer_r): Lower the priority of
	warnings when DNSSEC related records are received.
	* resolv/gethnamaddr.c (getanswer): Likewise.
	Patch by Brian Wellington <bwelling@anomaly.munge.com>.

	* signal/signal.h: Add prototype for sysv_signal.

	* math/libm-test.c (tgamma_test): Remove redundant tests.

	* sysdeps/generic/glob.c: Correct problems with */foo and GLOB_NOCHECK
	where foo does not exist in any of the subdirectories.
	Reported by Paul D. Smith <psmith@BayNetworks.COM>.

	* posix/globtest.sh: Add test for this bug.

	* posix/glob.h: Add GLOB_TILDE_CHECK.
	* sysdeps/generic/glob.c: Implement GLOB_TILDE_CHECK.
	* posix/globtest.c: Add option T to enable GLOB_TILDE_CHECK.
	* posix/globtest.sh: Re-enable test with ~ and non-existing user name.

1998-07-28  Mark Kettenis  <kettenis@phys.uva.nl>

	* io/sys/statfs.h: Fix typos.
	* io/sys/statvfs.h: Fix typos.

1998-07-28  Ulrich Drepper  <drepper@cygnus.com>

	* version.h (VERSION): Bump to 2.0.95.

	* math/Makefile (libm-calls): Remove w_gamma, add w_tgamma.
	* math/Versions [GLIBC_2.1]: Add tgamma, tgammaf, and tgammal.
	* math/libm-test.c: Split old gamma_test and move half of it in new
	function tgamma_test.
	* math/bits/mathcalls.h: Add declaration of tgamma.
	* sysdeps/libm-ieee754/k_standard.c: Change gamma errors into
	tgamma errors.
	* sysdeps/libm-ieee754/w_gamma.c: Remove lgamma compatibility code
	and rename to ...
	* sysdeps/libm-ieee754/w_tgamma.c: ... this.  New file.
	* sysdeps/libm-ieee754/w_gammaf.c: Remove lgammaf compatibility code
	and rename to ...
	* sysdeps/libm-ieee754/w_tgammaf.c: ... this.  New file.
	* sysdeps/libm-ieee754/w_gammal.c: Remove lgammal compatibility code
	and rename to ...
	* sysdeps/libm-ieee754/w_tgammal.c: ... this.  New file.
	* sysdeps/libm-ieee754/w_lgamma.c: Add gamma as weak alias.
	* sysdeps/libm-ieee754/w_lgammaf.c: Likewise.
	* sysdeps/libm-ieee754/w_lgammal.c: Likewise.

	* stgdio-common/printf-parse.h: Implement handling of j, t, and z
	modifiers.
	* stdio-common/vfprintf.c: Likewise.
	* stdio-common/vfscanf.c: Likewise.
	* manual/stdio.texi: Document new printf/scanf modifiers.

	* sysdeps/unix/sysv/linux/recvmsg.c: Remove alias __recvmsg.
	* sysdeps/unix/sysv/linux/sendmsg.c: Remove alias __sendmsg.

1998-07-28  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* sunrpc/Makefile (routines): Add clnt_unix and svc_unix.
	* sunrpc/Versions: Add new *unix_create functions.
	* sunrpc/clnt_gen.c: Add support for RPC over AF_UNIX.
	* sunrpc/clnt_unix.c: New, client side of RPC over AF_UNIX.
	* sunrpc/key_call.c: Use RPC over AF_UNIX for communication
	with keyserv daemon.
	* sunrpc/rpc/clnt.h: Add AF_UNIX based RPC function prototypes.
	* sunrpc/rpc/svc.h: Likewise.
	* sunrpc/svc_authux.c: Copy internal auth flavor if none is given.
	* sunrpc/svc_tcp.c: Fix typos.
	* sunrpc/svc_unix.c: New, server side of AF_UNIX based RPC.

	* nis/Makefile: Remove currently not working cache functions.
	* nis/Versions: Add __nisbind_* functions for rpc.nisd.
	* nis/nis_call.c: Rewrite binding to a NIS+ server to reuse
	CLIENT handles.
	* nis/nis_file.c: Fix memory leaks.
	* nis/nis_intern.h: Move internal structs from here ...
	* nis/rpcsvc/nislib.h: ... to here for NIS+ server and tools.
	* nis/nis_lookup.c: Try at first if last client handle works.
	* nis/nis_table.c: Likewise.
	* nis/nis_checkpoint.c: Adjust __do_niscall2 parameters.
	* nis/nis_mkdir.c: Likewise.
	* nis/nis_ping.c: Likewise.
	* nis/nis_rmdir.c: Likewise.
	* nis/nis_server.c: Likewise.
	* nis/nis_util.c: Likewise.
	* nis/nis_findserv.c (__nis_findfastest): Little optimization.

1998-07-28  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* stdlib/strtol.c (STRTOL_LONG_MAX): Correct typo in last patch -
	define as LONG_MAX.

1998-07-28 09:31  Ulrich Drepper  <drepper@cygnus.com>

	* nscd/connections.c (gr_send_answer): Deal with missing UIO_MAXIOV.
	Correct test whether writev send all data.
	* nscd/nscd_getgr_r.c (__nscd_getgr_r): Correct test whether readv
	received all data.

1998-07-28  Mark Kettenis  <kettenis@phys.uva.nl>

	* nscd/nscd_getgr_r.c (__nscd_getgr_r): Deal with missing UIO_MAXIOV.

1998-07-28  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/mach/hurd/dl-sysdep.c (open_file): Change assert call to
	allow mode to be 0.
	(__xstat): New function.
	(__fxstat): New function.
	(_dl_sysdep_read_whole_file): Removed.  The implementation in
	`elf/dl-misc.c' now also works for the Hurd.

1998-07-27 22:25  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/generic/glob.c: Handle ~ and ~NAME case correctly.

	* posix/globtest.sh: Also add directories with NSS modules into the
	library path.

1998-07-27 17:42  Ulrich Drepper  <drepper@cygnus.com>

	* nss/nss_files/files-parse.c (INT_FIELD): Use strtoul instead of
	strtol.
	(INT_FIELD_MAYBE_NULL): Likewise.

	* posix/globtest.c: Rewrite for extended test suite.
	* posix/globtest.sh: More tests.
	Patch by Brian Wellington <bwelling@anomaly.munge.com>.

	* stdlib/strtol.c: Don't redefine LONG_MAX, LONG_MIN, and ULONG_MAX.
	Use new macro.

	* sysdeps/generic/readv.c: Correct return type.
	* sysdeps/generic/writev.c: Likewise.

1998-07-24  Gordon Matzigkeit  <gord@fig.org>

	* argp/argp-help.c (_GNU_SOURCE): Define, to suck in
	program_invocation_name when compiling outside of glibc.

1998-07-26  Philip Blundell  <philb@gnu.org>

	* sysdeps/unix/sysv/linux/arm/siglist.c: New file; ARM tools don't
	like `@' in .type directives.

	* sysdeps/libm-ieee754/e_expf.c (__ieee754_expf): Check whether
	FE_TONEAREST exists for this platform before using it.
	* sysdeps/libm-ieee754/e_exp.c (__ieee754_exp): Likewise.

	* sysdeps/arm/dl-machine.h (elf_machine_rel): Delete redundant
	debugging code.  Correct handling of PC24 relocs.

	* elf/Makefile (ld-map): Only define if versioning is in use.

	* sysdeps/arm/fpu_control.h: Move to ...
	* sysdeps/arm/fpu/fpu_control.h: ... here.
	* sysdeps/generic/fpu_control.h: Made usable as a dummy
	implementation.

	* sysdeps/unix/sysv/linux/arm/brk.c: New file.

	* sysdeps/arm/machine-gmon.h: Improved profiling for ARM.
	* sysdeps/arm/sysdep.h (CALL_MCOUNT): Replace stub with real
	implementation.
	* sysdeps/unix/sysv/linux/arm/clone.S: Likewise.
	Based on patch from Scott Bambrough and Pat Beirne.

	* shlib-versions: Add appropriate definitions for ARM machines.

	* README.template: Mention that Linux/ARM with ELF works now.

1998-07-18  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makerules: Generate compilation rules for all object suffixes,
	not only those currently selected, for sources in the current or
	object directory.

1998-07-24  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* posix/fnmatch.c (fnmatch): Allow `/' in character class.  Don't
	match `/' in filename by a character class if requested.
	* posix/testfnm.c: Rewritten.
	* posix/testfnm.args: Removed.

1998-07-25  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* posix/annexc.c (limits_syms): Add missing symbols.
	(stdarg_syms): Move va_list to `maybe' list.
	(stdio_syms): Add FOPEN_MAX.

1998-07-25  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/i386/bits/byteswap.h (__bswap_64): Change __v to __w to
	prevent conflict with __bswap_32.

1998-07-24 21:29  Ulrich Drepper  <drepper@cygnus.com>

	* nscd/connections.c (pw_send_answer): Make one single writev call.
	(gr_send_answer): Do the work in two writev calls.  This change
	changes the protocol.

	* nscd/nscd_getgr_r.c (__nscd_getgr_r): Adjust for protocol change.
	We now can do the job using two readv calls.

1998-07-24  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/generic/glob.c (glob): Fix problems with handle tilde.
	Reported by Brian Wellington <bwelling@anomaly.munge.com>.

	* elf/elf.h: Really define Elf64_Verdef, Elf64_Verdaux, Elf64_Verneed,
	and Elf64_Vernaux.

1998-07-24  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* configure.in: Recognize pgcc as compiler.
	Reported by sauron@angband.ee.ualberta.ca.

1998-07-02  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* nscd/dbg_log.c: Make sure, that debug message is really written.
	* nscd/nscd.c: Don't use daemon(), set signal handler after fork.

1998-07-23  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/generic/glob.c: Fix two problems with GLOB_DOOFFS.
	Reported by bwelling@anomaly.munge.com [PR libc/720].

	* sysdeps/libm-ieee754/k_standard.c: Return NAN for libm not in
	SVID more for gamma(x) with x integer <= 0.
	Reported by Stephen L Moshier <moshier@mediaone.net>.

	* math/libm-test.c (gamma_test): Add test for gamma(-1) and gamma(0).
	Correct test for SVID version of gamma.

	* sysdeps/libm-ieee754/w_gamma.c: Use correct matherr call in SVID
	emulation mode.
	* sysdeps/libm-ieee754/w_gammaf.c: Likewise.
	* sysdeps/libm-ieee754/w_gammal.c: Likewise.

	* string/string.h: Don't use string function optimization for C++
	as long as we use macros.

1998-07-22 23:47  Ulrich Drepper  <drepper@cygnus.com>

	* posix/fnmatch.c: Fix completely broken range matching.

1998-07-22 23:19  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/bits/siginfo.h: Fix typo.

1998-07-22  Ulrich Drepper  <drepper@cygnus.com>

	* Makefile (headers2_0): Add sigstack.h.

	* sysdeps/unix/sysv/linux/alpha/getrusage.S: Also define __getrusage.

1998-07-22 11:43  Ulrich Drepper  <drepper@cygnus.com>

	* libio/fileops.c (_IO_file_sync): Don't lock stream here.
	Reported by Thorsten Kukuk.

	* string/strcoll.c: Correct problem with empty strings.
	* string/strxfrm.c: Likewise.
	Reported by vbzoli@hbrt.hu [PR libc/719].

1998-07-21 18:40  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* sysdeps/posix/tempname.c: Use the random-name generator
	already used by mktemp/mkstemp.  Honor TMPDIR.

1998-07-21  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* hurd/Makefile (routines): Remove cthreads.
	* sysdeps/mach/hurd/Makefile (sysdep_routines): Add cthreads.

	* sysdeps/unix/sysv/linux/i386/Dist: Add missing files.

	* manual/Makefile (distribute): Add summary.texi.

1998-07-20  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/unix/sysv/linux/m68k/sigcontextinfo.h: Fix typo.

1998-07-21  Ulrich Drepper  <drepper@cygnus.com>

	* configure.in: Correct expression to match gcc version.

	* configure.in: Move test for available port after machine
	variable is defined.

1998-07-21 16:08  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* sysdeps/unix/sysv/linux/sendmsg.c: If passing a SCM_CREDS
	message, copy the buffer and resize it to what the kernel
	wants to see.  Bug found and analyzed by Thorsten Kukuk
	<kukuk@weber-eb.uni-paderborn.de>

1998-07-20  Jose M. Moya  <josem@gnu.org>

	* hurd/hurdmsg.c (_S_msg_get_env_variable): Copy getenv return
	value.

1998-07-20  Roland McGrath  <roland@baalperazim.frob.com>

	* sysdeps/mach/hurd/getdomain.c: New file.
	* sysdeps/mach/hurd/setdomain.c: New file.

1998-07-20  Roland McGrath  <roland@baalperazim.frob.com>

	* sysdeps/unix/bsd/sigsuspend.c: Define __sigsuspend with sigsuspend as
	a weak alias.

1998-07-20 18:23  Ulrich Drepper  <drepper@cygnus.com>

	* libio/libioP.h: Use __PMT in typedef.
	* libio/strfile.h: Likewise.

1998-07-20 18:20  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/gethostname.c: Return ENAMETOOLONG if
	buffer is too small.
	Reported by John Levon <j_levon@ncc.co.uk>.

1998-07-20 17:09  Ulrich Drepper  <drepper@cygnus.com>

	* shlib-versions: Remove definition for libSegFault.

	* memory.texi: Comment out the relocating allocator description.
	* manual/signal.texi: Remove reference to relocating allocator.
	* manual/top-menu.texi: Regenerated.

	* posix/fnmatch.c: Implement [: :] and change to recognize
	^ as negation only when not _POSIXLY_CORRECT.

	* sysdeps/generic/glob.c: Add several optimizations.

	* posix/glob.h: Undefine __PMT to prevent warnings.
	Reported by Roland McGrath.

	* posix/regex.c: Define namespace macros only for _LIBC.

	* sysdeps/arm/dl-machine.h: Fix typo.

	* sysdeps/unix/sysv/sysv4/solaris2/sigpending.c: New file.
	* sysdeps/unix/sysv/sysv4/solaris2/sigstack.c: New file.
	* sysdeps/unix/sysv/sysv4/solaris2/sigwaitinfo.c: New file.
	* sysdeps/unix/sysv/sysv4/solaris2/syscalls.list: Add sigaltstack,
	sigpending, sigqueue, and sigtimedwait.
	* sysdeps/unix/sysv/sysv4/solaris2/sparc/sparc32/syscall.S: New file.

	* timezone/leapseconds: Update from tzdata1998f.

1998-07-18  Mark Kettenis  <kettenis@phys.uva.nl>

	* stdio/stdio.h [__USE_GNU]: Add prototype for fputs_unlocked.
	* stdio/Versions [GLIBC_2.1]: Add fputs_unlocked.
	* libio/stdio.h: Fix typo.

1998-07-19  Roland McGrath  <roland@baalperazim.frob.com>

	* sysdeps/mach/hurd/dl-sysdep.c (_dl_sysdep_start): #if 0 out the
	magic memobj port arg parsing stuff.  Fix it someday when we are ready
	to really use it.
	(_dl_sysdep_output): New function, modified from _dl_sysdep_error.
	(_dl_sysdep_error, _dl_sysdep_message, _dl_sysdep_fatal): Removed.

1998-07-19  Roland McGrath  <roland@baalperazim.frob.com>

	* stdio/fputs.c: Add fputs_unlocked as weak alias for fputs.

1998-07-19  Roland McGrath  <roland@baalperazim.frob.com>

	* sysdeps/posix/sigsuspend.c: Define __sigsuspend with sigsuspend as
	a weak alias.
	* sysdeps/mach/hurd/sigsuspend.c: Likewise.
	* sysdeps/generic/sigsuspend.c: Likewise.

1998-07-19  Roland McGrath  <roland@baalperazim.frob.com>

	* sysdeps/mach/hurd/i386/sigcontextinfo.h: New file.

1998-07-19  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makerules (map-file): Don't use $(wildcard) to find the
	generated version script, instead look in $(version-maps).
	($(common-objpfx)libc.so): Only depend on libc.map if versioning
	is used.
	* extra-lib.mk ($(objpfx)$(lib).so): Only depend on version script
	if versioning is used.  Don't use $(wildcard) to find the
	generated version script, instead look in $(verson-maps).

1998-07-17  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/generic/segfault.c: Rename GET_EIP to GET_PC.  Remove
	unused function handle.
	* sysdeps/generic/sigcontextinfo.h: Rename GET_EIP to GET_PC.
	* sysdeps/unix/sysv/linux/i386/sigcontextinfo.h: Likewise.
	* debug/catchsegv.sh: Fix argument processing, quoting and various
	typos.  Put the crash info always in the current directory.  Find
	program in $PATH if it contains no directory component.
	* Makerules (install-lib.so-versioned,
	install-lib.so-unversioned): New variables.
	(install-lib-nosubdir): Depend on unversioned libs in
	slibdir, not libdir.

1998-07-19  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Make-dist (+tsrcs): Remove references to %-map variables and
	*.map files.  Add Versions in subdirs.
	* Makerules (distinfo-vars): Don't write out %-map variables.

1998-07-20 13:55  Ulrich Drepper  <drepper@cygnus.com>

	* inet/protocols/rwhod.h: Remove definition of _PATH_RWHODIR.
	Include <paths.h> instead.
	* sysdeps/generic/paths.h: Define _PATH_RWHODIR.
	* sysdeps/unix/sysv/linux/paths.h: Likewise.
	Reported by Dale Scheetz <dwarf@polaris.net>.

1998-07-17 21:44  Ulrich Drepper  <drepper@cygnus.com>

	* catgets/open_catalog.c: Strictly check whether catalog file is
	larger enough for the data.  Reported by Andries.Brouwer@cwi.nl.

1998-07-17  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/unix/sysv/linux/m68k/sigcontextinfo.h: New file.

	* sysdeps/unix/sysv/linux/m68k/socket.S: Support NO_WEAK_ALIAS.

1998-07-17  Ulrich Drepper  <drepper@cygnus.com>

	* debug/catchsegv.sh: Fix several stupid bugs.

	* shlib-versions: Define version for libSegFault.
	* debug/Makefile: Replace shared lib version number while rewriting.

1998-07-17  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/mach/hurd/dl-sysdep.c (__mmap): Add sanity check.
	Suggested by Roland McGrath.

1998-07-15  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* timezone/Makefile: Remove '-L (leapseconds)' for testdata
	generation to control environment.

1998-07-17 09:21  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/sysv4/solaris2/bits/signum.h: Define SIG_HOLD.
	Patch by John Tobey <jtobey@banta-im.com>.

	* manual/llio.texi: Document readv/writev and mmap functions.
	Patch by Michael Deutschmann <michael@talamasca.wkpowerlink.com>.

1998-07-16  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* manual/Makefile (texis): Depend on texis.awk.
	(nonexamples): Filter out add-on chapters.
	(chapters.% top-menu.%): Depend on libc-texinfo.sh.
	(stamp-summary): Depend on $(texis) except summary.texi.
	($(inst_infodir)/libc.info): Simplify command.
	* manual/libc-texinfo.sh: Cleaned up to use less temporary files.
	Fix the generation of the detailed node listing to make it
	complete again.
	* manual/math.texi: Fix signature of lgamma_r.

1998-07-16 23:06  Ulrich Drepper  <drepper@cygnus.com>

	* debug/Makefile (distribute): Add sigcontextinfo.h.
	Add rules to generate and install catchsegv.
	* debug/catchsegv.sh: New file.

1998-07-16  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/mach/hurd/dl-sysdep.c (open_file): Return a Hurd I/O
	port instead of a Mach memory object.
	(__open): Likewise.
	(__libc_read): New function.
	(__mmap): Change to take a Hurd I/O port instead of a Mach memory
	object.

1998-07-16 20:01  Ulrich Drepper  <drepper@cygnus.com>

	* debug/Makefile (routines): Add backtracesymsfd.
	Add rules to generate libSegFault.
	* debug/Versions: Add __backtrace_symbols_fd and backtrace_symbols_fd.
	* debug/execinfo.h: Declare backtrace_symbols_fd.
	* sysdeps/generic/backtracesymsfd.c: New file.
	* sysdeps/generic/elf/backtracesymsfd.c: New file.
	* sysdeps/generic/segfault.c: New file.
	* sysdeps/generic/sigcontextinfo.h: New file.
	* sysdeps/unix/sysv/linux/i386/sigcontextinfo.h: New file.

	* sysdeps/generic/elf/backtracesyms.c: Remove unneeded +.

1998-07-16 19:27  Ulrich Drepper  <drepper@cygnus.com>

	* elf/rtld.c (process_envvars): Also recognize on as LD_BIND_NOW value.
	(process_envvars): Append .PID to LD_DEBUG_OUTPUT file name.

1998-07-16 13:44  Ulrich Drepper  <drepper@cygnus.com>

	* argp/argp-fmtstream.c: Fix warnings introduced in last change.
	* assert/assert-perr.c: Likewise.
	* assert/assert.c: Likewise.
	* gconv_conf.c: Likewise.
	* libio/iofputs_u.c: Likewise.
	* malloc/mtrace.c: Likewise.
	* malloc/obstack.c: Likewise.
	* misc/error.c: Likewise.
	* misc/syslog.c: Likewise.
	* stdio-common/asprintf.c: Likewise.
	* stdio-common/dprintf.c: Likewise.
	* stdio-common/getw.c: Likewise.
	* stdio-common/putw.c: Likewise.
	* stdio-common/snprintf.c: Likewise.
	* stdio-common/sprintf.c: Likewise.
	* stdio-common/sscanf.c: Likewise.
	* sunrpc/svc_simple.c: Likewise.
	* sysdeps/generic/abort.c: Likewise.

	* rt/aio_cancel.c: Don't define ECANCELED here.
	* sysdeps/unix/sysv/linux/bits/errno.h: Define ECANCELED correctly.

1998-07-16 10:23  Ulrich Drepper  <drepper@cygnus.com>

	* argp/argp-fmtstream.c: Unify names of used global functions.
	* argp/argp-help.c: Likewise.
	* assert/assert-perr.c: Likewise
	* assert/assert.c: Likewise
	* dirent/scandir.c: Likewise
	* dirent/scandir64.c: Likewise
	* dirent/versionsort.c: Likewise
	* dirent/versionsort64.c: Likewise
	* gmon/bb_exit_func.c: Likewise.
	* gmon/gmon.c: Likewise.
	* grp/initgroups.c: Likewise.
	* iconv/gconv_conf.c: Likewise.
	* inet/getnameinfo.c: Likewise.
	* inet/getnetgrent_r.c: Likewise.
	* inet/inet_ntoa.c: Likewise.
	* inet/rcmd.c: Likewise.
	* inet/rexec.c: Likewise.
	* inet/ruserpass.c: Likewise.
	* io/fts.c: Likewise.
	* io/ftw.c: Likewise.
	* io/ftw64.c: Likewise.
	* io/getdirname.c: Likewise.
	* io/getwd.c: Likewise.
	* io/lockf.c: Likewise.
	* libio/iofdopen.c: Likewise.
	* libio/iopopen.c: Likewise.
	* login/utmp_daemon.c: Likewise.
	* malloc/mtrace.c: Likewise.
	* malloc/obstack.c
	* misc/daemon.c: Likewise.
	* misc/efgcvt_r.c: Likewise.
	* misc/err.c: Likewise.
	* misc/error.c: Likewise.
	* misc/fstab.c: Likewise.
	* misc/getpass.c: Likewise.
	* misc/getttyent.c: Likewise.
	* misc/mntent_r.c: Likewise.
	* misc/search.h: Likewise.
	* misc/syslog.c: Likewise.
	* nscd/nscd_getgr_r.c: Likewise.
	* nscd/nscd_getpw_r.c: Likewise.
	* posix/getpgrp.c: Likewise.
	* posix/wordexp.c: Likewise.
	* pwd/fgetpwent_r.c: Likewise.
	* pwd/getpw.c: Likewise.
	* resolv/herror.c: Likewise.
	* resolv/res_init.c: Likewise.
	* shadow/fgetspent_r.c: Likewise.
	* shadow/lckpwdf.c: Likewise.
	* signal/sigrelse.c: Likewise.
	* stdio-common/asprintf.c: Likewise.
	* stdio-common/dprintf.c: Likewise.
	* stdio-common/getw.c: Likewise.
	* stdio-common/putw.c: Likewise.
	* stdio-common/snprintf.c: Likewise.
	* stdio-common/sprintf.c: Likewise.
	* stdio-common/sscanf.c: Likewise.
	* stdlib/lrand48_r.c: Likewise.
	* stdlib/mrand48_r.c: Likewise.
	* string/argz-replace.c: Likewise.
	* string/envz.c: Likewise.
	* sunrpc/auth_des.c: Likewise.
	* sunrpc/auth_unix.c: Likewise.
	* sunrpc/bindrsvprt.c: Likewise.
	* sunrpc/clnt_gen.c: Likewise.
	* sunrpc/clnt_perr.c: Likewise.
	* sunrpc/clnt_simp.c: Likewise.
	* sunrpc/clnt_tcp.c: Likewise.
	* sunrpc/clnt_udp.c: Likewise.
	* sunrpc/get_myaddr.c: Likewise.
	* sunrpc/key_call.c: Likewise.
	* sunrpc/netname.c: Likewise.
	* sunrpc/openchild.c: Likewise.
	* sunrpc/pmap_rmt.c: Likewise.
	* sunrpc/rpc_dtable.c: Likewise.
	* sunrpc/rtime.c: Likewise.
	* sunrpc/svc_run.c: Likewise.
	* sunrpc/svc_simple.c: Likewise.
	* sunrpc/svc_tcp.c: Likewise.
	* sunrpc/svc_udp.c: Likewise.
	* sunrpc/svcauth_des.c: Likewise.
	* sunrpc/xdr_array.c: Likewise.
	* sunrpc/xdr_rec.c: Likewise.
	* sunrpc/xdr_ref.c: Likewise.
	* sunrpc/xdr_stdio.c: Likewise.
	* sysdeps/generic/abort.c: Likewise.
	* sysdeps/generic/dl-sysdep.c: Likewise.
	* sysdeps/generic/fstatfs64.c: Likewise.
	* sysdeps/generic/ftruncate64.c: Likewise.
	* sysdeps/generic/getrlimit64.c: Likewise.
	* sysdeps/generic/glob.c: Likewise.
	* sysdeps/generic/prof-freq.c: Likewise.
	* sysdeps/generic/putenv.c: Likewise.
	* sysdeps/generic/statfs64.c: Likewise.
	* sysdeps/generic/ttyname_r.c: Likewise.
	* sysdeps/generic/utmp_file.c: Likewise.
	* sysdeps/generic/vlimit.c: Likewise.
	* sysdeps/generic/vtimes.c: Likewise.
	* sysdeps/posix/cuserid.c: Likewise.
	* sysdeps/posix/euidaccess.c: Likewise.
	* sysdeps/posix/mkstemp.c: Likewise.
	* sysdeps/posix/mktemp.c: Likewise.
	* sysdeps/posix/pread.c: Likewise.
	* sysdeps/posix/pread64.c: Likewise.
	* sysdeps/posix/profil.c: Likewise.
	* sysdeps/posix/pwrite.c: Likewise.
	* sysdeps/posix/pwrite64.c: Likewise.
	* sysdeps/posix/sigblock.c: Likewise.
	* sysdeps/posix/sigpause.c: Likewise.
	* sysdeps/posix/ttyname.c: Likewise.
	* sysdeps/posix/ttyname_r.c: Likewise.
	* sysdeps/posix/waitid.c: Likewise.
	* sysdeps/unix/getlogin_r.c: Likewise.
	* sysdeps/unix/grantpt.c: Likewise.
	* sysdeps/unix/rewinddir.c: Likewise.
	* sysdeps/unix/sysv/linux/gethostid.c: Likewise.
	* sysdeps/unix/sysv/linux/getpt.c: Likewise.
	* sysdeps/unix/sysv/linux/if_index.c: Likewise.
	* sysdeps/unix/sysv/linux/ptsname.c: Likewise.
	* sysdeps/unix/sysv/linux/sendmsg.c: Likewise.
	* sysdeps/unix/sysv/linux/statvfs.c: Likewise.
	* sysdeps/unix/sysv/linux/ttyname.c: Likewise.
	* sysdeps/unix/sysv/linux/ttyname_r.c: Likewise.
	* sysdeps/unix/sysv/linux/ulimit.c: Likewise.
	* sysdeps/unix/sysv/linux/unlockpt.c: Likewise.
	* sysvipc/sys/shm.h: Likewise.
	* time/ctime_r.c: Likewise.
	* time/strptime.c: Likewise.
	* wcsmbs/mbrlen.c: Likewise.
	* wcsmbs/wcsdup.c: Likewise.
	* wcsmbs/wcsxfrm.c: Likewise.
	* wctype/wcfuncs.c: Likewise.

	* sysdeps/unix/sysv/linux/i386/socker.S: Change to honor NO_WEAK_ALIAS.
	* sysdeps/unix/sysv/linux/accept.S: Don't generate __ name.
	* sysdeps/unix/sysv/linux/bind.S: Likewise.
	* sysdeps/unix/sysv/linux/getsockname.S: Likewise.
	* sysdeps/unix/sysv/linux/listen.S: Likewise.
	* sysdeps/unix/sysv/linux/recvfrom.S: Likewise.
	* sysdeps/unix/sysv/linux/sendto.S: Likewise.
	* sysdeps/unix/sysv/linux/setsockopt.S: Likewise.

	* grp/fgetgrent_r.c: Use explicit locking of the stream.

	* elf/Makefile (rtld-routines): Add dl-environ.
	* sysdeps/generic/dl-sysdep.c: Move _dl_next_ld_env_entry and unsetenv
	to...
	* sysdeps/generic/dl-environ.c: here.  New file.

	* libio/Makefile [REENTRANT] (routines): Add iofputs_u.
	* libio/Versions: Add fputs_unlocked.
	* libio/iofputs_u.c: New file.
	* libio/stdio.h: Add prototype for fputs_unlocked.

	* sunrpc/rpc/auth.h: Use __PMT instead of __P in type definitions.
	* sunrpc/rpc/clnt.h: Likewise.
	* sunrpc/rpc/pmap_clnt.h: Likewise.
	* sunrpc/rpc/svc.h: Likewise.
	* sunrpc/rpc/xdr.h: Likewise.

	* sysdeps/i386/memchr.S: Correct for more strict gas.
	* sysdeps/i386/fpu/bits/mathinline.h: Likewise.
	* sysdeps/libm-i387/i686/s_fdim.S: Likewise.
	* sysdeps/libm-i387/i686/s_fdimf.S: Likewise.
	* sysdeps/libm-i387/i686/s_fdiml.S: Likewise.

1998-07-15  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* configure.in: Change message for binutils version from
	2.8.1.0.17->2.8.1.0.23.

1998-07-15  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/sysv4/solaris2/sparc/sysdep.h: Define LOC.
	Patch by John Tobey <jtobey@banta-im.com>.

1998-07-14  Ulrich Drepper  <drepper@cygnus.com>

	* sunrpc/auth_unix.c (authunix_create_default): Use __sysconf
	instead of sysconf.

1998-07-14 19:39  Ulrich Drepper  <drepper@cygnus.com>

	* stdio-common/vfscanf.c (ungetc): Use _IO_sputbackc, not _IO_ungetc.
	[_USE_IN_LIBIO] (encode_error): Free cancelation handler.
	(conv_error): Likewise.
	(input_error): Likewise.
	(memory_error): Likewise.

1998-07-12  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/mach/hurd/dl-sysdep.c: Bring in sync with generic
	implementation.  Include <entry.h>.  Replace references to symbol
	_start with macro ENTRY_POINT.
	(__libc_uid): Remove.
	(__libc_multiple_libcs): New variable.
	(__libc_stack_end): New variable.
	(_dl_hwcap_mask): New variable.
	(_dl_important_hwcaps): New function.
	(_dl_show_auxv): Mark internal.

1998-07-14  Mark Kettenis  <kettenis@phys.uva.nl>

	* mach/Makefile: Create target directory before generating
	mach-syscalls.mk.
	* mach/Machrules: Invoke awk using AWK variable.  Create target
	directory before generating server stubs.

1998-07-14  Ulrich Drepper  <drepper@cygnus.com>

	* wcsmbs/wcslen.c (__wcslen): Fix comment.

	* configure.in: Allow egcs-2.92.

1998-07-10 18:14 -0400  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* manual/Makefile: Overhauled.  Generate libc.texinfo from the
	chapter files.  Exorcise the chapters, chapters-incl mess.
	Support inserting doc chapters from add-on modules.
	(chapters): New variable.
	(add-chapters): New variable.
	(appendices): New variable.
	(libc.texinfo): New target.
	(clean): Fix bugs.
	(realclean): Fix bugs.

	* manual/texis.awk: New file.
	* manual/libc-texinfo.sh: New file.
	* manual/libc-texinfo.in: New file.

	* manual/conf.texi (top @node): Remove next pointer.
	* manual/lang.texi (top @node): Remove prev pointer.

	* manual/job.texi (top @node): Add explicit pointers.
	* manual/message.texi (top @node): Add explicit pointers.
	* manual/nss.texi (top @node): Add explicit pointers.
	* manual/process.texi (top @node): Add explicit pointers.
	* manual/startup.texi (top @node): Add explicit pointers.
	* manual/terminal.texi (top @node): Add explicit pointers.
	* manual/users.texi (top @node): Add explicit pointers.

	* manual/arith.texi: Add %MENU% tag.
	* manual/conf.texi: Add %MENU% tag.
	* manual/contrib.texi: Add %MENU% tag.
	* manual/ctype.texi: Add %MENU% tag.
	* manual/errno.texi: Add %MENU% tag.
	* manual/filesys.texi: Add %MENU% tag.
	* manual/header.texi: Add %MENU% tag.
	* manual/install.texi: Add %MENU% tag.
	* manual/intro.texi: Add %MENU% tag.
	* manual/io.texi: Add %MENU% tag.
	* manual/job.texi: Add %MENU% tag.
	* manual/lang.texi: Add %MENU% tag.
	* manual/llio.texi: Add %MENU% tag.
	* manual/locale.texi: Add %MENU% tag.
	* manual/maint.texi: Add %MENU% tag.
	* manual/math.texi: Add %MENU% tag.
	* manual/mbyte.texi: Add %MENU% tag.
	* manual/memory.texi: Add %MENU% tag.
	* manual/message.texi: Add %MENU% tag.
	* manual/nss.texi: Add %MENU% tag.
	* manual/pattern.texi: Add %MENU% tag.
	* manual/pipe.texi: Add %MENU% tag.
	* manual/process.texi: Add %MENU% tag.
	* manual/search.texi: Add %MENU% tag.
	* manual/setjmp.texi: Add %MENU% tag.
	* manual/signal.texi: Add %MENU% tag.
	* manual/socket.texi: Add %MENU% tag.
	* manual/startup.texi: Add %MENU% tag.
	* manual/stdio.texi: Add %MENU% tag.
	* manual/string.texi: Add %MENU% tag.
	* manual/sysinfo.texi: Add %MENU% tag.
	* manual/terminal.texi: Add %MENU% tag.
	* manual/time.texi: Add %MENU% tag.
	* manual/users.texi: Add %MENU% tag.

1998-07-13  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/i386/dl-procinfo.h (x86_cap_flags):
	Update.

1998-07-11  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sysdeps/unix/sysv/linux/recvmsg.c (__libc_recvmsg): Use ANSI
	style declaration to avoid warning.
	* sysdeps/unix/sysv/linux/sendmsg.c (__libc_sendmsg): Likewise.

1998-07-04  Mark Kettenis  <kettenis@phys.uva.nl>

	* elf/rtld.c (process_dl_debug): Add missing continue.

1998-07-12  Mark Kettenis  <kettenis@phys.uva.nl>

	* elf/rtld.c (_dl_skip_args): Make global because the Hurd startup
	code needs it.

1998-07-10  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makeconfig ($(common-objpfx)sysd-dirs): Write out definition of
	sysd-dirs-done.
	* Makerules: Don't generate version maps too early.
	($(common-objpfx)sysd-versions): Force regeneration if the list of
	subdirs has changed.

1998-07-10  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* elf/dlfcn.h (DL_CALL_FCT): Use portable comma expression.

1998-07-11  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* iconv/gconv_db.c (gen_steps): Always set *handle and *nsteps.
	* iconv/gconv_dl.c (__gconv_find_shlib): Correct use of tfind
	return value.

1998-07-12  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* elf/dl-open.c (dl_open_worker): New function.
	(_dl_open): Call it to do the actual work while catching errors.
	* elf/dl-close.c (_dl_close): Only call termination function if
	the initialisation function was called.

1998-07-13  Ulrich Drepper  <drepper@cygnus.com>

	* libio/libioP.h (_IO_cleanup_registration_needed): Use __PMT.
	Reported by Felix von Leitner <leitner@amdiv.de>.

1998-07-09  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Make-dist (+sysdep-tsrcs): Add Versions.

1998-07-09  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* math/Versions: Remove __log1p, __atan2, __fe_dfl_env,
	__fe_enabled_env, __fe_nonieee_env and __fe_nomask_env.
	* sysdeps/powerpc/Versions: New file.
	* csu/Versions: Remove brk, sbrk, environ, __environ, _environ
	and __errno_location.
	* misc/Versions: Add brk and sbrk.
	* posix/Versions: Add environ, __environ and _environ.
	* sysdeps/unix/sysv/linux/Versions: Add __errno_location.

1998-07-10 11:58  Ulrich Drepper  <drepper@cygnus.com>

	* Makerules [no_defs]: Avoid dependency for loading sysd-versions.
	Patch by Zack Weinberg.

1998-07-10  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* posix/annexc.c (errno_maybe): EACCESS->EACCES.
	(signal_maybe): Remove duplicate entry SIGEV_SIGNAL.
	(mman_maybe): Remove duplicates MS_ASYNC, MS_INVALIDATE.

1998-07-09  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sysdeps/unix/sysv/linux/bits/fcntl.h: Fix typo.

1998-07-09  Ulrich Drepper  <drepper@cygnus.com>

	* posix/unistd.h: Simplify #ifdefs.

	* libio/libio.h: Undo last change due to possible C++ problems.
	* libio/fileops.h: Likewise.

1998-07-09 13:34  Ulrich Drepper  <drepper@cygnus.com>

	* grp/grp.h: Define gid_t also for __USE_XOPEN.
	* io/fcntl.h: Include <sys/stat.h> also for __USE_XOPEN.
	* io/utime.h: Define time_t also for __USE_XOPEN.
	* io/sys/stat.h: Define time_t also for __USE_XOPEN.
	Define *_t types except for pid_t also for __USE_XOPEN.
	Define S_* macros also for __USE_XOPEN.
	* locale/langinfo.h: Define CODESET, CRNCYSTR, RADIXCHAR, and
	THOUSEP also for __USE_XOPEN.
	* math/math.c: Define M_* macros also for __USE_XOPEN.
	* math/bits/mathcalls.h: Declare hypot also for __USE_XOPEN.
	* posix/fnmatch.h: Define FNM_NOSYS and for if _XOPEN_SOURCE is
	defined.
	* posix/glob.h: Likewise for GLOB_NOSYS.
	* posix/regex.h: Likewise for REG_NOSYS.
	* posix/wordexp.h: Likewise for WRDE_NOSYS.
	* posix/unistd.h: Define *_t types also for __USE_XOPEN.
	* posix/sys/wait.h: Define pid_t for __USE_XOPEN.
	* pwd/pwd.h: Define gid_t and pid_t also for __USE_XOPEN.
	* signal/signal.h: Define pid_t also for __USE_XOPEN.
	* sysdeps/unix/sysv/linux/bits/fcntl.h: Define _RSYNC and O_DSYNC also
	for __USE_POSIX199309.
	* sysdeps/unix/sysv/linux/bits/termios.h: Define the various B*
	constants also for __USE_XOPEN.
	* wcsmbs/wchar.h: For XPG4 include wctype.h.

	* intl/dcgettext.c (find_msg): Initialize act to prevent warning.
	* locale/setlocale.c (new_composite_name): Likewise for last_len.

	* libio/stdio.h: Don't declare fclose_unlocked.

	* sysdeps/posix/fpathconf.c: Handle _PC_FILESIZEBITS.

1998-07-08  Mark Kettenis  <kettenis@phys.uva.nl>

	* stdio/stdio.h: Add prototypes for fflush_unlocked,
	getc_unlocked, getchar_unlocked, putc_unlocked, putchar_unlocked,
	fgets_unlocked, fread_unlocked, fwrite_unlocked,
	clearerr_unlocked, feof_unlocked, ferror_unlocked,
	fileno_unlocked, flockfile, ftrylockfile, funlockfile.
	[__USE_XOPEN && !__USE_GNU] Declare optarg, optind, opterr.  Add
	prototype for getopt.
	* stdio/clearerr.c (clearerr_unlocked): Weak alias for clearerr.
	* stdio/feof.c (feof_unlocked): Weak alias for feof.
	* stdio/ferror.c (ferror_unlocked): Weak alias for ferror.
	* stdio/fflush.c (fflush_unlocked): Weak alias for fflush.
	* stdio/fgets.c (fgets_unlocked): Weak alias for fgets.
	* stdio/fileno.c (fileno_unlocked): Weak alias for fileno.
	* stdio/fputc.c (fputc_unlocked): Weak alias for fputc.
	* stdio/fread.c (fread_unlocked): Weak alias for fread.
	* stdio/fwrite.c (fwrite_unlocked): Weak alias for fwrite.
	* stdio/getc.c (getchar_unlocked): Weak alias for getc.
	* stdio/getchar.c (getchar_unlocked): Weak alias for getchar.
	* stdio/putc.c (putc_unlocked): Weak alias for putc.
	* stdio/putchar.c (putchar_unlocked): Weak alias for putchar.
	* stdio/Versions [GLIBC_2.1]: Add clearerr_unlocked,
	feof_unlocked, ferror_unlocked, fflush_unlocked, fgets_unlocked,
	fileno_unlocked, fputc_unlocked, fread_unlocked, fwrite_unlocked,
	getc_unlocked, getchar_unlocked, putc_unlocked and
	putchar_unlocked.

	* libio/Versions: Move flockfile, ftrylockfile and funlockfile
	from here ...
	* stdio-common/Versions: ... to here.

1998-07-09  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* Makerules (versioning): Correct typo.

1998-07-08 22:18  Ulrich Drepper  <drepper@cygnus.com>

	* elf/Versions: Add _dl_mcount_wrapper_check.
	* elf/dlfcn.h (DL_CALL_FCT): Don't test _dl_profile_map, simply use
	_dl_mcount_wrapper_check.
	* iconv/skeleton.c: Use DL_CALL_FCT, not _CALL_DL_FCT.

	* elf/dl-reloc.c (_dl_relocate_object): Don't declare using
	internal_function.
	* elf/ldsodefs.h: Likewise.

	* io/fcntl.h: Define SEEK_SET, SEEK_CUR, and SEEK_END.

	* libio/stdio.h: Make sure va_list is defined for X/Open.
	Define P_tmpdir for X/Open.

	* posix/regex.h: Fix typo.

	* posix/unistd.h: Define intptr_t if not already happened.
	Add pthread_atfork prototype.
	* sysdeps/generic/bits/types.h: Define __intptr_t.
	* sysdeps/unix/sysv/linux/alpha/bits/types.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/types.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/mips/types.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/sparc/sparc64/types.h: Likewise.
	* sysdeps/unix/sysv/sysv4/solaris2/bits/types.h: Likewise.
	* sysdeps/wordsize-32/stdint.h: Don't define intptr_t if already done.
	* sysdeps/wordsize-64/stdint.h: Likewise.

	* posix/bits/posix1_lim.h: Define _POSIX_CLOCKRES_MIN.

	* signal/Makefile (headers): Add bits/sigthread.h.
	* signal/signal.h: Include bits/sigthread.h.
	* sysdeps/generic/bits/sigthread.h: New file.

	* stdlib/stdlib.h: Declare rand_r use __USE_POSIX.

	* sysdeps/generic/bits/confname.h: Define _PC_FILESIZEBITS.
	* sysdeps/posix/pathconf.c: Handle _PC_FILESIZEBITS.
	* sysdeps/unix/sysv/linux/alpha/fpathconf.c: New file.
	* sysdeps/unix/sysv/linux/alpha/pathconf.c: New file.

	* sysdeps/generic/bits/dlfcn.h: Define RTLD_LOCAL.

	* elf/rtld.c: Remove preloading and loadpath variables in SUID
	programs.
	* sysdeps/generic/dl-sysdep.c: Define unsetenv.
	* sysdeps/unix/sysv/linux/i386/dl-librecon.h: Define other envvar
	names.

	* sysdeps/unix/sysv/linux/bits/errno.h: Define ECANCELED.

	* sysdeps/unix/sysv/linux/bits/fcntl.h: Define O_RSYNC and O_DSYNC.
	Remove O_READ and O_WRITE definition.

	* sysdeps/unix/sysv/linux/bits/resource.h: Define RLIM_SAVED_MAX
	and RLIM_SAVED_CUR.

	* sysdeps/unix/sysv/linux/fstatvfs.h: Handle UFS filesystem.

1998-07-06  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makerules ($(common-objpfx)sysd-versions): Expect awk script in
	scripts directory.  Pass move-if-change to awk.
	(common-generated): Add $(version-maps) and sysd-versions.
	* versions.awk: Moved to...
	* scripts/versions.awk: ... here.  Use move-if-change to void
	touching unchanged files.  Print "version-maps = ..." instead of
	"all-version-maps = ..." and without $(common-objpfx).  Explain
	expected variable names.
	* Makefile (distribute): Updated.

1998-07-06  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* misc/getttyent.c (getttyent): Don't return with locked stream.
	* misc/mntent_r.c (__getmntent_r): Likewise.

1998-07-07 18:24  Ulrich Drepper  <drepper@cygnus.com>

	* libio/fileops.c (_IO_do_write): Don't shrink wwrite buffer to zero
	if stream is line buffered.
	(_io_file_overflow): Likewise.
	* libio/libio.h (_IO_putc_unlocked): Make sure that for line-buffered
	streams writing '\n' flushes the string.

1998-07-07 17:28  Ulrich Drepper  <drepper@cygnus.com>

	* elf/dl-profstub.c (_dl_profile_map): Only declare variable here.
	* elf/dl-support.c: Define it here...
	* elf/rtld.c: ...and here.

1998-07-07 16:28  Ulrich Drepper  <drepper@cygnus.com>

	* grp/initgroups.c: Handle directives from nsswitch.conf file.

1998-07-07  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/sparc/sparc64/bits/types.h: Add
	__ino64_t definition.
	* sysdeps/unix/sysv/linux/sparc/sparc64/bits/types.h: Define
	__off64_t.  Reported by Felix von Leitner <leitner@math.fu-berlin.de>.

	* sysdeps/unix/sysv/linux/ldd-rewrite.sed: Do not exit the shell
	script if lddlibc4 failed.
	Reported by B. D. Elliott <bde@accessone.com>.

1998-07-06  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/generic/elf/backtracesyms.c (__backtrace_symbols):
	Improve generated strings a bit.

1998-07-06 14:36  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* posix/Makefile (generated): Remove $(objpfx) from the names.

1998-07-05  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* stdio-common/test_rdwr.c: Use %Zu for size_t in printf
	format string.

	* libio/iofread_u.c: Include <stdio.h> for prototype.
	* libio/iofwrite_u.c: Likewise.

1998-07-06  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* db2/Versions: New file.

1998-07-04  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makefile (lib-noranlib): Don't depend on sysd-versions.
	($(common-objpfx)sysd-versions): Remove rule.
	* Makerules ($(common-objpfx)sysd-versions): Define here instead.
	Pass name of Versions.def file to script and redirect output to
	target.  Include it and make all generated version maps depend on
	it.
	* versions.awk: Print out variable definition containing all
	generated version maps.  Print error messages to stderr.  Remove
	temp file.

1998-07-04  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* posix/annexc.c (check_header): Terminate macro name before
	comparing.
	(get_null_defines): Allow builtin macros with parameters.
	(fmt, testfmt): Add -D_LIBC.
	* posix/Makefile: Remove bogus duplicate include directories from
	annexc test command.

1998-07-06 12:04  Ulrich Drepper  <drepper@cygnus.com>

	* nis/nss_nis/nis-pwd.c (internal_nis_getpwent_r): Handle adjunct
	password scheme.
	(_nss_nis_getpwnam_r): Likewise.
	(_nss_nis_getpwuid_r): Likewise.

1998-07-05  Mark Kettenis  <kettenis@phys.uva.nl>

	* libio/Versions: Move symbols whose source lives in
	stdio-common to ...
	* stdio-common/Versions: ... here.
	* stdio/Versions: Add missing symbols.

1998-07-05  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/__sendmsg.S: Define function as
	__syscall_sendmsg.
	* sysdeps/unix/sysv/linux/__recvmsg.S: Define function as
	__syscall_recvmsg.
	* sysdeps/unix/sysv/linux/recvmsg.c: Define function as __libc_recvmsg
	and make __recvmsg and recvmsg weak aliases.
	* sysdeps/unix/sysv/linux/sendmsg.c: Likewise for sendmsg.
	* sysdeps/unix/sysv/linux/alpha/syscalls.list: Define __syscall_recvmsg
	and __syscall_sendmsg.

1998-07-05 11:49  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv_conf.c (read_conf_file): Use feof_unlocked on private
	stream.
	* inet/ruserpass.c (token): Likewise.
	* nss/nsswitch.c (nss_parse_file): Likewise.
	* intl/localealias.c: Likewise.  Also for ferror.
	* time/getdate.c (__getdate_r): Likewise.

	* libio/Makefile (routines): Add iofgets_u.
	* libio/iofgets_u.c: New file.
	* libio/Versions: Add fgets_unlocked.
	* libio/stdio.h: Add prototype for fgets_unlocked.

	* misc/getttyent.c (getttyent): Use fgets_unlocked instead of fgets.
	* misc/getusershell.c (initshells): Likewise.
	* misc/mntent_r.c (__getmntent_r): Explicitly lock stream.  Use
	fgets_unlocked.
	* nss/nss_files/files-XXX.c (internal_getent): Likewise.
	* resolv/res_init.c (res_init): Likewise.
	* sysdeps/unix/sysv/linux/getsysstats.c: Likewise.

1998-05-23  Philip Blundell  <Philip.Blundell@pobox.com>

	* sysdeps/unix/sysv/linux/arm/syscalls.list: Add `syscall'.
	* sysdeps/unix/sysv/linux/arm/syscall.S: Deleted.

1998-07-05  Ulrich Drepper  <drepper@cygnus.com>

	* misc/getttyent.c (getttyent): Explicitly lock the FILE and use
	_unlocked functions.

	* inet/ruserpass.c (ruserpass): Use _unlocked functions since this
	is a private FILE.

1998-07-04 17:11 -0400  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* csu/Makefile: Build crt files in lib pass.
	* db2/Makefile (distribute): Add mutex/sco.cc.
	* mach/Machrules: Don't generate .udeps files if no_deps is set.
	* sysdeps/unix/Makefile: Don't generate sysd-syscalls or
	s-proto.d if avoid-generated is set.

	* sysdeps/alpha/Dist: List only one file per line.
	* sysdeps/generic/Dist: Likewise.
	* sysdeps/m68k/fpu/switch/Dist: Likewise.
	* sysdeps/sparc/sparc32/Dist: Likewise.
	* sysdeps/unix/Dist: Likewise.
	* sysdeps/unix/sysv/irix4/Dist: Likewise.

	* sysdeps/mach/hurd/i386/Dist: New file.
	* sysdeps/generic/Dist: Add endutxent.c, getutxent.c, getutxid.c,
	getutxline.c, pututxline.c, setutxent.c, updwtmpx.c, and utmpxname.c.
	* sysdeps/unix/sysv/linux/Dist: Add getresuid.c and getresgid.c.
	* sysdeps/unix/sysv/linux/sparc/sparc32/Dist: Remove __sigtrampoline.S.

1998-07-04 10:14  Ulrich Drepper  <drepper@cygnus.com>

	* libio/Makefile (routines): Add iofread_u and iofwrite_u.
	* libio/Versions: Add fread_unlocked and fwrite_unlocked.

	* Makerules (lib%.so): Adjust ignore pattern for last makefile change.

	* time/tzfile.c (decode): Optimize by using bswap_32.
	(__tzfile_read): Use _unlocked stream functions.  Correct setting of
	__tzname array values.
	(__tzfile_compute): Correct setting of __tzname array values.
	* time/tzset.c (__tzstring): Clean up a bit.

1998-06-29 19:01  Jim Wilson  <wilson@cygnus.com>

	* posix/regex.c (re_comp): Add cast to char * before gettext calls.

1998-06-30  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sysdeps/unix/bsd/poll.c (__poll): Allocate fd_set dynamically so
	that fd can be bigger than FD_SETSIZE.

1998-07-01  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* nscd/grpcache.c: Include <unistd.h>.
	* nscd/pwdcache.c: Likewise.

	* nis/nis_modify.c: Include <string.h>.
	* nis/nis_add.c: Likewise.
	* nis/nis_checkpoint.c: Likewise.
	* posix/runptests.c: Likewise.
	* sysdeps/generic/statvfs64.c: Likewise.
	* sysdeps/generic/fstatvfs64.c: Likewise.

1998-07-03 13:16  Ulrich Drepper  <drepper@cygnus.com>

	* localedata/charmaps/ISO-8859-9: Change mapping for 0xea, 0xec, 0xef
	to match data from Unicode.
	Reported by Michael Deutschmann <michael@talamasca.wkpowerlink.com>.

1998-07-03 11:45  Ulrich Drepper  <drepper@cygnus.com>

	* stdio-common/printf.h: Define printf_function and
	printf_arginfo_function types using __PMT not __P.
	Reported by Marc Lehmann.

1998-07-02 14:07 -0400  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* assert/test-assert.c: New test.
	* assert/test-assert-perr.c: New test.
	* assert/Makefile (tests): Add test-assert and test-assert-perr.

1998-07-02 13:45  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	BSD-style SCM_CREDS support.

	* sysdeps/unix/sysv/linux/socket.h: Define struct cmsgcred and
	SCM_CREDS.
	* sysdeps/unix/sysv/linux/sendmsg.c: New file.  Convert user
	visible SCM_CREDS packet to what the kernel wants.
	* sysdeps/unix/sysv/linux/recvmsg.c: New file.  Convert
	SCM_CREDS packet output by kernel to what users want.

	* sysdeps/unix/sysv/linux/sendmsg.S: Moved to...
	* sysdeps/unix/sysv/linux/__sendmsg.S: here.
	* sysdeps/unix/sysv/linux/recvmsg.S: Moved to...
	* sysdeps/unix/sysv/linux/__recvmsg.S: here.

	* sysdeps/unix/sysv/linux/Makefile [subdir=socket]: Add
	__sendmsg and __recvmsg to sysdep_routines.
	* sysdeps/unix/sysv/linux/Dist: Add __sendmsg.S and __recvmsg.S.

1998-07-02  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* nscd/grpcache.c: Fix gid pointer handling and debug messages.
	* nscd/pwdcache.c: Fix uid pointer handling and debug messages.
	* nscd/nscd.c: Check, if pthread_create fails.

1998-07-02  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* stdio-common/test_rdwr.c (main): Use %Zu for size_t in printf
	format strings.
	* stdio-common/bug1.c (main): Likewise.
	* stdio-common/bug5.c (main): Likewise.
	* stdio-common/tstgetln.c (main): Likewise.
	* elf/sprof.c (generate_call_graph): Likewise.
	(load_shobj): Likewise.
	* posix/runptests.c (main): Likewise.
	* string/tst-strlen.c (main): Likewise.

	* sysdeps/libm-ieee754/e_acos.c (__ieee754_acos): Remove unused
	variable q3.
	* sysdeps/libm-ieee754/e_asin.c (__ieee754_asin): Likewise

1998-07-03  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* wctype/Versions: Add __towctrans.
	Noticed by Alex Buell <alex.buell@tahallah.demon.co.uk>.

1998-07-02  Mark Kettenis  <kettenis@phys.uva.nl>

	* grp/initgroups.c (compat_call): Only call dynamically loaded
	functions if they are really present.

1998-07-02  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/unix/sysv/linux/bits/sched.h: Move __END_DECLS within
	#ifdef that contains __BEGIN_DECLS.

1998-07-02  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* libio/iofwrite.c: Fix return value when size == 0.

1998-07-01  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* posix/Makefile (distribute): Add annexc.c.
	(generated): Add $(objpfx)annexc and $(objpfx)annexc.out.

1998-07-01  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/unix/sysv/linux/Makefile (sysdep_headers): Add
	bits/pthreadtypes.h here, and do not clobber headers.

	* sysdeps/unix/sysv/linux/Dist: Add bits/pthreadtypes.h.

1998-07-03  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* timezone/tst-timezone.c: Add tests for tzname variable.

1998-07-03 12:17  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* Makefile [versioning=yes]: Build the mapfiles with a pattern
	rule that lists all of them as targets.
	(sysd-versions): Depend only on Versions.def.  Write a Makefile
	fragment that defines $(vers-libs) based on contents of that file;
	then include it.
	(lib-noranlib): Depend on lib-mapfiles not sysd-versions.
	(lib-mapfiles): New target, depends on sysd-versions and $(vers-libs).
	Predicate all this on avoid-generated unset as well as versioning.

1998-07-03 14:35  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/unix/sysv/linux/m68k/Versions: New file.

1998-07-02 21:51  Ulrich Drepper  <drepper@cygnus.com>

	* Makeconfig: Define list of subdirs as all-subdirs and make subdirs
	a copy.
	* Makefile: Add rules to generate map files.
	(distribute): Remove libc.map, add Versions.def and versions.awk.
	* Makerules: Change rules to find map files on common-objpfx.
	* elf/Makefile: Likewise.
	* md5-crypt/Makefile: Likewise.
	* nis/Makefile (libnsl-map): Remove.
	* Versions.def: New file.
	* versions.awk: New file.
	* argp/Versions: New file.
	* assert/Versions: New file.
	* catgets/Versions: New file.
	* csu/Versions: New file.
	* ctype/Versions: New file.
	* db/Versions: New file.
	* debug/Versions: New file.
	* dirent/Versions: New file.
	* elf/Versions: New file.
	* gmon/Versions: New file.
	* grp/Versions: New file.
	* hesiod/Versions: New file.
	* hurd/Versions: New file.
	* iconv/Versions: New file.
	* inet/Versions: New file.
	* intl/Versions: New file.
	* io/Versions: New file.
	* libio/Versions: New file.
	* linuxthreads/Versions: New file.
	* locale/Versions: New file.
	* login/Versions: New file.
	* malloc/Versions: New file.
	* math/Versions: New file.
	* md5-crypt/Versions: New file.
	* misc/Versions: New file.
	* nis/Versions: New file.
	* nss/Versions: New file.
	* posix/Versions: New file.
	* pwd/Versions: New file.
	* resolv/Versions: New file.
	* resource/Versions: New file.
	* rt/Versions: New file.
	* setjmp/Versions: New file.
	* shadow/Versions: New file.
	* signal/Versions: New file.
	* socket/Versions: New file.
	* stdio/Versions: New file.
	* stdio-common/Versions: New file.
	* stdlib/Versions: New file.
	* streams/Versions: New file.
	* string/Versions: New file.
	* sunrpc/Versions: New file.
	* sysdeps/alpha/Versions: New file.
	* sysdeps/alpha/fpu/Versions: New file.
	* sysdeps/i386/Versions: New file.
	* sysdeps/sparc/Versions: New file.
	* sysdeps/unix/sysv/Versions: New file.
	* sysdeps/unix/sysv/linux/Versions: New file.
	* sysdeps/unix/sysv/linux/alpha/Versions: New file.
	* sysdeps/unix/sysv/linux/i386/Versions: New file.
	* sysdeps/unix/sysv/linux/mips/Versions: New file.
	* sysvipc/Versions: New file.
	* termios/Versions: New file.
	* time/Versions: New file.
	* wcsmbs/Versions: New file.
	* wctype/Versions: New file.
	* libc.map: Removed.
	* db/libdb.map: Removed.
	* elf/libdl.map: Removed.
	* hesiod/libnss_hesiod.map: Removed.
	* hurd/libhurduser.map: Removed.
	* hurd/libmachuser.map: Removed.
	* linuxthreads/libpthread.map: Removed.
	* locale/libBrokenLocale.map: Removed.
	* login/libutil.map: Removed.
	* math/libm.map: Removed.
	* md5-crypt/libcrypt.map: Removed.
	* nis/libnsl.map: Removed.
	* nis/libnsl_compat.map: Removed.
	* nis/libnss_nis.map: Removed.
	* nis/libnss_nisplus.map: Removed.
	* nss/libnss_db.map: Removed.
	* nss/libnss_files.map: Removed.
	* resolv/libnss_dns.map: Removed.
	* resolv/libresolv.map: Removed.
	* rt/librt.map: Removed.

	* elf/dl-load.c (fillin_rpath): Fix test for trusted directory.
	Fix typos.

	* elf/rtld.c (process_dl_debug): Recognize 'all'.
	(process_envvars): LD_BIND_NOW must be followed by y, Y, or 1.

	* sysdeps/generic/elf/backtracesyms.c: Allocate string memory of
	correct size.

1998-07-01  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/getsysstats.c (get_proc_path): Fix typo
	in comment.

	* nscd/nscd.c: Include unistd.h.

1998-07-01 09:32  Ulrich Drepper  <drepper@cygnus.com>

	* math/libm-test.c: Adjust delta for indentities1_test because gcc
	became cleverer.

1998-06-29  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* resolv/inet_addr.c (inet_aton): Define variable base only if needed.

1998-06-30  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* scripts/test-installation.pl: Include <stdio.h> in test program
	to make it strictly conforming.

1998-06-30  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/unix/sysv/linux/m68k/sysdep.S: Make _errno a weak alias,
	not a strong alias.
	* sysdeps/unix/sysv/linux/i386/sysdep.S: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc32/sysdep.S: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc64/sysdep.S: Likewise.
	* sysdeps/unix/sysv/linux/arm/sysdep.S: Likewise.

1998-06-30  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/unix/sysv/linux/m68k/sysdep.S: Make _errno a weak alias,
	not a strong alias.

1998-06-30  Ulrich Drepper  <drepper@cygnus.com>

	* posix/Makefile (headers): Remove bits/pthreadtypes.h.
	* sysdeps/unix/sysv/linux/Makefile [subdir==posix] (headers): Add
	bits/pthreadtypes.h.

1998-06-30 11:47  Ulrich Drepper  <drepper@cygnus.com>

	* include/aio.h: New file.
	* posix/Makefile (distribute): Add bits/pthreadtypes.h.
	(tests): Build and run annexc program.
	* posix/annexc.c: New file.
	* posix/bits/posix1_lim.h: Add several more _POSIX_* limits.
	* rt/aio.h: Remove __need_timespec_t.  We can include the whole time.h.
	* rt/aio_misc.c: Include limits.h.
	* rt/aio_notify.c: Include errno.h.
	* sysdeps/unix/sysv/linux/alpha/bits/types.h: Include pthreadtypes.h.
	Define size_t.
	* sysdeps/unix/sysv/linux/bits/types.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/types.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc64/bits/types.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/errno.h: Define ENOTSUP though the
	kernel doesn't do this.
	* sysdeps/unix/sysv/linux/bits/fcntl.h: Define O_LARGEFILE only if
	__USE_LARGEFILE64 is defined.
	* sysdeps/unix/sysv/linux/bits/pthreadtypes.h: New file.  Empty.
	* sysdeps/unix/sysv/linux/bits/sched.h: Define __sched_param struct
	if requested.
	* sysdeps/unix/sysv/linux/bits/siginifo.h: Protect non-standard names.

	* stdlib/isomac.c: Avoid include_next warning.

1998-06-29 12:27  Ulrich Drepper  <drepper@cygnus.com>

	* argp/argp.h: Use __PMT instead of __P for function pointer.
	* iconv/gconv.h: Likewise.
	* io/fts.h: Likewise.
	* io/ftw.h: Likewise.
	* libio/libio.h: Likewise.
	* malloc/mcheck.h: Likewise.
	* misc/search.h: Likewise.
	* posix/glob.h: Likewise.
	* resolv/resolv.h: Likewise.
	* signal/signal.h: Likewise.
	* stdlib/stdlib.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/sigaction.h: Likewise.
	* sysdeps/unix/sysv/linux/bits/siginfo.h: Likewise.

1998-06-26  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makeconfig (CPPFLAGS): Use $($(subdir)-CPPFLAGS) only once.

1998-06-27  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* posix/wordexp.c (parse_param): Fix memory leak.

1998-06-27  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* libc.map: Export _IO_ftrylockfile.

1998-06-27  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/unix/sysv/linux/aio_sigqueue.c: Use get[pu]id instead of
	__get[pu]id.

1998-06-28  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* elf/dl-misc.c (_dl_debug_message): Don't cache the pid.

	* elf/dl-runtime.c (_dl_object_relocation_scope): Avoid adding the
	same search list twice.

1998-06-29  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* login/programs/utmpd.c (handle_requests): Set and use maximal fd
	used to optimize loop/select.

1998-06-24  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/generic/init-first.c: Don't define __libc_pid.
	* sysdeps/unix/sysv/linux/init-first.c: Likewise.
	* sysdeps/mach/hurd/i386/init-first.c: Likewise.
	* sysdeps/mach/hurd/mips/init-first.c: Likewise.
	* sysdeps/arm/init-first.c: Likewise.
	* posix/getopt_init.c: Don't use __libc_pid.
	* sysdeps/unix/sysv/linux/aio_sigqueue.c: Likewise.
	* sysdeps/unix/sysv/linux/sigqueue.c: Likewise.
	* libc.map: Remove __libc_uid and __libc_pid.

1998-06-28  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sunrpc/rtime.c (rtime): Use poll instead of select.

1998-06-28  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sunrpc/clnt_tcp.c (readtcp): Use poll instead of select.
	* sunrpc/pmap_rmt.c (clnt_broadcast): Likewise.
	* sunrpc/clnt_udp.c (clntudp_call): Likewise.
	Patches from FreeBSD current.

1998-06-28  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* nscd/connections.c (handle_new_request): Handle POLLHUP
	correctly.
	(close_sockets): Correct parameter to dbg_log.

1998-06-27  David S. Miller  <davem@pierdol.cobaltmicro.com>

	* sysdeps/sparc/sparc32/dl-machine.h (elf_machine_matches_host):
	Cleanup weak_extern usage for _dl_hwcap and _dl_hwcap_mask.
	(elf_machine_fixup_plt): Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc32/getpagesize.c: When
	_dl_pagesize not set, use system call to always get correct answer.
	* sysdeps/unix/sysv/linux/sparc/sparc32/syscalls.list
	(__syscall_getpagesize): Add

1998-06-27  Ulrich Drepper  <drepper@cygnus.com>

	* resolv/res_send.c (res_send): Fix typo.

1998-06-25  Andi Kleen <ak@muc.de>

	* inet/rcmd.c (rcmd): Change to use __poll instead of select.
	* resolv/res_send.c (res_send): Likewise.

1998-06-27 12:58  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/bsd/poll.c: Define __poll, make poll weak alias.
	* sysdeps/unix/sysv/linux/poll.c: Likewise.

1998-06-27  7:07  Richard Henderson  <rth@cygnus.com>

	* math/atest-exp.c (exp_mpn, main): Cast to mp_limb_t appropriately.
	* math/atest-exp2.c (exp_mpn, main): Likewise.
	* math/atest-sincos.c (main): Likewise.

	* resolv/inet_addr.c (inet_aton): Check for 32-bit overflow.  Move
	base handling away from strtoul.  Always reset errno.

	* sysdeps/alpha/Makefile (elf): Kill -mno-fp-regs.

	* sysdeps/alpha/dl-machine.h (elf_machine_runtime_setup): Only set
	_dl_profile_map if _dl_name_match_p.
	(RTLD_START): Fix .prologue.  Set __libc_stack_end.
	* sysdeps/alpha/elf/start.S: Pass sp as arg 7.  Kill __data_start.

	* sysdeps/alpha/fpu/fraiseexcpt.c (feraiseexcept): Mark tmp
	as early-clobber.

	* sysdeps/libm-ieee754/e_exp10.c: Include "math_private.h".
	* sysdeps/libm-ieee754/e_exp10f.c: Likewise.
	* sysdeps/libm-ieee754/e_exp10l.c: Likewise.

1998-06-26  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/i386/fpu/bits/mathinline.h (__finite): Use alias-safe code.

1998-06-26  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* nis/nis_call.c: Don't copy server structure.
	* nis/nis_intern.h: Remove unused entries.
	* nis/nis_table.c: Rewrite __create_ib_request.

1998-06-26 14:37  Ulrich Drepper  <drepper@cygnus.com>

	* configure.in: Check for -fexceptions.
	* config.make.in: Define exceptions, not no-exceptions.
	* misc/sys/cdefs.h: Define __PMT.  When using modern g++ define
	__P to use throw().
	* misc/Makefile: Define CFLAGS-tsearch.c and CFLAGS-lsearch.c to
	$(exceptions).
	* stdlib/Makefile: Likewise for bsearch.c, msort.c, and qsort.c.
	* misc/search.h: Use __PMT in tsearch, tfind, tdelete, twalk, tdestroy,
	lfind, and lsearch prototpypes.
	* stdlib/stdlib.h: Likewise for bsearch and qsort.

1998-06-26  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/i386/fpu/bits/mathinline.h (__finite): Use C code, not asm.

1998-06-25  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makefile (remove-old-headers): Make phony.

	* configure.in: Substitute @old_glibc_headers@.

1998-06-26  Ulrich Drepper  <drepper@cygnus.com>

	* libc.map: Remove __libc_uid.

1998-06-24  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* manual/terminal.texi (Allocation, Pseudo-Terminal Pairs): Fix
	typos.

1998-06-26  Ulrich Drepper  <drepper@cygnus.com>

	* libc.map: Add Alpha-specific io function from protected namespace.

1998-06-25 19:26  Ulrich Drepper  <drepper@cygnus.com>

	* Makeconfig (CPPFLAGS): Use $($(subdir)-CPPFLAGS) if defined first.
	* locale/Makefile: Define locale-CPPFLAGS instead of redefining
	CPPFLAGS.

	* libc.map: Export __sigaction.

1998-06-25  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sysdeps/unix/sysv/linux/bits/sched.h (CLONE_PTRACE): Add it
	(from Linux 2.1.107).

1998-06-24  Ulrich Drepper  <drepper@cygnus.com>

	* nss/nss_files/files-XXX.c (_nss_files_get,ENTNAME_r): Initialize
	position when file was opened here.
	Reported by Howard Chu <hyc@platinum.com>.

	* sysdeps/generic/glob.c: Also protect FNM_* macros from being
	undefined in a second inclusion.

1998-06-20  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/mach/hurd/i386/Makefile: New file.
	* sysdeps/mach/hurd/i386/init-first.c [!PIC] (init1): Call
	__libc_init_secure.
	(_hurd_stack_setup): Renamed
	from __libc_init_first.
	(__libc_init_first): New function.
	* sysdeps/mach/hurd/i386/static-start.S: New file.

1998-05-30  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/mach/hurd/i386/init-first.c

1998-06-22  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* grp/initgroups.c: Use _CALL_DL_FCT.

1998-06-23  Mark Kettenis  <kettenis@phys.uva.nl>

	* elf/rtld.c (process_dl_debug): Add missing continue.

1998-06-23  Mark Kettenis  <kettenis@phys.uva.nl>

	* elf/dl-load.c (_dl_map_object_from_fd): Add missing cast.

1998-06-23  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* manual/terminal.texi (Pseudo-Terminals): Correct typos.

1998-06-23  Ulrich Drepper  <drepper@cygnus.com>

	* config.make.in: Remove LDAP support.
	* nss/Makefile: Likewise.

1998-06-22 17:02  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/generic/enbl-secure.c: Don't use __libc_uid.
	* sysdeps/unix/sysv/linux/aio_sigqueue.c: Likewise.
	* sysdeps/unix/sysv/linux/sigqueue.c: Likewise.
	* sysdeps/unix/sysv/linux/init-first.c: Don't initialize __libc_uid.

1998-06-02  Gordon Matzigkeit  <gord@profitpress.com>

	* mach/Makefile: Change `mv' invocations to `mv -f'.
	* mach/Machrules: Likewise.

1998-06-22  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* config.make.in (old-glibc-headers): Add it.

	* configure.in: Add test for glibc 2.0.x headers.

	* Makefile (headers2_0): New variable - contains so far only
	Linux/Intel glibc 2.0.x headers.
	(remove-old-headers): New rule to remove headers from glibc 2.0.x.
	(install): Depend on remove-old-headers.

1998-06-19  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/generic/ftruncate.c: Define function as __ftruncate and
	make ftruncate a weak alias.
	* sysdeps/mach/hurd/ftruncate.c: Really define function as
	__ftruncate.
	* sysdeps/mach/hurd/truncate.c: Include <unistd.h>.
	(truncate): Fix function defenition to match prototype.

1998-06-20  Mark Kettenis  <kettenis@phys.uva.nl>

	* manual/terminal.texi: Document ttyname_r, getpt, grantpt,
	unlockpt, ptsname, ptsname_r, openpty and forkpty.

1998-06-22  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/generic/glob.c: Make it possible to include glob.h
	before loading glob.c.
	Reported by Felix von Leitner <leitner@math.fu-berlin.de>.

1998-06-22  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* nscd/connections.c: Use poll() instead of select().

1998-06-22 14:08  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/generic/Dist: Fix typo.

1998-06-20  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* nis/nis_add.c: Avoid unnecessary strlen () calls.
	* nis/nis_addmember.c: Likewise.
	* nis/nis_call.c: Likewise.
	* nis/nis_creategroup.c: Likewise.
	* nis/nis_destroygroup.c: Likewise.
	* nis/nis_findserv.c: Likewise.
	* nis/nis_ismember.c: Likewise.
	* nis/nis_print.c: Likewise.
	* nis/nis_print_group_entry.c: Likewise.
	* nis/nis_removemember.c: Likewise.
	* nis/nis_verifygroup.c: Likewise.
	* nis/ypclnt.c: Likewise.

	* nis/nis_file.c: Close file handles.

	* nis/nis_callback.c: Fix typo.

1998-06-10  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* nis/Makefile: Add nis-initgroups and compat-initgroups.
	* nis/libnss_compat.map: Add _nss_compat_initgroups.
	* nis/libnss_nis.map: Add _nss_nis_initgroups.
	* nis/nss_compat/compat-initgroups.c: New, faster then getgrent().
	* nis/nss_nis/nis-initgroups.c: Likewise.
	* libc-work/nss/nsswitch.c: Rename nss_lookup_function to
	__nss_lookup_function and make it public.
	* grp/initgroups.c: Rewrite, to use initgroups function from NSS
	module if exists, else use old method.

1998-06-19  Ulrich Drepper  <drepper@cygnus.com>

	* nss/getXXbyYY_r.c (lookup_function): Correct return in type
	definition.
	* nss/getXXent_r.c (set_function, end_function, get_function):
	Likewise.  Reported by Thorsten Kukuk.

	* sysdeps/unix/sysv/linux/sigstack.c: Mark sigstack as dangerous.

1998-06-19  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sysdeps/unix/sysv/linux/sparc/Dist: Follow change from
	1998-06-16 and distribute kernel_termios.h.

	* nis/Makefile (distribute): Add nis_xdr.h.

1998-06-19  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sysdeps/unix/sysv/linux/sigstack.c (sigstack): Disable for
	kernels that don't have sigaltstack.

1998-06-19  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/generic/bits/sem.h: Don't define union semun.

	* sysdeps/unix/sysv/linux/bits/sem.h: Fix typo.

	* sysdeps/unix/sysv/linux/bits/ipc.h: Remove ipc_kludge definition
	here.
	* sysdeps/unix/sysv/linux/msgrcv.c (msgrcv): Add ipc_kludge
	definition here.

1998-06-18 21:45  Ulrich Drepper  <drepper@cygnus.com>

	* signal/signal.h: Add prototype for __sigaltstack.
	* sysdeps/unix/sysv/linux/syscalls.list: Add __sigaltstack name.
	Remove sigstack entry.
	* sysdeps/unix/sysv/linux/alpha/syscalls.list: Add sigstack here.
	* sysdeps/unix/sysv/linux/sigstack.c: New file.

	* sysdeps/i386/backtrace.c: Add casts.

1998-06-18 19:49  Ulrich Drepper  <drepper@cygnus.com>

	* intl/dcgettext.c: use complete type name.
	* intl/hash-string.h: Likewise.

	* intl/localealias.c: Undo patch from 1998-04-29.
	* intl/l10nflist.c: Likewise.
	* intl/loadinfo.h: Likewise.

1998-06-18  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/i386/elf/start.S (_start): Ensure correct alignment.

1998-06-18 16:40  Ulrich Drepper  <drepper@cygnus.com>

	* libc.map: Add _dl_profile_map, _dl_profile_output, _dl_start_profile,
	_dl_mcount, _dl_mcount_wrapper.
	* elf/Makefile (routines): Add dl-profstub.
	* elf/dl-profstub.c: New file.
	* elf/dl-support.c: Don't define _dl_profile_map.
	* elf/rtld.c: Likewise.
	* elf/dlfcn.h: Define DL_CALL_FCT macro.
	* elf/ldsodefs.h: Declare _dl_profile_output, _dl_mcount_wrapper.
	Define _CALL_DL_FCT.
	* iconv/gconv.c: Use _CALL_DL_FCT to call function from dynamically
	loaded object.
	* iconv/gconv_db.c: Likewise.
	* iconv/skeleton.c: Likewise.
	* nss/getXXbyYY_r.c: Likewise.
	* nss/getXXent_r.c: Likewise.
	* nss/nsswitch.c: Likewise.

1998-06-18 12:29  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/libm-i387/e_scalb.S: Fix bug in FPU stack handling.
	* sysdeps/libm-i387/e_scalbf.S: Likewise.
	* sysdeps/libm-i387/e_scalbl.S: Likewise.

1998-06-18  Ulrich Drepper  <drepper@cygnus.com>

	* stdlib/tst-strtod.c (long_dbl): Provide receipe to regenerate
	longestdbl.

1998-06-18 10:26  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/Makefile (modules): Add MACINTOSH.
	(MACINTOSH-routines): New variable.
	(distribute): Add macintosh.c.
	(awk-generated-headers): Add macintosh.h.
	Add rule for macintosh.h generation.
	* iconvdata/gconv-modules: Add definitions for MACINTOSH.
	* iconvdata/macintosh.c: New file.

1998-06-17  Ulrich Drepper  <drepper@cygnus.com>

	* stdlib/tst-strtod.c (long_dbl): Add test for loooong numbers.

	* stdlib/strtod.c (str_to_mpn): Fix extending of n array which
	only should happen for cy != 0.

	* sysdeps/unix/sysv/linux/alpha/glob.c: Include sys/types.h before
	glob.h.

1998-06-16  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/generic/backtrace.c (INNER_THAN): New definition, use it
	to compare stack addresses.

1998-06-17  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/alpha/glob.c: Include glob.h before
	defining prototypes.

1998-06-16  David S. Miller <davem@dm.cobaltmicro.com>

	* sysdeps/sparc/sparc32/dl-machine.h
	(elf_machine_fixup_plt): During rtld bootstrap, always perform
	flushes as the kernel will emulate it when the underlying cpu does
	not implement flush.

	* sysdeps/unix/sysv/linux/sparc/sys/kernel_termios.h: Move...
	* sysdeps/unix/sysv/linux/sparc/kernel_termios.h: ...to here.

	* sysdeps/unix/sysv/linux/sparc/sparc32/__sigtrampoline.S: Remove.
	* sysdeps/unix/sysv/linux/sparc/sparc32/Makefile: No longer build
	trampoline code.

	* sysdeps/unix/sysv/linux/sparc/sparc32/clone.S
	(__clone): Branch to label .Lerror not __clone_syscall_error.
	(.Lerror): Fixup EINVAL setting.
	* sysdeps/unix/sysv/linux/sparc/sparc32/getgroups.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/setgroups.c: New file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/syscalls.list
	(__syscall_getgroups, __syscall_setgroups): Add.

	* sysdeps/unix/sysv/linux/sparc/sparc32/sigaction.c
	(__sigaction): Member name is k_sa_handler.  Use memcpy to copy
	around sa_mask data.

1998-06-16  Ulrich Drepper  <drepper@cygnus.com>

	* math/math.h: Include bits/nan.h when compiling for ISO C 9x.

	* string/Makefile: Make sure test-ffs does not use builtins.

1998-06-16  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* sunrpc/svc.c: Check for NULL pointer.

	* nis/libnsl.map: Add public NIS+ xdr functions.

	* nis/rpcsvc/nis_callback.h: New file.
	* nis/rpcsvc/nis.h: Move xdr_* functions from here ...
	* nis/nis_xdr.h: ... here.

	* nis/nis_add.c: Use internal _xdr_* functions, check for NULL
	pointers, use NIS+ defines where possible.
	* nis/nis_cache.c: Likewise.
	* nis/nis_cache2_xdr.c: Likewise.
	* nis/nis_call.c: Likewise.
	* nis/nis_checkpoint.c: Likewise.
	* nis/nis_clone_dir.c: Likewise.
	* nis/nis_clone_obj.c: Likewise.
	* nis/nis_clone_res.c: Likewise.
	* nis/nis_creategroup.c: Likewise.
	* nis/nis_file.c: Likewise.
	* nis/nis_free.c: Likewise.
	* nis/nis_getservlist.c: Likewise.
	* nis/nis_local_names.c: likewise.
	* nis/nis_lookup.c: Likewise.
	* nis/nis_mkdir.c: Likewise.
	* nis/nis_modify.c: Likewise.
	* nis/nis_ping.c: Likewise.
	* nis/nis_print.c: Likewise.
	* nis/nis_remove.c: Likewise.
	* nis/nis_removemember.c: Likewise.
	* nis/nis_rmdir.c: Likewise.
	* nis/nis_server.c: Likewise.
	* nis/nis_table.c: Likewise.
	* nis/nis_util.c: Likewise.
	* nis/nis_verifygroup.c: Likewise.
	* nis/nis_xdr.c: Likewise.
	* nis/nis_callback.c: Likewise, and move xdr functions from here ...
	* nis/nis_xdr.c: ... to here.

1998-06-15 18:07  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/ksc5601.h: Clean up a bit.

1998-06-15 14:35  Ulrich Drepper  <drepper@cygnus.com>

	* sunrpc/svc_tcp.c (readtcp): Also listen to all the other connections
	and process incoming data.
	* sunrpc/xdr_rec.c (set_input_fragment): Only recognize zero length
	fragments as invalid.
	Patches by Thorsten Kukuk <kukuk@weber.uni-paderborn.de>.

1998-06-13  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	Removal of duplicates like "the the".
	* manual/time.texi (TZ Variable): Likewise.
	* manual/users.texi (Manipulating the Database): Likewise.
	* manual/sysinfo.texi (Filesystem handling): Likewise.
	* manual/signal.texi (Signaling Yourself): Likewise.
	* manual/message.texi (Message Translation): Likewise.
	(Common Usage): Likewise.
	* manual/llio.texi: Likewise.
	* manual/arith.texi (Old-style number conversion): Likewise.
	* manual/argp.texi (Argp): Likewise.
	(Argp Parsers): Likewise.
	(Argp Help Filtering): Likewise.

	* hesiod/README.hesiod: Correct typo.

	* manual/llio.texi: Correct typos.
	* manual/sysinfo.texi: Likewise.

1998-06-13  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* rt/aio.h: Rename __op to __operation for g++.

1998-06-13 20:17 -0400  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* iconvdata/gen-8bit-gap.sh: Use awk not perl.  Clean up sed
	script.
	* iconvdata/gen-8bit-gap-1.sh: Likewise.
	* iconvdata/gen-8bit.sh: Clean up sed script.

	* iconvdata/Makefile: Remove all PERL conditionals; build all
	the modules all the time.  Export AWK.
	(gen-8bit-gap): Delete setting of PERL.
	(gen-8bit-gap-1): Likewise.
	(perl-generated-headers): Renamed awk-generated-headers.

	* iconvdata/gap.pl: Removed.
	* iconvdata/gaptab.pl: Removed.
	* iconvdata/gap.awk: New file.
	* iconvdata/gaptab.awk: New file.

1998-06-15  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/generic/Dist: Add errno-loc.c.

	* sysdeps/unix/sysv/linux/alpha/glob.c: Add prototypes for the
	__new_* functions.

1998-06-14 14:21 -0400  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* stdio-common/bug12.c: New test for fread()/fseek().
	* stdio-common/Makefile (tests): Add bug12.

1998-06-14  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/generic/elf/backtracesyms.c: Make array elements
	constant.
	* sysdeps/generic/backtracesyms.c: Likewise.  Fix type of RESULT.
	* debug/execinfo.h: Update declaration.

1998-06-14  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/generic/elf/backtracesyms.c: Make array elements constant.
	* sysdeps/generic/backtracesyms.c: Likewise.  Fix type of RESULT.
	* debug/execinfo.h: Update declaration.

1998-06-13  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* manual/llio.texi: Fix spelling.
	* manual/sysinfo.texi: Fix spelling.

1998-06-13  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* misc/hsearch.c (__hdestroy): Renamed from hdestroy, create weak
	alias for old name.  Put this on __libc_subfreeres.
	* misc/search.h: Declare it.

1998-06-13  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* string/bits/string2.h (strcmp): Add missing parens around macro
	parameters.

1998-06-12 23:34  Ulrich Drepper  <drepper@cygnus.com>

	* manual/arith.texi: Fix problem with @math and texinfo.tex.

	* manual/filesys.texi: Document LFS functions.
	* manual/llio.texi: Likewise.
	* manual/stdio.texi: Likewise.
	* manual/time.texi: Likewise.

	* manual/llio.texi: Document AIO functions.

	* resource/sys/resource.h: Mark second argument of setrlimit as const.
	* sysdeps/generic/setrlimit.c: Likewise.
	* sysdeps/generic/setrlimit64.c: Likewise.
	* sysdeps/mach/hurd/setrlimit.c: Likewise.
	* sysdeps/unix/sysv/setrlimit.c: Likewise.

1998-06-11  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/generic/getenv.c: Fix last change.

1998-06-10  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/generic/backtrace.c: Provide generic implementation.

1998-06-10  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* configure.in: Give visual feedback of the default directories we
	added.

1998-06-11  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* io/fts.c (fts_build): Define oflag only if needed.

1998-06-11  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/libm-ieee754/w_exp10.c: Add missing close comment.

1998-06-11  Ulrich Drepper  <drepper@cygnus.com>

	* libc.map: Don't export argp's fmtstream handling functions.

	* manual/sysinfo.texi: Document fstab and mtab handling functions.
	* manual/llio.texi: Document more LFS functions and start documenting
	the AIO functions.

1998-06-03 03:09  Geoff Keating  <geoffk@ozemail.com.au>

	* sysdeps/unix/sysv/linux/pread.c: Detect missing syscall, like poll().
	* sysdeps/unix/sysv/linux/pread64.c: Likewise.
	* sysdeps/unix/sysv/linux/pwrite.c: Likewise.
	* sysdeps/unix/sysv/linux/pwrite64.c: Likewise.

1998-06-03 03:09  Geoff Keating  <geoffk@ozemail.com.au>

	* sysdeps/powerpc/Makefile: Use -G0 on the startup file; this
	makes it easier to undump emacs.
	* sysdeps/powerpc/bits/endian.h: Use more informative error message
	for when the endianness can't be determined.

1998-06-04 13:19  Geoff Keating  <geoffk@ozemail.com.au>

	* nss/Makefile: Add files publickey database support.
	* nss/libnss_files.map: Export the required functions.
	* nss/nss_files/files-key.c: Implement it.
	* sunrpc/rpc/auth_des.h: Correct typos in comments.

1998-06-10  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv_builtin.h: Add aliases for CORBA.
	* iconvdata/gconv-modules: Likewise.

1998-06-10  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* math/libm-test.c (main): Call exp10_test.
	(exp10_test): New function which tests exp10.

1998-06-10  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/syscalls.list: Add sigaltstack and
	sigstack.

	* sysdeps/unix/sysv/linux/bits/sigstack.h: Add definitions of
	SS_ONSTACK, SS_DISABLE, MINSIGSTKSZ and SIGSTKSZ.
	* sysdeps/unix/sysv/linux/alpha/bits/sigstack.h: New file.

1998-06-08  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/i386/dl-machine.h (_dl_start_user): Store stack address
	in the variable, not its GOT slot.

1998-06-10 10:32  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/m68k/fpu/bits/mathinline.h: Define __ieee754_exp10 as
	inline.
	* sysdeps/m68k/fpu/e_exp10.c: New file.
	* sysdeps/m68k/fpu/e_exp10f.c: New file.
	* sysdeps/m68k/fpu/e_exp10l.c: New file.

	* sysdeps/m68k/dl-machine.h (elf_machine_runtime_setup): Set
	_dl_profile_map only if the name matches.
	(_dl_start_user): Remember stack address.
	* sysdeps/m68k/elf/start.S: Pass new argument to
	__libc_start_user.

	* sysdeps/unix/sysv/linux/m68k/sysdep.h (SYSCALL_ERROR_LABEL): New
	definition.
	(PSEUDO, SYSCALL_ERROR_HANDLER): Use it instead of syscall_error.
	* sysdeps/unix/sysv/linux/m68k/clone.S: Likewise.
	* sysdeps/unix/sysv/linux/m68k/mmap.S: Likewise.
	* sysdeps/unix/sysv/linux/m68k/socket.S: Likewise.
	* sysdeps/unix/sysv/linux/m68k/syscall.S: Likewise.

1998-06-09 18:16  Ulrich Drepper  <drepper@cygnus.com>

	* math/Makefile (libm-calls): Add w_exp10 and e_exp10.
	* math/libm.map: Add exp10{,f,l} and pow10{,f,l}.
	* math/math_private.h: Add prototypes for __ieee754_exp10{,f,l}.
	* math/bits/mathcalls.h: Add definitions for exp10 and pow10
	prototypes.
	* sysdeps/libm-i387/e_exp10.S: New file.
	* sysdeps/libm-i387/e_exp10f.S: New file.
	* sysdeps/libm-i387/e_exp10l.S: New file.
	* sysdeps/libm-ieee754/e_exp10.c: New file.
	* sysdeps/libm-ieee754/e_exp10f.c: New file.
	* sysdeps/libm-ieee754/e_exp10l.c: New file.
	* sysdeps/libm-ieee754/w_exp10.c: New file.
	* sysdeps/libm-ieee754/w_exp10f.c: New file.
	* sysdeps/libm-ieee754/w_exp10l.c: New file.
	* sysdeps/libm-ieee754/k_standard.c: Add exception code for exp10.

1998-05-25 22:18  H.J. Lu  <hjl@gnu.org>

	* sysdeps/unix/sysv/linux/i386/Makefile (sysdep_headers): Add
	sys/elf.h and sys/reg.h.
	* sysdeps/unix/sysv/linux/i386/sys/elf.h: New file.
	* sysdeps/unix/sysv/linux/i386/sys/reg.h: New file.
	* sysdeps/unix/sysv/linux/i386/sys/procfs.h: New file.
	* sysdeps/unix/sysv/linux/i386/sys/user.h: New file.

	* sysdeps/unix/sysv/linux/sys/ptrace.h (PTRACE_GETREGS,
	PTRACE_SETREGS, PTRACE_GETFPREGS, PTRACE_SETFPREGS): Added.

1998-06-09  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/netinet/ip.h (struct ip_options): Define
	__data member only for gcc.  Reported by ak@muc.de.

	* misc/mntent.h: Undo last patch.
	* sysdeps/unix/sysv/linux/fstatvfs.c (fstatvfs): Undo last patch.
	* misc/tst/mntent.c: Adjust code for this change.

	* io/fts.c: Updated from a slightly more recent BSD version.
	* io/fts.h: Likewise.

	* libc.map: Add __libc_stack_end.

	* db2/Makefile (routines): Add lock_region.
	* db2/config.h: Update from db-2.4.14.
	* db2/db.h: Likewise.
	* db2/db_185.h: Likewise.
	* db2/db_int.h: Likewise.
	* db2/btree/bt_close.c: Likewise.
	* db2/btree/bt_compare.c: Likewise.
	* db2/btree/bt_conv.c: Likewise.
	* db2/btree/bt_cursor.c: Likewise.
	* db2/btree/bt_delete.c: Likewise.
	* db2/btree/bt_open.c: Likewise.
	* db2/btree/bt_page.c: Likewise.
	* db2/btree/bt_put.c: Likewise.
	* db2/btree/bt_rec.c: Likewise.
	* db2/btree/bt_recno.c: Likewise.
	* db2/btree/bt_rsearch.c: Likewise.
	* db2/btree/bt_search.c: Likewise.
	* db2/btree/bt_split.c: Likewise.
	* db2/btree/bt_stat.c: Likewise.
	* db2/btree/btree.src: Likewise.
	* db2/btree/btree_auto.c: Likewise.
	* db2/clib/getlong.c: Likewise.
	* db2/common/db_appinit.c: Likewise.
	* db2/common/db_apprec.c: Likewise.
	* db2/common/db_byteorder.c: Likewise.
	* db2/common/db_err.c: Likewise.
	* db2/common/db_log2.c: Likewise.
	* db2/common/db_region.c: Likewise.
	* db2/common/db_salloc.c: Likewise.
	* db2/common/db_shash.c: Likewise.
	* db2/db/db.c: Likewise.
	* db2/db/db.src: Likewise.
	* db2/db/db_auto.c: Likewise.
	* db2/db/db_conv.c: Likewise.
	* db2/db/db_dispatch.c: Likewise.
	* db2/db/db_dup.c: Likewise.
	* db2/db/db_overflow.c: Likewise.
	* db2/db/db_pr.c: Likewise.
	* db2/db/db_rec.c: Likewise.
	* db2/db/db_ret.c: Likewise.
	* db2/db/db_thread.c: Likewise.
	* db2/db185/db185.c: Likewise.
	* db2/db185/db185_int.h: Likewise.
	* db2/dbm/dbm.c: Likewise.
	* db2/hash/hash.c: Likewise.
	* db2/hash/hash.src: Likewise.
	* db2/hash/hash_auto.c: Likewise.
	* db2/hash/hash_conv.c: Likewise.
	* db2/hash/hash_debug.c: Likewise.
	* db2/hash/hash_dup.c: Likewise.
	* db2/hash/hash_func.c: Likewise.
	* db2/hash/hash_page.c: Likewise.
	* db2/hash/hash_rec.c: Likewise.
	* db2/hash/hash_stat.c: Likewise.
	* db2/include/btree.h: Likewise.
	* db2/include/btree_ext.h: Likewise.
	* db2/include/clib_ext.h: Likewise.
	* db2/include/common_ext.h: Likewise.
	* db2/include/cxx_int.h: Likewise.
	* db2/include/db.h.src: Likewise.
	* db2/include/db_185.h.src: Likewise.
	* db2/include/db_am.h: Likewise.
	* db2/include/db_auto.h: Likewise.
	* db2/include/db_cxx.h: Likewise.
	* db2/include/db_dispatch.h: Likewise.
	* db2/include/db_ext.h: Likewise.
	* db2/include/db_int.h.src: Likewise.
	* db2/include/db_page.h: Likewise.
	* db2/include/db_shash.h: Likewise.
	* db2/include/db_swap.h: Likewise.
	* db2/include/hash.h: Likewise.
	* db2/include/hash_ext.h: Likewise.
	* db2/include/lock.h: Likewise.
	* db2/include/lock_ext.h: Likewise.
	* db2/include/log.h: Likewise.
	* db2/include/log_ext.h: Likewise.
	* db2/include/mp.h: Likewise.
	* db2/include/mp_ext.h: Likewise.
	* db2/include/mutex_ext.h: Likewise.
	* db2/include/os_ext.h: Likewise.
	* db2/include/os_func.h: Likewise.
	* db2/include/queue.h: Likewise.
	* db2/include/shqueue.h: Likewise.
	* db2/include/txn.h: Likewise.
	* db2/lock/lock.c: Likewise.
	* db2/lock/lock_conflict.c: Likewise.
	* db2/lock/lock_deadlock.c: Likewise.
	* db2/lock/lock_region.c: Likewise.
	* db2/lock/lock_util.c: Likewise.
	* db2/log/log.c: Likewise.
	* db2/log/log.src: Likewise.
	* db2/log/log_archive.c: Likewise.
	* db2/log/log_auto.c: Likewise.
	* db2/log/log_compare.c: Likewise.
	* db2/log/log_findckp.c: Likewise.
	* db2/log/log_get.c: Likewise.
	* db2/log/log_put.c: Likewise.
	* db2/log/log_rec.c: Likewise.
	* db2/log/log_register.c: Likewise.
	* db2/mp/mp_bh.c: Likewise.
	* db2/mp/mp_fget.c: Likewise.
	* db2/mp/mp_fopen.c: Likewise.
	* db2/mp/mp_fput.c: Likewise.
	* db2/mp/mp_fset.c: Likewise.
	* db2/mp/mp_open.c: Likewise.
	* db2/mp/mp_pr.c: Likewise.
	* db2/mp/mp_region.c: Likewise.
	* db2/mp/mp_sync.c: Likewise.
	* db2/mutex/68020.gcc: Likewise.
	* db2/mutex/mutex.c: Likewise.
	* db2/mutex/parisc.gcc: Likewise.
	* db2/mutex/parisc.hp: Likewise.
	* db2/mutex/sco.cc: Likewise.
	* db2/os/os_abs.c: Likewise.
	* db2/os/os_alloc.c: Likewise.
	* db2/os/os_config.c: Likewise.
	* db2/os/os_dir.c: Likewise.
	* db2/os/os_fid.c: Likewise.
	* db2/os/os_fsync.c: Likewise.
	* db2/os/os_map.c: Likewise.
	* db2/os/os_oflags.c: Likewise.
	* db2/os/os_open.c: Likewise.
	* db2/os/os_rpath.c: Likewise.
	* db2/os/os_rw.c: Likewise.
	* db2/os/os_seek.c: Likewise.
	* db2/os/os_sleep.c: Likewise.
	* db2/os/os_spin.c: Likewise.
	* db2/os/os_stat.c: Likewise.
	* db2/os/os_unlink.c: Likewise.
	* db2/progs/db_archive/db_archive.c: Likewise.
	* db2/progs/db_checkpoint/db_checkpoint.c: Likewise.
	* db2/progs/db_deadlock/db_deadlock.c: Likewise.
	* db2/progs/db_dump/db_dump.c: Likewise.
	* db2/progs/db_dump185/db_dump185.c: Likewise.
	* db2/progs/db_load/db_load.c: Likewise.
	* db2/progs/db_printlog/db_printlog.c: Likewise.
	* db2/progs/db_recover/db_recover.c: Likewise.
	* db2/progs/db_stat/db_stat.c: Likewise.
	* db2/txn/txn.c: Likewise.
	* db2/txn/txn.src: Likewise.
	* db2/txn/txn_auto.c: Likewise.
	* db2/txn/txn_rec.c: Likewise.

	* elf/rtld.c: Move definition of __libc_stack_end to ...
	* sysdeps/generic/dl-sysdep.h: ...here.

	* sysdeps/unix/sysv/linux/fstatvfs.c: Handle nodiratime option.
	* sysdeps/unix/sysv/linux/bits/statvfs.h: Define ST_NODIRATIME.
	* sysdeps/unix/sysv/linux/sys/mount.h: Define MS_NODIRATIME.

	* sysdeps/generic/libc-start.c: Always set __libc_stack_end.
	* sysdeps/i386/backtrace.c: Test whether frame pointer is legal
	before following it.

1998-06-08 21:44  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/fstatvfs.c: Handle constant option string
	from mntent correctly.

1998-06-06  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sunrpc/Makefile (generated): Correct typo.

1998-06-04  Philip Blundell  <philb@gnu.org>

	* elf/elf.h (EM_ARM, et al.): New definitions.
	* sysdeps/arm/dl-machine.h: Update for new draft ARM ELF ABI.

1998-06-08 21:33  Ulrich Drepper  <drepper@cygnus.com>

	* localedata/SUPPORTED: Add sk_SK.
	* localedata/locales/sk_SK: New file.

1998-06-08 18:57  Ulrich Drepper  <drepper@cygnus.com>

	* Makeconfig (subdirs): Add debug.
	* configure.in: Use sysdeps/generic/elf subdir if ELF platform.
	* libc.map: Add __backtrace, __backtrace_symbols, backtrace and
	backtrace_symbols.
	* sysdeps/generic/backtrace.c: New file.
	* sysdeps/generic/backtracesyms.c: New file.
	* sysdeps/generic/elf/backtracesyms.c: New file.
	* sysdeps/i386/backtrace.c: New file.
	* debug/Makefile: New file.
	* debug/backtrace-tst.c: New file.
	* debug/execinfo.h: New file.

1998-06-08 13:34  Ulrich Drepper  <drepper@cygnus.com>

	* elf/sprof.c: Implement call graph profiling.

	* sysdeps/generic/getenv.c: Optimize to use strncmp less often.

1998-06-07  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* pwd/fgetpwent_r.c (__fgetpwent_r): Correct buffer overflow fix.
	* grp/fgetgrent_r.c (__fgetgrent_r): Likewise.
	* shadow/fgetspent_r.c (__fgetspent_r): Likewise.
	Noticed by Jake Garver <garver@valkyrie.net>.

1998-06-07  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* libio/genops.c (__underflow): Read character from read pointer
	as unsigned.
	(__uflow): Likewise.

1998-06-07 13:32  Ulrich Drepper  <drepper@cygnus.com>

	* libc.map: Add _dl_profile.
	* elf/dl-reloc.c (_dl_relocate_object): Take extra argument, pass
	this to ELF_DYNAMIC_RELOCATE.
	Always allocate array for relocation result if LD_PROFILE is defined.
	* elf/ldsodefs.h: Adjust prototypes.
	* elf/dl-open.c (_dl_open): Call relocation function with extra
	argument.
	* elf/rtld.c: Likewise.
	* elf/dl-profile.c (_dl_mcount): Don't mark as internal function.
	Correct loop condition.
	* elf/dynamic-link.h: Don't examine _dl_profile variable, pass
	consider_profile to runtime setup function.
	* sysdeps/i386/dl-machine.h (elf_machine_runtime_setup): Use
	_dl_runtime_profile for all shared objects if LD_PROFILE is defined.

	* elf/dl-support.c: Define __libc_stack_end.
	* elf/rtld.c: Likewise.
	* sysdeps/generic/libc-start.c: Store last stack address in
	__libc_stack_end.
	* sysdeps/i386/dl-machine.h (_dl_start_user): Store stack address.
	* sysdeps/i386/elf/start.s: Call __libc_start_main with extra argument.

	* elf/elf.h: Include <features.h>, not <sys/cdefs.h>.
	Include <stdint.h>, not <inttypes.h>.

	* elf/sprof.c: Implement flat profiling.

	* libio/fgetc.c: Call _IO_cleanup_region_end with 0 and call
	_IO_funlockfile explicitly.
	* libio/fileops.c: Likewise.
	* libio/fputc.c: Likewise.
	* libio/freopen.c: Likewise.
	* libio/freopen64.c: Likewise.
	* libio/fseek.c: Likewise.
	* libio/fseeko.c: Likewise.
	* libio/fseeko64.c: Likewise.
	* libio/ftello.c: Likewise.
	* libio/ftello64.c: Likewise.
	* libio/getc.c: Likewise.
	* libio/getchar.c: Likewise.
	* libio/iofclose.c: Likewise.
	* libio/iofflush.c: Likewise.
	* libio/iofgetpos.c: Likewise.
	* libio/iofgetpos64.c: Likewise.
	* libio/iofgets.c: Likewise.
	* libio/iofputs.c: Likewise.
	* libio/iofread.c: Likewise.
	* libio/iofsetpos.c: Likewise.
	* libio/iofsetpos64.c: Likewise.
	* libio/ioftell.c: Likewise.
	* libio/iofwrite.c: Likewise.
	* libio/iogetdelim.c: Likewise.
	* libio/iogets.c: Likewise.
	* libio/ioputs.c: Likewise.
	* libio/ioseekoff.c: Likewise.
	* libio/ioseekpos.c: Likewise.
	* libio/iosetbuffer.c: Likewise.
	* libio/iosetvbuf.c: Likewise.
	* libio/ioungetc.c: Likewise.
	* libio/iovsprintf.c: Likewise.
	* libio/iovsscanf.c: Likewise.
	* libio/oldfileops.c: Likewise.
	* libio/oldiofclose.c: Likewise.
	* libio/peekc.c: Likewise.
	* libio/putc.c: Likewise.
	* libio/putchar.c: Likewise.
	* libio/rewind.c: Likewise.

	* malloc/mtrace.c: Pretty print.

	* misc/mntent.h (struct mentent): Make string elements const char *.

	* nis/nis_printf.c: Optimize I/O a little bit.

	* signal/Makefile (distribute): Add sigset-cvt-mask.h.
	* sysdeps/generic/sigset-cvt-mask.h: New file.
	* sysdeps/unix/sysv/linux/sigset-cvt-mask.h: New file.
	* sysdeps/unix/sysv/sysv4/sigset-cvt-mask.h: New file.
	* sysdeps/posix/sigvec.c: Rewrite the use definitions from
	sigset-cvt-mask.h to do the dirty work.
	Patches by Joe Keane.

	* sysdeps/posix/mkstemp.c: Save one precious byte of rodata.

	* sysdeps/unix/sysv/linux/i386/sysdep.h: Rewrite PSEUDO etc to make
	syscall_error label in case of PIC anonymous.
	* sysdeps/unix/sysv/linux/i386/i686/sysdep.h: Likewise.
	* sysdeps/unix/sysv/linux/i386/clone.S: Adapt for this change.
	* sysdeps/unix/sysv/linux/i386/mmap.S: Adapt for this change.
	* sysdeps/unix/sysv/linux/i386/s_pread64.S: Adapt for this change.
	* sysdeps/unix/sysv/linux/i386/s_pwrite64.S: Adapt for this change.
	* sysdeps/unix/sysv/linux/i386/socket.S: Adapt for this change.
	* sysdeps/unix/sysv/linux/i386/syscall.S: Adapt for this change.

1998-06-05  Ulrich Drepper  <drepper@cygnus.com>

	* sunrpc/xdr_rec.c (xdrrec_create): Add cast for *_ops array since
	we cannot declare the struct element as const.
	* sunrpc/xdr_mem.c (xdrmem_create): Likewise.
	* sunrpc/xdr_stdio.c (xdrstdio_create): Likewise.

1998-06-04  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* manual/Makefile: Include ../Makeconfig earlier.
	(MAKEINFO, TEXI2DVI): Use defaults if ../Makeconfig does not
	exist.
	(dir-add.texinfo): Remove useless $(SHELL).

1998-06-04  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makefile (others): Build programs from install-bin.
	* configure.in: Modify config.make only if is was just created and
	move that command to second argument of AC_OUTPUT.  Add command to
	set config_vars in config.status.

1998-06-04  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* malloc/Makefile (address-width): Fix conditional.

1998-06-03  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* libc.map: Add fattach, fdetach, getmsg, getpmsg, makecontext,
	putmsg, putpmsg, scalbln, scalblnf, scalblnl, strtoimax,
	strtoumax, swapcontext, waitid, wcsnlen, wcstoimax, wcstoumax with
	version GLIBC_2.1.

1998-06-04  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* manual/lang.texi (Range of Type): Change @end table->@end vtable.
	(Floating Point Parameters): Likewise.

1998-06-01  Gordon Matzigkeit  <gord@profitpress.com>

	* hurd/Makefile (routines): Add cthreads.

1998-05-31  Mark Kettenis  <kettenis@phys.uva.nl>

	* login/login.c (login): Let pututline take care of finding the
	positin to insert the UTMP entry.  This corrects a bug where ssh
	was not reusing UTMP entries marked as DEAD_PROCESS.
	Reported by Herbert Xu <herbert@gondor.apana.org.au>.

1998-05-31  Mark Kettenis  <kettenis@phys.uva.nl>

	* login/Makefile (tests): New variable, add tst-utmp and
	tst-utmpx.
	* login/tst-utmp.c: New file.
	* login/tst-utmpx.c: New file.

1998-06-01  Gordon Matzigkeit  <gord@profitpress.com>

	* sysdeps/mach/hurd/errlist.c (sys_nerr, _sys_nerr): Make weak
	aliases for _hurd_nerr, for programs that don't use sys_errlist,
	but need sys_err.

1998-05-31  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/generic/updwtmpx.c: Rename function to updwtmpx.
	* libc.map: Add updwtmpx and utmpxname to GLIBC_2.1.

1998-05-31  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/mach/hurd/read.c: Rename function to __libc_read and
	make __read a weak alias.  Use ANSI-style function definition.
	* sysdeps/mach/hurd/write.c: Likewise.

1998-05-31  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/mach/hurd/err_hurd.sub: Use _hurd_errlist instead of
	_sys_errlist.

1998-05-30  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/mach/hurd/Makefile ($(objpfx)librtld.os):
	Renamed from librtld.so.

1998-06-02  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* libc.map: Remove _IO_getline_info which was erroneously
	introduced in section GLIBC_2.0.
	Noticed by Horst von Brand <vonbrand@sleipnir.valparaiso.cl>.

1998-06-01  Gordon Matzigkeit  <gord@profitpress.com>

	* sysdeps/generic/socket.c (__socket): Renamed from socket, and
	created a weak alias.
	* sysdeps/mach/hurd/socket.c (__socket): Likewise.

1998-05-31  Gordon Matzigkeit  <gord@profitpress.com>

	* sysdeps/mach/hurd/ftruncate.c (__ftruncate): Rename from old
	ftruncate function, and create a weak alias to ftruncate.

1998-06-01  Gordon Matzigkeit  <gord@profitpress.com>

	* grp/fgetgrent_r.c: Use &errno instead of __errno_location ().
	* inet/getnetgrent_r.c: Likewise.
	* nss/getXXbyYY_r.c: Likewise.
	* nss/getXXent_r.c: Likewise.
	* pwd/fgetpwent_r.c: Likewise.
	* shadow/sgetspent_r.c: Likewise.
	* shadow/fgetspent_r.c: Likewise.
	* sunrpc/publickey.c: Likewise.

1998-06-01  Gordon Matzigkeit  <gord@profitpress.com>

	* hurd/libhurduser.map: New file.
	* mach/libmachuser.map: Likewise.

	* libc.map: Add Hurd-specific functions to version 2.1.
	Add __flshfp and __fillbf.

1998-05-30  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* manual/signal.texi (Basic Signal Handling): Fix typo.
	* manual/errno.texi (Error Codes): Likewise.

1998-06-02  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/netipx/ipx.h: Include <bits/sockaddr.h>
	instead of <sys/socket.h>.
	Patch by NIIBE Yutaka <gniibe@mri.co.jp>

	* sysdeps/unix/sysv/linux/powerpc/dl-sysdep.c (DL_FIND_ARG_COMPONENTS):
	Finally make it working.
	Patch by Mark Hatle <fray@kernel.crashing.org>.

1998-03-22  Paul Eggert  <eggert@twinsun.com>

	* posix/regex.c: Include <wchar.h> before <wctype.h>, to work around
	a Solaris 2.6 bug.

1998-05-30  Philip Blundell  <Philip.Blundell@pobox.com>

	* stdlib/gmp-impl.h: Support strange mixed-endian double format
	used by ARM systems.
	* sysdeps/arm/fpu/bits/fenv.h (FE_EXCEPTION_SHIFT): Rename to
	FE_EXCEPT_SHIFT.
	* sysdeps/arm/bits/fenv.h: Deleted.
	* sysdeps/arm/fpu/ieee754.h: New file.
	* sysdeps/arm/gmp-mparam.h: New file.
	* stdlib/longlong.h (umul_ppmm): Temporarily disable broken ARM
	implementation.

1998-06-01  Ulrich Drepper  <drepper@cygnus.com>

	* sunrpc/rpc/xdr.h (struct XDR): Don't mark xdr_ops element as const.

	* sysdeps/i386/fpu/bits/mathinline.h: Use ((__unused__)) instead
	of ((unused)).  Reported by Bruno Haible.

1998-05-31  Philip Blundell  <philb@gnu.org>

	* sysdeps/unix/sysv/linux/arm/sysdep.S: Use C_SYMBOL_NAME when
	referring to errno and _errno.

	* sysdeps/arm/fpu/feholdexcpt.c: New file.

	* sysdeps/i386/fpu_control.h: Fix typo.

	* sysdeps/arm/bits/setjmp.h (__jmp_buf): Remove floating-point support.
	(_JMPBUF_UNWINDS): Added.
	* sysdeps/arm/fpu/bits/setjmp.h: New file.

1998-05-25  Gordon Matzigkeit  <gord@profitpress.com>

	* sysdeps/mach/hurd/Makefile: Use the `before-compile' target in
	order to build header files, not `generated'.

	* Rules (before-compile): New target which depends on all
	$(before-compile) files.

1998-06-01  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* nis/nis_call.c: Make directory search faster.

	* nis/nis_callback.c: Insert public key of user in callback data.

	* nis/nis_clone_obj.c: Make size from type u_long, not u_int.

	* nis/nis_creategroup.c: Check for NULL pointer, fill in more fields.

	* nis/nis_findserv.c: Rename __pmap_getport to __pmap_getnisport.

	* nis/nis_intern.h: Remove duplicated prototype.

1998-06-01  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* sunrpc/auth_des.c: Move prototypes from here ...
	* sunrpc/rpc/auth.h: ... to here.

	* sunrpc/clnt_tcp.c: Add more control flags.
	* sunrpc/clnt_udp.c: Likewise.

	* sunrpc/netname.c (host2netname): Remove prefixing dot from
	domainname.

	* sunrpc/rpc/clnt.h: Document, which control flags are not
	implementable.

	* sunrpc/svcauth_des.c: Use key_decryptsession_pk to avoid deadlock.

1998-05-29  Ulrich Drepper  <drepper@cygnus.com>

	* locale/loadlocale.c (_nl_load_locale): Don't allow too small
	files crash the program.

	* io/Makefile: Don't run ftwtest-sh if cross-compiling.
	* string/Makefile: Don't run test on tst-svc.out if cross-compiling.
	Reported by Deborah Wallach <kerr@pa.dec.com>.

1998-05-28 00:53  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* glibcbug.in: Send to bugs@gnu or libc-alpha@cygnus depending
	on whether this is a stable release or not (keeps snapshot bug
	reports out of the database).

	* include/libc-symbols.h: Use __ASSEMBLER__ test macro not ASSEMBLER.
	* sysdeps/arm/sysdep.h: Likewise.
	* sysdeps/i386/sysdep.h: Likewise.
	* sysdeps/m68k/sysdep.h: Likewise.
	* sysdeps/mach/mips/sysdep.h: Likewise.
	* sysdeps/mach/sys/reboot.h: Likewise.
	* sysdeps/mach/sysdep.h: Likewise.
	* sysdeps/unix/alpha/sysdep.h: Likewise.
	* sysdeps/unix/bsd/hp/m68k/sysdep.h: Likewise.
	* sysdeps/unix/bsd/osf/alpha/sysdep.h: Likewise.
	* sysdeps/unix/bsd/sequent/i386/sysdep.h: Likewise.
	* sysdeps/unix/bsd/sony/newsos/m68k/sysdep.h: Likewise.
	* sysdeps/unix/bsd/sun/m68k/sysdep.h: Likewise.
	* sysdeps/unix/bsd/vax/sysdep.h: Likewise.
	* sysdeps/unix/i386/sysdep.h: Likewise.
	* sysdeps/unix/mips/sysdep.h: Likewise.
	* sysdeps/unix/sparc/sysdep.h: Likewise.
	* sysdeps/unix/sysv/linux/alpha/sysdep.h: Likewise.
	* sysdeps/unix/sysv/linux/arm/sysdep.h: Likewise.
	* sysdeps/unix/sysv/linux/i386/sysdep.h: Likewise.
	* sysdeps/unix/sysv/linux/m68k/sysdep.h: Likewise.
	* sysdeps/unix/sysv/linux/powerpc/sysdep.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc32/sysdep.h: Likewise.
	* sysdeps/unix/sysv/linux/sparc/sparc64/sysdep.h: Likewise.
	* sysdeps/unix/sysv/sysv4/solaris2/sparc/sysdep.h: Likewise.

1998-05-27  Mark Kettenis  <kettenis@phys.uva.nl>

	* mach/Machrules: Use $(move-if-change).

1998-05-27  Mark Kettenis  <kettenis@phys.uva.nl>

	* Makeconfig [elf=yes] (+interp): New variable, set to interp.os.
	* Makerules (lib%.so): Depend on $(+interp).
	(libc.so): Add interp.os to list of dependencies.
	(interp-obj): Remove variable.
	* mach/Machrules (+interp): Define to empty since libhurduser and
	libmachuser don't need to have the interpreter set.

1998-05-28  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* resolv/res_send.c: Security fixes from bind 4.9.7-REL.

	* resolv/gethnamaddr.c: Likewise.

	* resolv/res_comp.c: Likewise.

1998-05-28  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/mach/hurd/wait4.c (__wait4): Use ANSI-style definition
	so that transparent union works.

1998-05-29 08:58  Ulrich Drepper  <drepper@cygnus.com>

	* manual/texinfo.tex: Update to last available version.

	* timezone/africa: Update from tzdata1998e.
	* timezone/antarctica: Likewise.
	* timezone/asia: Likewise.
	* timezone/australasia: Likewise.
	* timezone/europe: Likewise.
	* timezone/iso3166.tab: Likewise.
	* timezone/northamerica: Likewise.
	* timezone/tzselect.ksh: Likewise.
	* timezone/zone.tab: Likewise.

1998-05-27  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/i386/chown.c: Fix comment.
	Reported by Matt McLean <keys@brio.yikes.com>.

1998-05-25  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* catgets/Makefile ($(objpfx)de.cat): Renamed from
	do-gencat-test.  Use automatic variables.
	($(objpfx)de.msg): Fix reference to po file.

1998-05-26  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makeconfig ($(common-objpfx)gnu/lib-names.stmp): Use
	$(move-if-change).

1998-05-25  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* intl/dcgettext.c: Fix typo.

1998-05-25  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* configure.in: Allow more make versions e.g 3.76.90.

1998-05-25  Ulrich Drepper  <drepper@cygnus.com>

	* Makeconfig (rpath-link): Find libc.so.6 in $(common-objdir).

	* malloc/thread-m.h: Use __mutex_init function in mutex_init macro
	for Hurd.  Patch by Mark Kettenis.

1998-04-18  Gordon Matzigkeit  <gord@profitpress.com>

	 * mach/Machrules (+preinit, +postinit): Define these variables to
	 empty because libhurduser and libmachuser don't need startup
	 files.

1998-04-22  Gordon Matzigkeit  <gord@profitpress.com>

	 * sysdeps/mach/hurd/errlist.c (ERR_REMAP): Use err_get_code
	 instead of a raw bitmask.

1998-05-23  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makeconfig (rpath-dirs): New variable.
	(rpath-link): Use it.
	(nssobjdir, nisobjdir, rtobjdir, resolvobjdir): Removed.
	(db-objpfx): Removed.
	* crypt/Makefile: Augment rpath-dirs instead of rpath-link.
	* md5-crypt/Makefile: Likewise.
	* sysdeps/mach/hurd/Makefile: Likewise.

	* Makeconfig (move-if-change): New variable.
	* iconvdata/Makefile (move-if-change): Removed.
	* manual/Makefile (move-if-change): Set only if undefined, use
	local script by default.
	* sunrpc/Makefile (move-if-change): Removed.
	* sysdeps/mach/hurd/Makefile ($(common-objpfx)stamp-errnos): Use
	$(move-if-change).

	 * elf/Makefile: Remove all references to obsolete file
	 $(objpfx)rtldtbl.h.
	 ($(objpfx)trusted-dirs.h): Use stamp file.  Cleanup command.

1998-05-22  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* elf/dl-close.c (_dl_close): Add debugging message.

1998-05-25  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* csu/Makefile ($(objpfx)version-info.h): Correct sed expression
	to get Linux version and not gcc version.
	Reported by Alan Curry <pacman@cqc.com>.

1998-05-25  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sysdeps/generic/_strerror.c (__strerror_r): Don't return NULL
	pointers - return unknown error message instead.
	Reported by Alan Curry <pacman@cqc.com>.

1998-05-24  Mark Kettenis  <kettenis@phys.uva.nl>

	* iconvdata/Makefile (modules, sed-generated-headers,
	perl-generated-headers): ibm424.h is perl generated.  Make
	necessary modifications to compile without perl.

1998-05-24  Mark Kettenis  <kettenis@phys.uva.nl>

	* hesiod/hesiod.c (read_config_file): Fix typo.

1998-05-24  Ulrich Drepper  <drepper@cygnus.com>

	* version.h: Bump VERSION.

	* csu/Makefile (distribute): Add munch-tmpl.c.

1998-05-23  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* nis/nis_defaults.c: Fix buffer problems and typos.

1998-05-23 08:42  Ulrich Drepper  <drepper@cygnus.com>

	* intl/dcgettext.c: Don't use any alloca hacks if C_ALLOCA is defined.
	Patch by Fred Fish.

1998-05-22  Ulrich Drepper  <drepper@cygnus.com>

	* stdlib/random_r.c (__random_r): Rewrite last patch to fix buffer
	overwriting bugs.

	* libio/strops.c (_IO_str_underflow): Read newly available
	character from buffer as unsigned.

1998-05-22 10:56  Ulrich Drepper  <drepper@cygnus.com>

	* catgets/Makefile (distribute): Add xopen-msg.h.
	(generated): Add de.msg and de.cat.
	(tests): Add do-gencat-test.
	(do-gencat-test): New goal.  Run gencat on a generated msg file.
	* catgets/xopen-msg.h: New file.

1998-05-22  Ulrich Drepper  <drepper@cygnus.com>

	* catgets/open_catalog.c (__open_catalog): Use byteswap.h
	functions.  Optimize filename creation a bit.

1998-05-22 09:29  Ulrich Drepper  <drepper@cygnus.com>

	* stdlib/random_r.c: Help gcc to optimize the code.
	Patch by Joe Keane <jgk@jgk.org>.

1998-05-21  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/iconv_prog.c (print_known_names): Use strverscmp in all
	tsearch calls.

1998-05-21  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* timezone/test-tz.c: The test with TZ=UTC0 seems to work - enable
	it.

1998-05-21 15:27  Ulrich Drepper  <drepper@cygnus.com>

	* wcsmbs/wcsnrtombs.c: Correct computation of result.
	* wcsmbs/wcsrtombs.c: Likewise.

	* wcsmbs/Makefile (tests): Add wcsmbs-tst1.c.
	* wcsmbs/wcsmbs-tst1.c: New file.

	* iconv/loop.c (COUNT_CONVERTED): Correct computation.

	* locale/C-ctype.c (_nl_C_LC_CTYPE): Define MB_CUR_MAX for C locale
	as 1.

	* locale/setlocale.c: Don't make _nl_current_* and _nl_C_* references
	weak.

1998-05-21  Philip Blundell  <philb@gnu.org>

	* sysdeps/arm/fpu_control.h: Replace stub file with real
	implementation.
	* sysdeps/arm/fpu/bits/fenv.h: New file.
	* sysdeps/arm/fpu/fesetround.c: Likewise.
	* sysdeps/arm/fpu/fclrexcpt.c: Likewise.
	* sysdeps/arm/fpu/fsetexcptflag.c: Likewise.
	* sysdeps/arm/fpu/ftestexcpt.c: Likewise.
	* sysdeps/arm/fpu/fraiseexcpt.c: Likewise.
	* sysdeps/arm/fpu/fegetenv.c: Likewise.
	* sysdeps/arm/fpu/fesetenv.c: Likewise.

1998-05-21 16:34  Richard Henderson  <rth@cygnus.com>

	* elf/dl-load.c (_dl_map_object_from_fd): Get file header with
	read instead of mmap.

1998-05-21  8:16  Richard Henderson  <rth@cygnus.com>

	* sysdeps/unix/sysv/linux/alpha/glob.c: Include sysdeps/generic/glob.c
	directly instead of include_next.  Add missing semicolons.
	* sysdeps/unix/sysv/linux/alpha/oldglob.c: Include sys/types.h.
	Add missing semicolons.

1998-05-21  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/gconv-modules: Add more aliases to please java
	environments.

1998-05-20  Ulrich Drepper  <drepper@cygnus.com>

	* stdio-common/vfprintf.c (process_arg): Fix typo.

	* iconvdata/TESTS: New tests for EUC-KR.

	* iconvdata/Makefile ($(objpfx)iconv-test.out): Also depend on TESTS.
	* iconvdata/testdata/EUC-KR: New file.

1998-05-20 07:26  H.J. Lu  <hjl@gnu.org>

	* math/libm-test.c (hypot_test): Fix a typo.

1998-05-20  Ulrich Drepper  <drepper@cygnus.com>

	* stdio-common/vfprintf.c: When precision is specified for %ls or
	%S handle it correctly.

1998-05-20  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sysdeps/unix/bsd/vax/vfork.S: Missed double occurences of "the
	the" in one line - fixed it.
	* sysdeps/unix/bsd/sun/m68k/vfork.S: Likewise.
	* sysdeps/unix/bsd/hp/m68k/vfork.S: Likewise.
	* posix/unistd.h: Likewise

1998-05-20  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* Makeconfig (rpath-link): Add resolvobjdir.
	(resolvobjdir): New variable.
	Reported by Peter Breitenlohner <peb@mppmu.mpg.de> [fixes PR libc/633].

1998-05-20 09:36  Ulrich Drepper  <drepper@cygnus.com>

	* elf/dl-close.c: Call shared object terminators at the right time.
	Patch by Philippe Troin <phil@fifi.org>.

1998-05-20  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Make-dist (+tsrcs): Also add *.map for every member of
	$(extra-libs).

	* Makefile (distribute): Don't distribute scripts/printsources and
	scripts/=__ify.  Distribute FAQ.in.
	(rpm/%): Don't pass subdirs to sub-make.

	* timezone/Makefile: Protect inclusion of z.* by $(avoid-generated)
	instead of $(no_deps).

1998-05-19  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/generic/setenv.c: Protect against GNU C extension.
	(KNOWN_VALUE, STORE_VALUE): Do it right.
	(setenv): Remove unused variable.

1998-05-18  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* timezone/Makefile (tz-cflags): Define TM_GMTOFF and TM_ZONE.
	(CFLAGS-zdump.c): Add $(tz-cflags).

	* timezone/zdump.c (abbr): Use TM_ZONE if defined.  Add const to
	return type.

1998-05-18  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* time/tzfile.c (__tzfile_compute): Undo last change.  Instead
	take struct tm parameter and set tm_isdst, tm_zone and tm_offset
	if use_localtime.
	* time/tzset.c: Update prototype of __tzfile_compute.
	(__tz_convert): Pass tp to __tzfile_compute.  Don't set tm_isdst,
	tm_zone and tm_offset here if __use_tzfile.

1998-05-19  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makerules: Install libc.a even if there are no object file.

1998-05-18  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makerules (do-makelib): Don't force creating library from
	scratch, which is faster and gets correct behaviour if $(subdirs)
	is incomplete.

1998-05-19  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makerules (do-stamp): Make it work when building in source
	directory.

1998-05-20 00:10  Ulrich Drepper  <drepper@cygnus.com>

	* elf/dl-load.c: Rename option and variable from ignore-rpath to
	inhibit-rpath.
	* elf/dl-support.c: Likewise.
	* elf/ldsodefs.h: Likewise.
	* elf/rtld.c: Likewise.
	* iconvdata/run-iconv-test.sh: Likewise.

1998-05-19 23:08  Ulrich Drepper  <drepper@cygnus.com>

	* elf/rtld.c: Recognize --ignore-rpath argument and set _dl_ignore_path
	variable using the value.
	* elf/ldsodefs.h: Declare _dl_ignore_path.
	* elf/dl-load.c (decompose_rpath): Compare name of handled shared
	object against list in _dl_ignore_path and ignore RPATH if on the list.
	* elf/dl-support.c: Define _dl_ignore_path for static binaries.
	* iconvdata/run-iconv-test.sh: Call ld.so with --ignore-rpath parameter
	to make sure we get the correct helper libraries loaded.

	* elf/dl-load.c (decompose_rpath): Remove `room' parameter.  Use
	"RPATH" string in call to fillin_rpath instead.
	(_dl_init_paths): Remove this parameter from call to decompose_rpath.

1998-05-19  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/i386/i486/bits/string.h (__strstr_g): Initialize %edx
	correctly.  Patch by Horst von Brand <vonbrand@sleipnir.valparaiso.cl>.

1998-05-19  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* manual/terminal.texi (I/O Queues): Fix typo.

	* manual/stdio.texi (Closing Streams): Fix grammar.

	* manual/arith.texi (Absolute Value): Correct typo.
	Patches by Oskar Liljeblad <osk@hem.passagen.se>. [PR libc/630]

1998-05-19 15:58  Ulrich Drepper  <drepper@cygnus.com>

	* elf/rtld.c (process_envvars): Fix typo.  Don't handle
	LD_PROFILE_OUTPUT in SUID binaries.
	* intl/dcgettext.c: In SUID binaries don't let language part of
	locale value contain path elements.
	* intl/explodename.h: Define new function _nl_find_language.
	* intl/loadinfo.h: Declare _nl_find_language.
	* locale/findlocale.c (_nl_find_locale): Use _nl_find_locale to get
	language part it drop the value is path element is contained.

	* locale/setlocale.c: Fix typo.

1998-05-18  Philip Blundell  <Philip.Blundell@pobox.com>

	* sysdeps/unix/sysv/linux/arm/socket.S: Correct handling of arguments.

	* sysdeps/arm/strlen.S: Support both big and little endian processors.

	* sysdeps/arm/sysdep.h (ALIGNARG): ELF .align directive uses a
	log, not a byte-count.

	* sysdeps/unix/arm/sysdep.S (syscall_error): Use C_SYMBOL_NAME for
	a.out compatibility.

1998-05-19  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sysdeps/unix/bsd/vax/vfork.S: Fix the "the the" problems.
	* sysdeps/unix/bsd/sun/m68k/vfork.S: Likewise.
	* sysdeps/unix/bsd/hp/m68k/vfork.S: Likewise.
	* posix/unistd.h: Likewise.
	* math/math.h: Likewise.
	* manual/users.texi (Manipulating the Database): Likewise.
	* manual/signal.texi (Job Control Signals): Likewise.
	* manual/message.texi (The gencat program): Likewise.
	* manual/filesys.texi (Hard Links): Likewise.
	* manual/math.texi (SVID Random): Likewise.
	* manual/llio.texi (Waiting for I/O): Likewise.
	* manual/io.texi (File Name Errors): Likewise.
	* manual/conf.texi (String Parameters): Likewise.
	* manual/arith.texi (Infinity): Likewise.
	* malloc/malloc.c: Likewise.
	* hurd/hurdsig.c (_hurd_internal_post_signal): Likewise.
	* csu/Makefile: Likewise.

1998-05-19 12:16  Ulrich Drepper  <drepper@cygnus.com>

	* manual/memory.texi: Add back accidently removed line.

1998-04-25  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/generic/utmp_file.c (TIMEOUT): New macro.
	(timeout_handler): New function.
	(LOCK_FILE, UNLOCK_FILE): New macros.
	Implement file locking with timeout.
	(getutent_r_file, internal_getut_r, getutline_r_file,
	pututline_file, updwtmp_file): Use LOCK_FILE and UNLOCK_FILE for
	locking.

1998-05-18 11:38  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/run-iconv-test.sh: Extend library-path by iconvdata
	directory.

1998-05-16  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* rpm/Makefile: Delete inclusion of version.mk.

1998-05-17  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* libc.map: Add all libio functions needed libstdc++ with version
	2.0, sort entries.

1998-05-18  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* iconvdata/Makefile (generated): Add *.stmp files.

1998-05-17  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* timezone/Makefile (testdata, build-testdata): New variables, use
	them in rules for test data.
	($(objpfx)tst-timezone.out): Depend on test data.
	($(testdata)/Europe/Berlin, $(testdata)/Universal,
	$(testdata)/Australia/Melbourne, $(testdata)/America/Sao_Paulo):
	New rules to build test data.
	(tst-timezone-ENV): Pass TZDIR to point to test data.

1998-05-18  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/TESTS: ISO-2022-KR has not really ASCII as a subset
	(the designation sequence is disturbing).

1998-05-17  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* sunrpc/svc_tcp.c: Add FreeBSD DoS patch.
	* sunrpc/xdr_rec.c: Likewise.

1998-05-15  Ulrich Drepper  <drepper@cygnus.com>

	* posix/Makefile (tests): Add runptests.
	(distribute): Add PTESTS, PTESTS2C.sed, and ptestcases.h.
	(before-compile): Add ptestcases.h.
	(ptestscases.h): Add rule to generate from PTESTS.
	* posix/runptests.c: New file.
	* posix/PTESTS: New file.
	* posix/PTESTS2C.sed: New file.

1998-05-15  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/loop.c: Let user add code to use and set paramaters.

	* iconvdata/iso-2022-kr.c: Correct to-loop.

	* iconvdata/iso-2022-kr.c (PREPARE_LOOP): Use correct variable to
	point to output buffer.

	* iconvdata/ksc5601.h (ksc5601_to_ucs4): Use correct value to find
	hanja.

	* iconvdata/TESTS: Add ISO-2022-KR test.
	* iconvdata/testdata/ISO-2022-KR: New file.

1998-05-15 21:07  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv.h (gconv_step_data): Add new fields invocation_counter
	and internal_use.
	* iconv/gconv_open.c (__gconv_open): Initialize invocation_counter
	and internal_use.
	* wcsmbs/btowc.c: Likewise.
	* wcsmbs/mbrtowcs.c: Likewise.
	* wcsmbs/mbsnrtowcs.c: Likewise.
	* wcsmbs/mbsrtowcs.c: Likewise.
	* wcsmbs/wcrtomb.c: Likewise.
	* wcsmbs/wcsnrtombs.c: Likewise.
	* wcsmbs/wcsrtombs.c: Likewise.
	* wcsmbs/wctob.c: Likewise.
	* iconv/skeleton.c: Increment invocation_counter.
	* iconvdata/iso-2022-kr.c: When used in iconv() emit designator
	sequence first.

	* iconv/skeleton.c (FROM_DIRECTION): Completely embrace expression.
	* iconvdata/iso-2022-jp.c: Likewise.
	* iconvdata/iso646.c: Likewise.

	* iconvdata/Makefile: Correct rpath definition for ISO-2022-KR.

1998-05-15  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv_db.c (derivation_lookup): Use __tfind correctly.

	* sysdeps/generic/setenv.c (setenv): Remove optimization for
	overwriting existing values if it fits.

1998-05-15 14:36  Ulrich Drepper  <drepper@cygnus.com>

	* posix/wordexp-test.c: Avoid duplicate messages.

	* sysdeps/generic/setenv.c: Use __tfind and __tsearch, not tfind and
	tsearch.  Correctly interpret values returned by those functions.
	(unsetenv): Store pointer to string, not pointer to string pointer.

	* time/tzfile.c (__tzfile_compute): Take new arguments.  Store
	DST information and offset in them.
	* time/tzset.c (__tz_convert): Pass extra parameters to
	__tzfile_compute.  Compute equivalent values for use of tz_rules.

1998-05-15 00:49:11  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* iconvdata/Makefile (gen-8bit-table): Use move-if-change and
	stamp files to avoid unnecessary recompilation.
	(gen-8bit-gap-table): Likewise.
	(move-if-change): New variable.
	(all generated .h rules): Change to be .stmp rules.
	(%.h): New rule; depend on %.stmp; no commands.
	(distribute): Add gen-8bit.sh, gen-8bit-gap.sh,
	gen-8bit-gap-1.sh.

1998-05-15 01:09  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* Makerules (libc-map): Deleted.
	(load-map-file): Set to the appropriate compiler switch, not
	just the file name.  If libfoo-map is not set, look for a
	libfoo.map in the current directory and $(..).
	(map-file): New variable, contains just the mapfile name.
	(build-shlib): Adjust for new value of load-map-file.
	(libc.so): Correct dependencies.

	* extra-lib.mk: Correct shlib dependencies since libfoo-map
	may not be set anymore.

	* elf/Makefile: Set ld-map to $(..)libc.map, not $(libc-map).
	Delete libdl-map.  Tweak ld.so link rule to work with changed
	variable settings in Makerules.
	* iconvdata/Makefile: Tweak build-module to work with changed
	variable settings in Makerules.

	* db/Makefile: Delete libdb-map.
	* hesiod/Makefile: Delete libnss_hesiod-map.
	* linuxthreads/Makefile: Delete libpthread-map.
	* locale/Makefile: Delete libBrokenLocale-map.
	* login/Makefile: Delete libutil-map.
	* math/Makefile: Delete libm-map.
	* md5-crypt/Makefile: Delete libcrypt-map.
	* nis/Makefile: Delete libnsl-map, libnss_nis-map,
	libnss_nisplus-map, and libnss_compat-map.
	* nss/Makefile: Delete libnss_files-map, libnss_db-map, and
	libnss_ldap-map.
	* resolv/Makefile: Delete libresolv-map and libnss_dns-map.
	* rt/Makefile: Delete librt-map.

1998-05-15 01:06  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* configure.in: Instead of substituting `yes' or `no' for whether
	--no-whole-archive is available, set @no_whole_archive@ to the
	appropriate gcc switch or the empty string.  Likewise for
	-fno-exceptions.
	* config.make.in: Replace have-no-whole-archive with
	no-whole-archive and have-no-exceptions with no-exceptions.
	* Makerules: Delete stanzas setting no-whole-archive and
	no-exceptions.

	* sunrpc/Makefile: Use move-if-change to update generated .h
	and .c files.

1998-05-13  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* wcsmbs/wcsmbsload.c (extract_charset_name): Use strcspn instead
	of strchr loop.

1998-05-15  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* time/tzfile.c (__tzfile_read): Remove unused variable info.
	(__tzfile_compute): Likewise.

1998-05-15  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sysdeps/unix/sysv/linux/bits/socket.h (AF_SNA,PF_SNA): Add new
	defines from Linux 2.1.102.

1998-05-14 23:14  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/ld-ctype.c: Write correct mb_cur_max value.

1998-05-14 13:25  Ulrich Drepper  <drepper@cygnus.com>

	* inet/netinet/in.h: Add defines for multicast.
	Reported by Jeremy Hall <jhall@UU.NET>.

	* stdlib/stdlib.h: Add prototypes for __setenv and __unsetenv.
	* sysdeps/generic/putenv.c: Use __setenv and __unsetenv, not setenv
	and unsetenv.  Optimize _LIBC case.
	* sysdeps/generic/setenv.c: Prevent unnecessary memory leaks.
	Define functions with leading __.

	* time/tzfile.c: Correct handling of global variables daylight,
	timezone, and tzname.
	* time/tzset.c: Likewise.
	* timezone/Makefile (tests): Add tst-timezone.
	* timezone/tst-timezone.c: New file.

1998-05-14 10:35  Ulrich Drepper  <drepper@cygnus.com>

	* timezone/asia: Update from tzdata1998d.
	* timezone/australasia: Likewise.
	* timezone/europe: Likewise.

1998-05-13  Ulrich Drepper  <drepper@cygnus.com>

	* string/string.h: Don't use the optimized versions for the string
	functions if optimizing for space.

	* stdlib/tst-strtod.c: Add test for -0.0.

	* io/ftwtest-sh: Prevent tests from being run by root.

	* wcsmbs/wcsmbsload.c (extract_charset_name): Fix silly bugs in
	last addition.  Patch by wkpark@chem.skku.ac.kr.

1998-05-12  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* iconvdata/8bit-gap.c (BODY): Don't fall off the end of the gap
	table.

1998-05-12  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* iconvdata/gen-8bit.sh: New file.
	* iconvdata/gen-8bit-gap.sh: New file.
	* iconvdata/gen-8bit-gap-1.sh: New file.
	* iconvdata/Makefile (generate-8bit-table): Use shell script
	instead of writing the commands directly.
	(generate-8bit-gap-table): Likewise.
	($(objpfx)iso8859-7jp.h): Likewise.
	(generated headers): Depend on shell script instead of Makefile.
	(before-compile): Add $(perl-generated-headers) only if perl is
	available.
	(headers): Depend on $(perl-generated-headers) only if perl is
	available.
	(sed-generated-headers): Remove iso8859-7jp.h.

1998-05-11  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* csu/Makefile ($(objpfx)abi-tag.h): Double $ in command.  Clean up.
	(/): Removed.

1998-05-12  Ulrich Drepper  <drepper@cygnus.com>

	* wcsmbs/wcsmbsload.c (extract_charset_name): Pass correctly
	formed charset names to getfct.  Let user override charset
	selection by mention charset in locale name.

1998-05-12 12:15  Ulrich Drepper  <drepper@cygnus.com>

	* posix/glob.c: Move to ...
	* sysdeps/generic/glob.c: ...here.
	* posix/glob.h (glob_t): Use correct types for gl_pathc and gl_offs
	elements.
	* sysdeps/unix/sysv/linux/alpha/glob.c: New file.
	* sysdeps/unix/sysv/linux/alpha/oldglob.c: New file.
	* sysdeps/unix/sysv/linux/alpha/Dist: Add oldglob.c.
	* sysdeps/unix/sysv/linux/alpha/Makefile: Compile oldglob in posix
	subdir.
	* libc.map [GLIBC_2.1]: Add glob and globfree.

1998-05-12  Ulrich Drepper  <drepper@cygnus.com>

	* sunrpc/Makefile (generated): Restore old list.

1998-05-11  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* rt/Makefile (tests): Define only if we have a thread library.

	* nis/ypclnt.c: Add: #include <errno.h>.

1998-05-10 15:39  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* configure.in: Define and substitute RELEASE as well as
	VERSION.
	* config.make.in: Add RELEASE and VERSION to be substituted.
	* Makeconfig: Delete all references to version.mk.
	* Make-dist: Likewise.
	* MakeTAGS: Likewise.
	* elf/Makefile: Likewise.

1998-05-10  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* nis/ypclnt.c: Move "(none)" domainname check from __yp_check to
	yp_get_default_domain.

1998-05-12  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/posix/profil.c (__profil): Don't define act and timer
	variables as static.  Patch by Joe Keane <jgk@jgk.org>.

1998-05-12  Wolfram Gloger  <wmglo@dent.med.uni-muenchen.de>

	* malloc/malloc.c: Fix for NO_THREADS case.

1998-05-11 18:02  Richard Henderson  <rth@cygnus.com>

	* sysdeps/unix/sysv/linux/alpha/Makefile (sysdep_routines):
	Remove statfs and fstatfs.
	* sysdeps/unix/sysv/linux/alpha/syscalls.list: Don't mark pread
	and pwrite as EXTRA.
	* sysdeps/unix/sysv/linux/sparc/sparc64/syscalls.list: Likewise.

1998-05-09  Ulrich Drepper  <drepper@cygnus.com>

	* libc.map: Add capget and capset.

1998-05-08  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/powerpc/dl-sysdep.c
	(DL_FIND_ARG_COMPONENTS): Find correct alignment for auxiliary
	vector.  Patch by Mark Hatle <fray@kernel.crashing.org>
	and Matt McLean <keys@brio.yikes.com>.

1998-05-08 23:49  Ulrich Drepper  <drepper@cygnus.com>

	* misc/Makefile (tests): Add tst-mntent.
	* misc/tst-mntent.c: New file.

1998-05-08 21:56  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* autolock.sh: Removed.
	* manual/move-if-change: Removed.

	* scripts: New directory.
	* =__ify: Moved to scripts.
	* config.guess: Likewise.
	* config.sub: Likewise.
	* gen-FAQ.pl: Likewise.
	* install-sh: Likewise.
	* mkinstalldirs: Likewise.
	* move-if-change: Likewise.
	* printsources: Likewise.
	* rellns.sh: Likewise.
	* test-installation.pl: Likewise.

	* configure.in: Look in scripts for config.guess, config.sub,
	install-sh.
	* Makefile: Distribute all above files in their
	new home.  Find gen-FAQ.pl and test-installation.pl in scripts.
	* manual/Makefile: Find mkinstalldirs and move-if-change in
	$(..)scripts.  Drop them from distribute.  Minor cleanups.
	* Makerules: Find mkinstalldirs and rellns-sh in scripts.
	* sysdeps/mach/hurd/Makefile: Find move-if-change in scripts.
	* timezone/Makefile: Find rellns-sh in scripts.

1998-05-08  Ulrich Drepper  <drepper@cygnus.com>

	* intl/locale.alias: Change italian to it_IT.ISO-8859-1.
	Reported by Ottavio G. Rizzo <otto@mast.queensu.ca>.

1998-05-08 19:24  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* Makefile (+subdir-inits): Delete variable.
	(+init_subdirs): Likewise.
	(aux): Likewise.
	(before-compile): Likewise.
	(libc-init): Delete stanza.
	(version-info.h): Delete rule and associated variable.
	(distribute): Don't distribute moved files.
	* Makerules (interp-obj): It lives in elf now.  Only use it
	if $(elf) is set.  Delete rule to build it.
	* csu/Makefile: Build set-init.o and/or munch-init.o.  Build
	version.o and version-info.h.  Minor cleanups.
	(routines): Add libc-init, sysdep, version.
	(generated): Add version-info.h.
	* elf/Makefile: Build interp.os.

	* interp.c: Moved to elf.
	* set-init.c: Moved to csu.
	* munch-init.c: Likewise.
	* munch.awk: Likewise.
	* version.c: Likewise.

	* Rules: Unconfuse syntax highlighting with a fake comment.

1998-05-08  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/syscalls.list: Add capset and capget
	syscalls.

1998-05-08 16:36  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* iconvdata/Makefile (generated): Set to *-generated-headers
	plus gconv-modules.
	(tests): Set to iconv-test.
	* localedata/Makefile (generated-dirs): Add ld-test-names to list.
	* posix/Makefile (generated): Set to wordexp-test-result*.
	* sunrpc/Makefile (generated): Remove rpcsvc/*.
	(generated-dirs): Add rpcsvc.
	* libio/Makefile: Clean up.

1998-05-08 14:55  Ulrich Drepper  <drepper@cygnus.com>

	* Make-dist (+tsrcs): Also use tests-statc where tests is used.
	* Makerules: Likewise.
	(+depfiles): Also add sysdep-others.
	* Rules: Likewise.
	* iconv/Makefile (distribute): Add loop.s and skeleton.c.
	* iconvdata/Makefile (distribute): Add TESTS.
	* localedata/Makefile (repertoires): Rename to repertoiremaps.
	* sysdeps/gnu/Dist: Add utmpx.h and bits/utmpx.h.
	* sysdeps/unix/sysv/linux/Dist: Add ldd-rewrite.sed.
	* sysdeps/unix/sysv/linux/i386/Makefile [subdir=elf]: Define
	sysdep-others, not others.
	* sysdeps/unix/sysv/linux/m68k/Makefile: Likewise.
	* sysdeps/unix/sysv/linux/sparc/Dist: Add sys/kernel_termios.h.

1998-05-08 12:26  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv_int.h (struct gconv_module): Remove cost field and add
	cost_hi and cost_lo.
	* iconv/gconv_conf.c (builtin_modules): Initialize cost_hi from
	Cost parameter and set cost_lo to INT_MAX.
	(add_module): Take new parameter and use it to initialize cost_lo.
	(read_conf_file): Count modules being loaded and use counter for
	new parameter to add_module.
	* iconv/gconv_db.c (find_derivation): When look for cost examine
	cost_hi and cost_lo.

1998-05-08 10:52  Ulrich Drepper  <drepper@cygnus.com>

	* string/bits/string2.h: Don't use unsigned char * unless really
	necessary since this disturbs C++.
	* sysdeps/i386/i486/bits/string.h: Likewise.
	Patch by Bernd Schmidt <crux@Pool.Informatik.RWTH-Aachen.DE>.

1998-05-08 13:53  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* malloc/malloc.c (top_check): Fix last change.

1998-05-07  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/powerpc/bits/setjmp.h (_JMPBUF_UNWINDS): Define.
	Patch by Matt McLean <keys@brio.yikes.com>.

1997-05-07 13:26  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makerules (lib): Put back dependency on lib-noranlib.
	($(subdirs-stamps)): Remove dependency on stamp.* again.

1998-05-07  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/i386/fpu/bits/mathinline.h: Use long long int also for
	test in __pow2 implementation.

1998-04-16 07:42  Geoff Keating  <geoffk@ozemail.com.au>

	* Makeconfig [!build-static]: Link `static' binaries with libc_pic.a.
	Still need *FLAGS-.o because we still sometimes build .o files.
	* db2/Makefile: Don't build libndbm.a if !build-static.

1998-05-07  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* malloc/malloc.c (top_check): Add void as parameter to silent gcc.

1998-04-16 07:42  Geoff Keating  <geoffk@ozemail.com.au>

	* configure.in: New test for broken gcc on PowerPC.
	* sysdeps/powerpc/atomicity.h: Use result of test.
	* linuxthreads/sysdeps/powerpc/pt-machine.h: Use result of test.

	* math/libm-test.c: Update many of the epsilon to match actual
	performance.

	* sysdeps/libm-ieee754/e_exp.c: Reduce the number of branches.
	* sysdeps/libm-ieee754/e_expf.c: Likewise.
	* sysdeps/libm-ieee754/s_exp2.c: Likewise.
	* sysdeps/libm-ieee754/s_exp2f.c: Likewise.

	* sysdeps/libm-ieee754/e_pow.c: Correct typo.

	* sysdeps/powerpc/elf/libc-start.c: New file.
	* sysdeps/powerpc/elf/start.S: New file, use libc-start.
	* sysdeps/powerpc/elf/start.c: Delete.

	* sysdeps/unix/sysv/linux/powerpc/Dist: Remove syscall.h
	* sysdeps/unix/sysv/linux/powerpc/syscall.h: Delete.  It was unused.

	* sysdeps/unix/sysv/linux/powerpc/dl-sysdep.c: Correct previous
	few patches.

1998-05-06 12:51  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/i386/fpu/bits/mathinline.h (pow): Use long long int for
	test for integer.

	* sysdeps/libm-i387/e_pow.S: Correctly shift double word.
	* sysdeps/libm-i387/e_powl.S: Likewise.

1998-03-31  Wolfram Gloger  <wmglo@dent.med.uni-muenchen.de>

	* malloc/malloc.c (chunk2mem_check, top_check): New functions.
	(malloc_check, free_check, realloc_check, memalign_check): Use
	them to improve overrun checking.  Overruns of a single byte and
	corruption of the top chunk are now detected much more reliably.

1998-05-06  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* math/libm-test.c (pow_test): Add test for special value from PR
	libc/590.

1998-05-06  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/bits/errno.h: Undefine EILSEQ before
	including linux/errno.h.

1998-05-06 09:49  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/sysv4/solaris2/bits/stat.h: Add LFS support.
	Use correct types.
	* sysdeps/unix/sysv/sysv4/solaris2/bits/types.h: New file.
	* sysdeps/unix/sysv/sysv4/solaris2/bits/errno.h: New file.

1998-05-05  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makerules (elide-routines.*): Fix assignments.
	(do-makelib): Fix typo.
	($(subdirs-stamps)): Depend on $(objpfx)stamp.* if in parent
	makefile.

1998-05-04  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makefile (sysdep-subdirs, subdirs, $(common-objpfx)sysd-dirs,
	$(objpfx)sysd-dirs): Move them...
	* Makeconfig: ... here.
	* Makerules (subdirs-stamps, subdirs-stamp-o): Always define.
	(stubs): Fix circular depedency.
	(do-makelib): Clean up.
	(lib): Don't depend on lib-noranlib.
	($(objpfx)stamp.oS): Remove special case for empty
	static-only-routines.
	(elide-routines.o): Add $(static-only-routines).
	(elide-routines$o): Define this instead of elide-routines.$o.
	* manual/Makefile (stubs): Fix circular dependency.

1998-05-05  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* libio/Makefile (routines): Remove duplicate oldiofclose.

1998-05-05  Ulrich Drepper  <drepper@cygnus.com>

	* string/strcoll.c: Use uint32_t instead of u_int32_t.

1998-05-05  Ulrich Drepper  <drepper@cygnus.com>

	* libio/stdio.h: Fix typo in __REDIRECT.
	* io/sys/stat.h: Likewise.
	Reported by Myles Uyema <myles@uyema.nws.net>.

1998-05-04  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* locale/programs/localedef.c (options): Fix help message.

1998-05-04  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/i386/dl-procinfo.h: Avoid nasty
	relocations.  Patch by Joe Keane <jgk@jgk.org>.

1998-05-04 12:40  Ulrich Drepper  <drepper@cygnus.com>

	* malloc/malloc.c (ptmalloc_init_all): New function.  Similar to
	ptmalloc_unlock_all, but re-initializes the mutexes instead.
	(ptmalloc_init): Use new function in thread_at_fork call.
	(thread_atfork_static): Likewise.
	Suggested by Wolfram Gloger and Xavier Leroy.

1998-05-04  Ulrich Drepper  <drepper@cygnus.com>

	* signal/signal.h: Move definitions of struct sigstack and
	struct sigaltstack into separate file and include it.
	* sysdeps/generic/bits/sigstack.h: New file.
	* sysdeps/unix/sysv/linux/bits/sigstack.h: New file.
	* signal/Makefile (headers): Add bits/sigstack.h.

1998-05-03  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* elf/rtld.c (dl_main): Fix check for number of references to
	interpreter object.

1998-05-03  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* elf/rtld.c (dl_main): Check has_interp after executing platform
	specific code.

1998-05-01  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* iconvdata/run-iconv-test.sh: Fix typo.

1998-05-01  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makerules (+depfiles): Add depfiles for $(tests-static).
	Simplified.

1998-05-01  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* manual/terminal.texi (Special Characters): Fix description of
	c_cc indexes.

1998-05-01  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/unix/sysv/linux/tcsetattr.c: Use memcpy to copy the c_cc
	array.
	* sysdeps/unix/sysv/linux/tcgetattr.c: Likewise.  Initialize rest
	of c_cc array.

1998-04-30 14:15  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* sysdeps/unix/sysv/linux/netrose/rose.h: Don't include kernel headers.

1998-05-01  Ulrich Drepper  <drepper@cygnus.com>

	* intl/locale.alias: Update russian entry.

1998-05-01 21:54  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* Makerules (static-only-routines): Reimplement in terms of
	elide-routines.os.
	(shared-only-routines): Reimplement in terms of
	elide-routines.X [where X is all object-suffixes except .os].

	(stubs): Create stubs file inside the subdir.
	(common-mostlyclean): Remove stubs file from inside the subdir.
	* Makefile (subdir-stubs): Look for stubs files inside the
	subdirs.
	* manual/Makefile (stubs): Create dummy stubs file inside the
	subdir.

1998-05-01 21:01  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	Build speed improvement: make ar less of a bottleneck.

	* Makerules (stamp$o): Just record the object list for later
	use.
	(libc_foo.a): New rule, depends on subdir stamp files; builds
	and ranlibs the library from the lists saved in those files.

	(subdirs-stamps): Define also if subdir == elf (FIXME: kludge).
	(subdirs-stamp-o): Likewise.

	(ar-symtab-name): Delete variable.
	(lib%.a): Delete target.
	(libc_foo.a(bar.%)): Delete target.
	(libc_foo.a($(ar-symtab-name))): Delete target.

	(objects objs): Just depend on libobjs and extra-objs.
	(libobjs): Depend on the stamp files, not the objects.
	(extra-objs): New target, just depends on the extra-objs list.

	(CREATE_ARFLAGS): Kill the `ar S' hack.

	* config.make.in (have-ar-S): Deleted.
	* configure.in: Delete test for `ar S'.  Add test to determine
	whether ranlib does anything useful.

1998-05-01  Ulrich Drepper  <drepper@cygnus.com>

	* inet/tst-ether_aton.c: Include <stdio.h>.

1998-04-30 16:45  Ulrich Drepper  <drepper@cygnus.com>

	* inet/ether_aton.c: Including netinet/if_ether.h is not necessary.

	* locale/Makefile (distribute): Add programs/repertoire.h.
	(localedef-modules): Add repertoire.
	(CPPFLAGS): Define REPERTOIREMAP_PATH.
	* locale/programs/repertoire.c: New file.
	* locale/programs/repertoire.h: New file.
	* locale/programs/charmap.c: Starting fixing character set handling
	to handle multi-byte encodings.
	* locale/programs/charset.c: Likewise.
	* locale/programs/charset.h: Likewise.
	* locale/programs/ld-collate.c: Likewise.
	* locale/programs/ld-ctype.c: Likewise.
	* locale/programs/linereader.c: Likewise.
	* locale/programs/localedef.c: Likewise.
	* locale/programs/locfile-kw.gperf: Likewise.
	* locale/programs/locfile-kw.h: Likewise.
	* locale/programs/locfile-token.h: Likewise.
	* locale/programs/locfile.h: Likewise.
	* locale/programs/stringtrans.c: Likewise.

	* locale/programs/locfile.c: Interpret I18NPATH value as base of
	path, extended with "/locales/".

1998-04-18  Philip Blundell  <Philip.Blundell@pobox.com>

	* sysdeps/arm/memset.S: Fix off by one error.

	* sysdeps/unix/sysv/linux/arm/sysdep.h (PSEUDO): On error, call
	__syscall_error rather than syscall_error directly.

1998-04-17  Philip Blundell  <Philip.Blundell@pobox.com>

	* sysdeps/unix/sysv/linux/arm/mmap.S: New file; implementation of
	mmap() syscall for ARM.

	* sysdeps/unix/arm/start.c: New file; startup code for ARM a.out
	binaries.

1998-04-30  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/localedef.c: Recognize repertoire-map option.

1998-04-29  Ulrich Drepper  <drepper@cygnus.com>

	* locale/programs/linereader.c (get_toplvl_escape): Fix typo in
	converting non-hex numbers.
	Patch by Won Kyu Park <bird@bird.kitel.co.kr>.

1998-04-23 07:31  H.J. Lu  <hjl@gnu.org>

	* resolv/inet_addr.c (inet_aton): Use __strtoul_internal to
	check overflow.
	* resolv/Makefile (tests): New, add tst-aton.
	* resolv/tst-aton.c: New file.

1998-04-29  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/sparc/sparc32/dl-machine.h (WEAKADDR): Add missing
	semicolon.

1998-04-29 12:11  Ulrich Drepper  <drepper@cygnus.com>

	* wcsmbs/mbsnrtowcs.c: Remove variable to pass to conversion function
	by letting the later modify the variable computing the total directly.
	* wcsmbs/mbsrtowcs.c: Likewise.
	* wcsmbs/wcsnrtombs.c: Likewise.
	* wcsmbs/wcsrtombs.c: Likewise.

	* wcsmbs/btowc.c (converted): Rename variable to dummy to make clear
	it is not used.
	* wcsmbs/wctoc.c: Likewise.

	* wcsmbs/mbsrtowcs.c: Optimize a bit more.
	* wcsmbs/wcsrtombs.c: Likewise.

	* sysdeps/unix/sysv/linux/alpha/bits/signum.h: Add SIGCLD definition.

1998-04-29  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/skeleton.c: Correct counting of actually converted
	characters.

	* intl/localealias.c (read_alias_file): Use unsigned char for
	local variables.  Remove unused variable tp.
	* intl/l10nflist.c (_nl_normalize_codeset): Use unsigned char *
	for type of codeset.  For loosing Solaris systems.
	* intl/loadinfo.h: Adapt prototype of _nl_normalize_codeset.
	* intl/bindtextdom.c (BINDTEXTDOMAIN): Don't define local variable
	len if not needed.
	Patches by Jim Meyering.

	* stdio-common/vfprintf.c [%S]: Don't clear mbstate twice;
	wcsrtombs must put it into initial state.

1998-04-29  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* iconv/gconv_simple.c: Fix endian bug.  Don't put side effects in
	argument of bswap_XX macro.

1998-04-28  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* iconvdata/Makefile (EBCDIC-DK-NO-A-routines): Fix typo in
	variable name.

1998-04-28  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/semctl.c (semctl): Define own union
	semun and use stdarg macros to get the value.
	* sysdeps/generic/semctl.c: Don't use union semun.

	* sysvipc/sys/sem.h: Don't use union semun in semctl prototype.

	* string/basename.c [!_LIBC]: Define function as gnu_basename.

	* posix/getopt.c [!__GNU_LIBRARY__]: Include string.h or
	strings.h.

	* stdlib/grouping.h: Accept ungrouped numbers even if locale
	defines grouping.

	* intl/hash-string.h: Don't include values.h.

	* inet/Makefile (tests): Add tst-ether_aton.
	* inet/tst-ether_aton.c: New file.

	* inet/ether_aton_r.c (ether_aton_r): Preserve high-nibble value
	in hex conversion.
	* inet/ether_aton.c (ether_aton): Declare result variable static.
	Reported by ahyung@unixg.ubc.ca.

	* sysdeps/unix/sysv/linux/bits/sem.h: Don't define union semun.
	Define macro _SEM_SEMUN_UNDEFINED instead.
	Reported by Dirk Laessig <d.laessig@tu-bs.de>.

	* stdio-common/tst-wc-printf.c: New file.  Test for %S and %C format.
	* stdio-common/Makefile (tests): Add tst-wc-printf.

1998-04-28 16:32  Philip Blundell  <philb@gnu.org>

	* manual/stdio.texi (Variable Arguments Output): Correct variable
	name.  Patch from Ewan Mellor <em@nexus.co.uk>

1998-04-27  Ulrich Drepper  <drepper@cygnus.com>

	* intl/dcgettext.c: Remove unneeded definition of
	internal_function.

1998-04-27  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* iconvdata/Makefile ($(objpfx)iconv-test.out): Use this as target
	instead of do-iconv-test.
	($(objpfx)gconv-modules): Define rule only if objpfx is not
	empty.

1998-04-27  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* string/string.h: Fix feature test.

1998-04-27  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* iconvdata/iso646.c (BODY): Don't use character constants that
	depend on signedness of char.

1998-04-27  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/i386/Makefile [$(subdirs)=misc]
	(sysdep_routines): Add s_pread64 and s_pwrite64.

1998-04-27 09:54  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/Makefile (distribute): Remove generated .h files.
	* iconvdata/koi8-r.h: Removed.
	* iconvdata/latin-greek-1.h: Removed.
	* iconvdata/latin-greek.h: Removed.

	* iconvdata/testdata/CP1258..UTF8: New iconv test source.
	* iconvdata/KOI-8: Likewise.
	* iconvdata/KOI-8..UTF8: Likewise.
	* iconvdata/KOI8-R: Likewise.
	* iconvdata/KOI8-R..UTF8: Likewise.

1998-04-24  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* streams/Makefile (headers): Add sys/stropts.h.
	* streams/sys/stropts.h: New file.

1998-04-25  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/unix/sysv/linux/ttyname.c,
	sysdeps/unix/sysv/linux/ttyname_r.c: New files, like
	sysdeps/posix/ttyname*.c, but look in /dev/pts first.

1998-04-25  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/unix/sysv/linux/ptsname.c: Fix off-by-one bug in second
	argument of _itoa_word.

1998-04-24  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/unix/sysv/linux/syscalls.list (s_getcwd, s_getdents,
	s_pread64, s_pwrite64, s_reboot, s_sigpending, s_sigprocmask): Set
	caller to getcwd, getdents, pread64, pwrite64, reboot, sigpending,
	sigprocmask, resp., instead of EXTRA.

	* sysdeps/unix/sysv/linux/Makefile (sysdep_routines): Remove
	s_pread64 and s_pwrite64.

1998-04-26 18:44  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/Makefile: Correct rules to generate gap table.
	* iconvdata/gap.pl: Simplify.

	* iconvdata/TESTS: Name new tests.
	* iconvdata/testdata/CP1250: New file.
	* iconvdata/testdata/CP1250..UTF8: New file.
	* iconvdata/testdata/CP1251: New file.
	* iconvdata/testdata/CP1251..UTF8: New file.
	* iconvdata/testdata/CP1252: New file.
	* iconvdata/testdata/CP1252..UTF8: New file.
	* iconvdata/testdata/CP1253: New file.
	* iconvdata/testdata/CP1253..UTF8: New file.
	* iconvdata/testdata/CP1254: New file.
	* iconvdata/testdata/CP1254..UTF8: New file.
	* iconvdata/testdata/CP1255: New file.
	* iconvdata/testdata/CP1255..UTF8: New file.
	* iconvdata/testdata/CP1256: New file.
	* iconvdata/testdata/CP1256..UTF8: New file.
	* iconvdata/testdata/CP1257: New file.
	* iconvdata/testdata/CP1257..UTF8: New file.

1998-04-26  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/Makefile: Add rules for ISO-2022-KR.
	* iconvdata/iso-2022-kr.c: New file.

	* iconvdata/gconv-modules: Add entry for ISO-2022-JP, ISO-2022-JP-2,
	and ISO-2022-KR.

1998-04-25 18:39  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/Makefile: Use gap method for iso8859-5, iso8859-7,
	iso8859-8 and iso8859-10.
	* iconvdata/iso8859-5.c: Change to use gap method.
	* iconvdata/iso8859-7.c: Likewise.
	* iconvdata/iso8859-8.c: Likewise.
	* iconvdata/iso8859-10.c: Likewise.

	* iconvdata/Makefile: Add rules for ISO-2022-JP module.
	* iconv/skeleton.c: Allow END_LOOP do be defined and use it at the
	end of the loop.
	* iconvdata/iso-2022-jp.c: New file.

	* iconvdata/ksc5601.c: Don't use uint16_t to represent byte sequence.
	* iconvdata/ksc5601.h: Unify function interfaces.
	* iconvdata/euckr.c: Adapt for changed ksc5601.h interface.
	* iconvdata/uhc.c: Likewise.

	* iconvdata/gb2312.h: Use correct types.

	* iconvdata/iso646.c (gconv_open): Correctly initialize the character
	size elements of data.

1998-04-24  Ulrich Drepper  <drepper@cygnus.com>

	* string/tst-svc.expect: Adapt for change in .input.
	* string/tst-svc.input: More tests.

1998-04-24 17:15  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/Makefile: Add rules for new modules.
	* iconvdata/gconv-modules: Likewise.
	* iconvdata/cp737.c: New file.
	* iconvdata/cp737.h: New file.
	* iconvdata/cp775.c: New file.
	* iconvdata/cp775.h: New file.
	* iconvdata/cp874.c: New file.
	* iconvdata/cp874.h: New file.

1998-04-24 16:30  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/Makefile: Create target directory before generating
	headers.

1998-04-23  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* misc/sys/cdefs.h (__REDIRECT): Handle systems with non-empty
	__USER_LABEL_PREFIX__.
	(__ASMNAME, __ASMNAME2): New macros.

1998-04-24  Ulrich Drepper  <drepper@cygnus.com>

	* elf/dl-load.c: Include sys/param.h for MAX.

1998-04-24 21:44  Richard Henderson  <rth@cygnus.com>

	* sysdeps/unix/sysv/linux/alpha/syscalls.list (ftruncate): Make
	__ftruncate the strong symbol, and add weak alias.
	* sysdeps/unix/sysv/linux/sparc/sparc64/syscalls.list: Likewise.

1998-04-24  Ulrich Drepper  <drepper@cygnus.com>

	* termios/cfsetspeed.c: Make code cleaner and add missing const.
	Patch by Joe Keane <jgk@jgk.org>.

	* inet/rcmd.c (__ivaliduser): Check buf for being NULL before
	free()ing.

1998-04-24 13:56  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/generic/bits/socket.h: Add #defines for enum values.
	Patch by Thomas Bushnell, n/BSG.

1998-04-24  Ulrich Drepper  <drepper@cygnus.com>

	* inet/rcmd.c (iruserok): Initialize hostf variable to NULL.

1998-04-24  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/Makefile: Put generated headers in build directory.

1998-04-23 22:43  Ulrich Drepper  <drepper@cygnus.com>

	* elf/dl-load.c (fillin_rpath): Handle empty element returned by
	strsep as current directory.

	* iconv/gconv_builtin.h: Add aliases unicode and unicodebig for
	Java.  Add definitions for unicodelittle implementation.
	* iconv/gconv_int.h: Add declaration for unicodelittle functions.
	* iconv/gconv_simple.c: Define unicodelittle functions.

	* iconv/iconv_prog.c: Make program print information about position
	of illegal character in input.

	* iconv/skeleton.c: Use __strcasecmp instead of __strcasestr for
	comparison of charset name.
	* iconvdata/big5.c (CHARSET_NAME): Adapt for this.
	* iconvdata/ebcdic-at-de-a.c: Likewise.
	* iconvdata/ebcdic-at-de.c: Likewise.
	* iconvdata/ebcdic-ca-fr.c: Likewise.
	* iconvdata/euccn.c: Likewise.
	* iconvdata/eucjp.c: Likewise.
	* iconvdata/euckr.c: Likewise.
	* iconvdata/euctw.c: Likewise.
	* iconvdata/hp-roman8.c: Likewise.
	* iconvdata/iso6937.c: Likewise.
	* iconvdata/iso8859-1.c: Likewise.
	* iconvdata/iso8859-10.c: Likewise.
	* iconvdata/iso8859-2.c: Likewise.
	* iconvdata/iso8859-3.c: Likewise.
	* iconvdata/iso8859-4.c: Likewise.
	* iconvdata/iso8859-5.c: Likewise.
	* iconvdata/iso8859-6.c: Likewise.
	* iconvdata/iso8859-7.c: Likewise.
	* iconvdata/iso8859-8.c: Likewise.
	* iconvdata/iso8859-9.c: Likewise.
	* iconvdata/johab.c: Likewise.
	* iconvdata/koi-8.c: Likewise.
	* iconvdata/koi8-r.c: Likewise.
	* iconvdata/latin-greek-1.c: Likewise.
	* iconvdata/latin-greek.c: Likewise.
	* iconvdata/sjis.c: Likewise.
	* iconvdata/t61.c: Likewise.
	* iconvdata/uhc.c: Likewise.

	* iconvdata/iso646.c: Add support for more ISO 646 variants.
	* iconvdata/TESTS: Add tests for ISO646 module.
	* iconvdata/gconv-modules: Add new modules.
	* iconvdata/testdate/CSA_Z243.4-1985-1: New tests for ISO646 module.
	* iconvdata/testdate/CSA_Z243.4-1985-1..UCS2: Likewise.
	* iconvdata/testdate/CSA_Z243.4-1985-2: Likewise.
	* iconvdata/testdate/CSA_Z243.4-1985-2..UCS4: Likewise.
	* iconvdata/testdate/DIN_66003: Likewise.
	* iconvdata/testdate/DIN_66003..UTF8: Likewise.
	* iconvdata/testdate/DS_2089: Likewise.
	* iconvdata/testdate/DS_2089..UTF8: Likewise.
	* iconvdata/testdate/ES: Likewise.
	* iconvdata/testdate/ES..UTF8: Likewise.
	* iconvdata/testdate/ES2: Likewise.
	* iconvdata/testdate/ES2..UTF8: Likewise.
	* iconvdata/testdate/GB_1988-80: Likewise.
	* iconvdata/testdate/GB_1988-80..UTF8: Likewise.
	* iconvdata/testdate/IT: Likewise.
	* iconvdata/testdate/IT..UTF8: Likewise.
	* iconvdata/testdate/JIS_C6220-1969-RO: Likewise.
	* iconvdata/testdate/JIS_C6220-1969-RO..UTF8: Likewise.
	* iconvdata/testdate/JIS_C6229-1984-B: Likewise.
	* iconvdata/testdate/JIS_C6229-1984-B..UTF8: Likewise.
	* iconvdata/testdate/JUS_I.B1.002: Likewise.
	* iconvdata/testdate/JUS_I.B1.002..UTF8: Likewise.
	* iconvdata/testdate/KSC5636: Likewise.
	* iconvdata/testdate/KSC5636..UTF8: Likewise.
	* iconvdata/testdate/MSZ_7795.3: Likewise.
	* iconvdata/testdate/MSZ_7795.3..UTF8: Likewise.
	* iconvdata/testdate/NC_NC00-10: Likewise.
	* iconvdata/testdate/NC_NC00-10..UTF8: Likewise.
	* iconvdata/testdate/NF_Z_62-010: Likewise.
	* iconvdata/testdate/NF_Z_62-010..UTF8: Likewise.
	* iconvdata/testdate/NF_Z_62-010_1973: Likewise.
	* iconvdata/testdate/NF_Z_62-010_1973..UTF8: Likewise.
	* iconvdata/testdate/NS_4551-1: Likewise.
	* iconvdata/testdate/NS_4551-1..UTF8: Likewise.
	* iconvdata/testdate/NS_4551-2: Likewise.
	* iconvdata/testdate/NS_4551-2..UTF8: Likewise.
	* iconvdata/testdate/PT: Likewise.
	* iconvdata/testdate/PT..UTF8: Likewise.
	* iconvdata/testdate/PT2: Likewise.
	* iconvdata/testdate/PT2..UTF8: Likewise.
	* iconvdata/testdate/SEN_850200_B: Likewise.
	* iconvdata/testdate/SEN_850200_B..UTF8: Likewise.
	* iconvdata/testdate/SEN_850200_C: Likewise.
	* iconvdata/testdate/SEN_850200_C..UTF8: Likewise.

	* iconvdata/cns11643.h: Use uint32_t instead of wchar_t.
	* iconvdata/cns11643l1.h: Likewise.
	* iconvdata/latin-greek-1.h: Likewise.
	* iconvdata/latin-greek.h: Likewise.
	* iconvdata/koi8-r.h: Likewise.
	* iconvdata/jis0212.h: Likewise.
	* iconvdata/gb2312.h: Likewise.
	* iconvdata/ksc5601.h: Likewise.

	* iconvdata/8bit-gap.c: Use 32 bit type for idx element of struct gap.

	* iconvdata/Makefile: Add rules for lots of more modules.
	* iconvdata/cp1250.c: New file.
	* iconvdata/cp1251.c: New file.
	* iconvdata/cp1252.c: New file.
	* iconvdata/cp1253.c: New file.
	* iconvdata/cp1254.c: New file.
	* iconvdata/cp1255.c: New file.
	* iconvdata/cp1256.c: New file.
	* iconvdata/cp1257.c: New file.
	* iconvdata/ebcdic-dk-no-a.c: New file.
	* iconvdata/ebcdic-dk-no.c: New file.
	* iconvdata/ebcdic-es-a.c: New file.
	* iconvdata/ebcdic-es-s.c: New file.
	* iconvdata/ebcdic-es.c: New file.
	* iconvdata/ebcdic-fi-se-a.c: New file.
	* iconvdata/ebcdic-fi-se.c: New file.
	* iconvdata/ebcdic-fr.c: New file.
	* iconvdata/ebcdic-is-friss.c: New file.
	* iconvdata/ebcdic-it.c: New file.
	* iconvdata/ebcdic-pt.c: New file.
	* iconvdata/ebcdic-uk.c: New file.
	* iconvdata/ebcdic-us.c: New file.
	* iconvdata/ibm037.c: New file.
	* iconvdata/ibm038.c: New file.
	* iconvdata/ibm1004.c: New file.
	* iconvdata/ibm1026.c: New file.
	* iconvdata/ibm1047.c: New file.
	* iconvdata/ibm256.c: New file.
	* iconvdata/ibm273.c: New file.
	* iconvdata/ibm274.c: New file.
	* iconvdata/ibm275.c: New file.
	* iconvdata/ibm277.c: New file.
	* iconvdata/ibm278.c: New file.
	* iconvdata/ibm280.c: New file.
	* iconvdata/ibm281.c: New file.
	* iconvdata/ibm284.c: New file.
	* iconvdata/ibm285.c: New file.
	* iconvdata/ibm290.c: New file.
	* iconvdata/ibm297.c: New file.
	* iconvdata/ibm420.c: New file.
	* iconvdata/ibm423.c: New file.
	* iconvdata/ibm424.c: New file.
	* iconvdata/ibm437.c: New file.
	* iconvdata/ibm500.c: New file.
	* iconvdata/ibm850.c: New file.
	* iconvdata/ibm851.c: New file.
	* iconvdata/ibm852.c: New file.
	* iconvdata/ibm855.c: New file.
	* iconvdata/ibm857.c: New file.
	* iconvdata/ibm860.c: New file.
	* iconvdata/ibm861.c: New file.
	* iconvdata/ibm862.c: New file.
	* iconvdata/ibm863.c: New file.
	* iconvdata/ibm864.c: New file.
	* iconvdata/ibm865.c: New file.
	* iconvdata/ibm868.c: New file.
	* iconvdata/ibm869.c: New file.
	* iconvdata/ibm870.c: New file.
	* iconvdata/ibm871.c: New file.
	* iconvdata/ibm875.c: New file.
	* iconvdata/ibm880.c: New file.
	* iconvdata/ibm891.c: New file.
	* iconvdata/ibm903.c: New file.
	* iconvdata/ibm904.c: New file.
	* iconvdata/ibm905.c: New file.
	* iconvdata/ibm918.c: New file.

	* locale/iso-4217.def: Update.
	* localedata/locales/pt_BR: Correct.  Patches by Andreas Jaeger.

	* stdio-common/vfscanf.h: Recognize nan and inf in floating-point
	formats.

1998-04-22  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* elf/dl-load.c (_dl_init_paths): ';' is also a terminal for
	LD_LIBRARY_PATH.

1998-04-22  Gordon Matzigkeit  <gord@profitpress.com>

	* Makerules: Change occurances of `cd dir; cmd' to `cd dir && cmd'.
	* Makefile: Likewise.
	* posix/Makefile: Likewise.
	* sysdeps/mach/hurd/Makefile: Likewise.

1998-04-22  Gordon Matzigkeit  <gord@profitpress.com>

	* sysdeps/mach/hurd/bits/dirent.h: New file.
	* sysdeps/mach/hurd/readdir64.c: New file.
	* sysdeps/mach/hurd/readdir64_r.c: New file.

1998-04-21  Gordon Matzigkeit  <gord@profitpress.com>

	* stdio/stdio.h (vasprintf, __asprintf, asprintf, vdprintf,
	dprintf): Synchronize declarations with libio/stdio.h.

1998-04-21  Gordon Matzigkeit  <gord@profitpress.com>

	* elf/dlerror.c (dlerror): Don't assume that
	__libc_internal_tsd_get is defined.  __libc_getspecific is already
	well-protected, so just use it directly.

1998-04-22  Gordon Matzigkeit  <gord@profitpress.com>

	* io/ftw.h (ftw): Fix typo.

1998-04-21  Gordon Matzigkeit  <gord@profitpress.com>

	* sysdeps/gnu/utmp_file.c: Fix typo.

1998-04-22 11:06  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* iconvdata/run-iconv-test.sh: Fix more portability bugs.  When
	one part of a test fails move on to the next test.

1998-04-24  5:45  Richard Henderson  <rth@cygnus.com>

	* sysdeps/alpha/bits/setjmp.h (_JMPBUF_UNWINDS): Added.

1998-04-21  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/i386/bits/setjmp.h (_JMPBUF_UNWINDS): Compare addresses
	as pointers, not signed integers.

1998-04-22 11:06  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/m68k/bits/setjmp.h (_JMPBUF_UNWINDS): Added.

1998-04-21 21:49  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* misc/sys/cdefs.h: New macro __REDIRECT to support changing the
	asm symbol name of functions.
	* include/features.h: Kill redundant test.

	* dirent/dirent.h: Use new macros to implement __USE_FILE_OFFSET64.
	* io/ftw.h: Likewise.
	* io/sys/stat.h: Likewise.
	* io/sys/statfs.h: Likewise.
	* io/sys/statvfs.h: Likewise.
	* libio/stdio.h: Likewise.
	* resource/sys/resource.h: Likewise.
	* rt/aio.h: Likewise.

	* posix/unistd.h: Use new macros for __USE_FILE_OFFSET64 and
	 __FAVOR_BSD.
	* signal/signal.h: Use new macros for BSD vs. SysV signal().

	* misc/Makefile: Drop bsd-compat.c.  Make libbsd-compat.a
	a dummy library.
	* misc/bsd-compat.c: Removed.

1998-04-21 20:32  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/loop.c: Allow EXTRA_LOOP_DECLS be defined and use it in
	function declaration.
	* iconv/skeleton.c: Allow PREPARE_LOOP and EXTRA_LOOP_ARGS be defined
	and use them in conversion function.
	* iconvdata/Makefile (modules): Re-add ISO6446.
	* iconvdata/TEST: Add tests for ASCII variants.
	* iconvdata/iso646.c: Rewrite to use loop.c and skeleton.c.
	* iconvdata/testdata/ANSI_X3.4-1968: New file.
	* iconvdata/testdata/BS_4730: New file.
	* iconvdata/testdata/BS_4730..UTF8: New file.

1998-04-21 19:05  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv.h (struct gconv_step): Add element stateful.
	* iconv/gconv_builtin.c (__gconv_builtin_trans): Initialize stateful
	to zero for all internal conversions.
	* iconv/skeleton.c: Initialize stateful depending on whether or not
	RESET_STATE is defined to one or zero respectively.
	* stdlib/mblen.c: Use stateful element of currently selected
	converter for result if S is NULL.
	* stdlib/mbtowc.c: Likewise.
	* stdlib/wctomb.c: Likewise.

1998-04-21 18:00  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv.c (__gconv): Remove bogus input buffer size computation.

	* iconv/gconv_open.c (__gconv_open): Initialize outbufend element.

	* iconv/gconv_simple.c (__gconv_transform_internal_ascii): Don't use
	character in comparison with uint32_t.
	(__gconv_transform_internal_utf8): Specify MAX_NEEDED_TO.
	(__gconv_transform_utf8_internal): Specify MAX_NEEDED_FROM.
	Optimize BODY a bit.

	* iconv/loop.c: Require MIN_NEEDED_INPUT and MIN_NEEDED_OUTPUT to
	be defined.

	* iconv/skeleton.c: Also reset converted counter in case of an error.
	Call reset function using correct value for output buffer start.

	* iconvdata/Makefile: Re-enable tests.

	* iconvdata/iso8859-1.c: Swap MIN_NEEDED_INPUT and MIN_NEEDED_OUTPUT
	value for to-conversion.

	* iconvdata/TESTS: Add new third column.
	* iconvdata/run-iconv-test.sh: Add support for charsets which are
	not ASCII based.
	* iconvdata/testdata/suntzus: New file.

	* elf/dl-minimal.c (__strtol_internal): Increment pointer to string
	while reading.  Correctly used base.  Little optimization.
	(__strtoul_internal): Likewise.

	* elf/rtld.c (dl_main): Test to avoid duplicate call of _dl_init_paths
	was wrong.  Use explicit variable.

1998-04-20 23:49  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* configure.in: Check for awk.
	* config.make.in: Add AWK to be substituted.

	* manual/xtract-typefun.awk: Rewrite to eliminate gawk extensions.
	* manual/users.texi: Fix typo exposed by above rewrite.

	* Makefile: Invoke awk using AWK variable.
	* csu/Makefile: Likewise.
	* elf/Makefile: Likewise.
	* mach/Makefile: Likewise.
	* manual/Makefile: Likewise.
	* sysdeps/gnu/Makefile: Likewise.
	* sysdeps/mach/hurd/Makefile: Likewise.
	* sysdeps/unix/Makefile: Likewise.
	* timezone/Makefile: Likewise.

1998-04-10  Gordon Matzigkeit  <gord@profitpress.com>

	* sysdeps/gnu/errlist.awk (ERR_REMAP): Implement error code to
	array index translation.
	(SYS_ERRLIST_ALIAS, SYS_NERR_ALIAS): Make weak aliases only if
	these are defined.

	* sysdeps/mach/hurd/Dist: Add errlist.c to distribution.

	* sysdeps/mach/hurd/errlist.c: New file.
	(ERR_TRANSLATE): Map Hurd error codes into errlist indices.
	(_hurd_errlist): The Hurd error list doesn't have Unix sys_errlist
	semantics, so rename it.

1998-04-16  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* iconvdata/run-iconv-test.sh: Make portable.  Always test all
	conversions.

1998-04-21 12:30  H.J. Lu  <hjl@gnu.org>

	* wcsmbs/wcsrtombs.c (__wcsrtombs): Initialize result to 0.
	* wcsmbs/wcsnrtombs.c: Likewise.

1998-04-21  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/generic/dl-sysdep.c: Handle _dl_hwcap correctly.

	* wcsmbs/btowc.c (__btowc): Declare inptr as const char *.

	* time/strftime.c (my_strftime): Initialize pad variable in
	declaration.

	* iconvdata/big5.c: Don't use character constants in comparisons
	with unsigned value.

1998-04-20 18:00  Ulrich Drepper  <drepper@cygnus.com>

	* libc.map: Add __dgettext to GLIBC_2.0 and __libc_longjmp, and
	__libc_siglongjmp to GLIBC_2.1.

	* elf/dl-minimal.c (__assert_perror_fail): Don't use strerror, use
	__strerror_r.

	* iconv/Makefile: Don't run tests now.

	* iconv/iconv_prog.c (process_block): If loop is repeated, call iconv
	with correct output buffer.

	Major rewrite of the low-level gconv functionality.
	* iconv/gconv.c: Rewritten.
	* iconv/gconv.h: Likewise.
	* iconv/gconv_builtin.c: Likewise.
	* iconv/gconv_builtin.h: Likewise.
	* iconv/gconv_conf.c: Likewise.
	* iconv/gconv_int.h: Likewise.
	* iconv/gconv_open.c: Likewise.
	* iconv/gconv_simple.c: Likewise.
	* iconv/iconv.c: Likewise.
	* iconvdata/8bit-gap.c: Likewise.
	* iconvdata/8bit-generic.c: Likewise.
	* iconvdata/Makefile: Likewise.
	* iconvdata/big5.c: Likewise.
	* iconvdata/cns11643.c: Likewise.
	* iconvdata/cns11643.h: Likewise.
	* iconvdata/cns11643l1.c: Likewise.
	* iconvdata/cns11643l1.h: Likewise.
	* iconvdata/ebcdic-at-de-a.c: Likewise.
	* iconvdata/ebcdic-at-de.c: Likewise.
	* iconvdata/ebcdic-ca-fr.c: Likewise.
	* iconvdata/euccn.c: Likewise.
	* iconvdata/eucjp.c: Likewise.
	* iconvdata/euckr.c: Likewise.
	* iconvdata/euctw.c: Likewise.
	* iconvdata/gb2312.c: Likewise.
	* iconvdata/gb2312.h: Likewise.
	* iconvdata/hp-roman8.c: Likewise.
	* iconvdata/iso646.c: Likewise.
	* iconvdata/iso6937.c: Likewise.
	* iconvdata/iso8859-1.c: Likewise.
	* iconvdata/iso8859-10.c: Likewise.
	* iconvdata/iso8859-2.c: Likewise.
	* iconvdata/iso8859-3.c: Likewise.
	* iconvdata/iso8859-4.c: Likewise.
	* iconvdata/iso8859-5.c: Likewise.
	* iconvdata/iso8859-6.c: Likewise.
	* iconvdata/iso8859-7.c: Likewise.
	* iconvdata/iso8859-8.c: Likewise.
	* iconvdata/iso8859-9.c: Likewise.
	* iconvdata/jis0201.c: Likewise.
	* iconvdata/jis0201.h: Likewise.
	* iconvdata/jis0208.c: Likewise.
	* iconvdata/jis0208.h: Likewise.
	* iconvdata/jis0212.c: Likewise.
	* iconvdata/jis0212.h: Likewise.
	* iconvdata/johab.c: Likewise.
	* iconvdata/koi-8.c: Likewise.
	* iconvdata/koi8-r.c: Likewise.
	* iconvdata/ksc5601.c: Likewise.
	* iconvdata/ksc5601.h: Likewise.
	* iconvdata/latin-greek-1.c: Likewise.
	* iconvdata/latin-greek.c: Likewise.
	* iconvdata/run-iconv-test.sh: Likewise.
	* iconvdata/sjis.c: Likewise.
	* iconvdata/t61.c: Likewise.
	* iconvdata/uhc.c: Likewise.
	* wcsmbs/btowc.c: Likewise.
	* wcsmbs/mbrtowc.c: Likewise.
	* wcsmbs/mbsnrtowcs.c: Likewise.
	* wcsmbs/mbsrtowcs.c: Likewise.
	* wcsmbs/wcrtomb.c: Likewise.
	* wcsmbs/wcsmbsload.c: Likewise.
	* wcsmbs/wcsnrtombs.c: Likewise.
	* wcsmbs/wcsrtombs.c: Likewise.
	* wcsmbs/wctob.c: Likewise.
	* iconv/loop.c: New file.
	* iconv/skeleton.c: New file.

	* stdlib/mblen.c: Handle empty input string correctly.
	* stdlib/mbtowc.c: Likewise.

	* posix/getopt.c: Various cleanups.

	* sysdeps/arm/bits/setjmp.h: Add copyright text.
	* sysdeps/i386/bits/setjmp.h: Likewise.
	* sysdeps/m68k/bits/setjmp.h: Likewise.
	* sysdeps/powerpc/bits/setjmp.h: Likewise.
	* sysdeps/sparc/sparc32/bits/setjmp.h: Likewise.

	* sysdeps/generic/longjmp.c: Rename function to __libc_siglongjmp
	and make longjmp weak alias.

1998-04-18 20:29  Philip Blundell  <Philip.Blundell@pobox.com>

	* iconv/Makefile (routines): Only include gconv_dl if building for
	an ELF system - dynamic linking is not available on a.out.
	(CFLAGS-gconv_conf.c): Define STATIC_GCONV if omitting gconv_dl
	due to above check.
	* iconv/gconv_db.c: If STATIC_GCONV defined, don't try to call
	routines from gconv_dl.

1998-04-17  Gordon Matzigkeit  <gord@profitpress.com>

	* csu/init.c (_IO_stdin_used): Protect with USE_IN_LIBIO so that
	we can compile without libio.

1998-04-20 16:28  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/mach/hurd/Subdirs: Remove login.

1998-04-11  Gordon Matzigkeit  <gord@profitpress.com>

	* db2/compat.h: Include <errno.h>, to make sure we get the
	definition of EFTYPE before we define it ourselves.

1998-04-10  Gordon Matzigkeit  <gord@profitpress.com>

	* sysdeps/generic/bits/socket.h: Protect against multiple inclusion.
	* sysdeps/mach/hurd/bits/ioctls.h: Likewise.
	Fix typo to allow inclusion from sys/ioctl.h again.

1998-04-16  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* iconvdata/*.[ch]: Clean up namespace.  Optimize character lookup.

1998-04-16  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* libc.map: Export __strerror_r.  Remove _strerror_internal.

1998-04-16  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/generic/strcasestr.c: Undefine strcasestr, not strstr.
	Also undefine __strcasestr.

1998-04-16  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* posix/regex.c: Rename __re_max_failures back to re_max_failures,
	aliases do not work with global variables due to copy relocations.

1998-04-20 15:12  Ulrich Drepper  <drepper@cygnus.com>

	* manual/creature.texi: Fix type.  Patch by Andreas Schwab.

1998-04-20 13:47  Ulrich Drepper  <drepper@cygnus.com>

	* signal/sighold.c: Include stddef.h for NULL definition.
	* signal/sigrelse.c: Likewise.
	* sysdeps/posix/sigignore.c: Likewise.
	* sysdeps/posix/sigset.c: Likewise.
	* sysdeps/posix/waitid.c: Likewise.
	* sysdeps/unix/sysv/linux/rt_sigsuspend.c: Likewise.
	* sysdeps/unix/sysv/linux/rt_sigtimedwait.c: Likewise.
	* sysdeps/unix/sysv/linux/sigwaitinfo.c: Likewise.
	* wcsmbs/mbsrtowcs.c: Include stdlib.h for MB_CUR_MAX.
	Patch by Franz Sirl <Franz.Sirl-kernel@lauterbach.com>.

1998-04-13  Mark Kettenis  <kettenis@phys.uva.nl>

	* login/Makefile (headers): Remove utmpx.h and bits/utmpx.h.
	* login/getutent.c (getutxent): Remove alias.
	* login/getutent_r.c (setutxent, pututxline, endutxent):
	Remove aliases.
	* login/getutid.c (getutxid): Remove alias.
	* login/getutline.c (getutxline): Remove alias.
	* login/utmp.h: Add prototypes for __updwtmp, __getutent,
	__getutid, __getutline and __pututline.
	* login/utmpx.h: Moved to ...
	* sysdeps/gnu/utmpx.h: ... here.  [__USE_GNU]: Define UTMPX_FILE,
	UTMPX_FILENAME, WTMPX_FILE and WTMPX_FILENAME, declare utmpxname
	and updwtmpx.
	* login/updwtmp.c: Moved to ...
	* sysdeps/generic/updwtmp.c: ... here.  (updwtmp): Generalized by
	allowing file name transformation.
	* sysdeps/gnu/updwtmp.c: New file.  Use generic implementation with
	additional file name transformation.
	* sysdeps/unix/sysv/linux/updwtmp.c: Likewise.
	* login/utmp_file.c: Moved to ...
	* sysdeps/generic/utmp_file.c: ... here.  (setutent_file):
	Generalized by allowing file name transformation.  Do not
	print error message.  Library functions should not print them.
	Reported by Jim Meyering.
	* sysdeps/gnu/utmp_file.c: New file.  Use generic implementation
	with additional file name transformation.
	* sysdeps/unix/sysv/linux/utmp_file.c: Likewise.
	* sysdeps/gnu/Makefile [$(subdir)=login] (sysdep_routines): Add
	setutxent, getutxent, endutxent, getutxid, getutxid, getutxline,
	pututxline, utmpxname and updwtmpx.  (sysdep_headers): Add utmpx.h
	and bits/utmpx.h.
	* sysdeps/gnu/bits/utmpx.h [__USE_GNU] Include paths.h.
	(_PATH_UTMPX): Define to _PATH_UTMP.  (_PATH_WTMPX): Define to
	_PATH_WTMPX.  (RUN_LVL): Define only if __USE_GNU.  (ACCOUNTING):
	Define if __USE_GNU.
	* sysdeps/generic/setutxent.c: New file.
	* sysdeps/generic/getutxent.c: New file.
	* sysdeps/generic/endutxent.c: New file.
	* sysdeps/generic/getutxid.c: New file.
	* sysdeps/generic/getutxline.c: New file.
	* sysdeps/generic/pututxline.c: New file.
	* sysdeps/generic/utmpxname.c: New file.
	* sysdeps/generic/updwtmpx.c: New file.
	* sysdeps/unix/sysv/linux/paths.h (_PATH_UTMP_DB): Remove.
	* sysdeps/generic/bits/utmpx.h: Remove.

1998-04-20  Ulrich Drepper  <drepper@cygnus.com>

	* posix/wordexp-test.c (main): Initialize ifs element of ts for
	~root test.

1998-04-17 07:53  H.J. Lu  <hjl@gnu.org>

	* sysdeps/unix/sysv/linux/i386/s_pread64.S: Fix a typo.

1998-04-17 11:32  Ulrich Drepper  <drepper@cygnus.com>

	* libio/oldfileops.c (_IO_old_file_seekoff): Define temporary st
	variable using _G_stat64.
	* libio/fileops.c: Remove macro definition of fstat, it is in the
	global header.
	Reported by Thorsten Kukuk <kukuk@weber.uni-paderborn.de>.

1998-04-17  Philip Blundell  <pb@nexus.co.uk>

	* sysdeps/arm/strlen.S: New file, based on code by Matthew Wilcox
	<willy@odie.barnet.ac.uk>.

1998-04-16  Philip Blundell  <Philip.Blundell@pobox.com>

	* inet/netinet/in.h (IN6_IS_ADDR_MC_NODELOCAL): New macro,
	required by IPv6 Basic API.
	(IN6_IS_ADDR_MC_LINKLOCAL): Likewise.
	(IN6_IS_ADDR_MC_SITELOCAL): Likewise.
	(IN6_IS_ADDR_MC_ORGLOCAL): Likewise.
	(IN6_IS_ADDR_MC_GLOBAL): Likewise.

1998-04-15 16:41  Ulrich Drepper  <drepper@cygnus.com>

	Don't name internal representation since it might be different from
	the external form (namely on little endian machines).
	* iconv/gconv_builtin.h: Add UCS4 support.  Change references to
	UCS4 into references to INTERNAL.
	* iconv/gconv_simple.c: Implement UCS4<->INTERNAL converters.
	Add endianess support to UCS functions.  Change references to
	UCS4 into references to INTERNAL.
	* iconv/gconv_int.h: Change references to UCS4 into references to
	INTERNAL.
	* iconv/iconv_prog.c: Don't mention INTERNAL in --list output.
	* iconvdata/gconv-modules: Change accordingly.
	* wcsmbs/wcsmbsload.c: Change names to use INTERNAL.

	* iconv/gconv_simple.c: Adjust input buffer pointer for output buffer
	overflow.
	* iconvdata/8bit-gap.c: Likewise.
	* iconvdata/8bit-generic.c: Likewise.
	* iconvdata/big5.c: Likewise.
	* iconvdata/euccn.c: Likewise.
	* iconvdata/eucjp.c: Likewise.
	* iconvdata/euckr.c: Likewise.
	* iconvdata/euctw.c: Likewise.
	* iconvdata/iso646.c: Likewise.
	* iconvdata/iso6937.c: Likewise.
	* iconvdata/iso8859-1.c: Likewise.
	* iconvdata/johab.c: Likewise.
	* iconvdata/sjis.c: Likewise.
	* iconvdata/t61.c: Likewise.
	* iconvdata/uhc.c: Likewise.

	* iconvdata/8bit-gap.c: Correct access to to_ucs4 array.
	* iconvdata/8bit-generic.c: Likewise.

	* iconvdata/TESTS: Add more tests.

	* sysdeps/i386/bits/byteswap.h: Change to use "=r" when ror is used.

1998-04-15 11:47  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/Makefile: Better rules to run tests.

	* iconvdata/testdata/ISO-8859-1..UTF8: New file.
	* iconvdata/testdata/ISO-8859-10: Likewise.
	* iconvdata/testdata/ISO-8859-10..UCS2: Likewise.
	* iconvdata/testdata/ISO-8859-2: Likewise.
	* iconvdata/testdata/ISO-8859-2..UCS4: Likewise.
	* iconvdata/testdata/ISO-8859-2..UTF8: Likewise.
	* iconvdata/testdata/ISO-8859-3: Likewise.
	* iconvdata/testdata/ISO-8859-4: Likewise.
	* iconvdata/testdata/ISO-8859-5: Likewise.
	* iconvdata/testdata/ISO-8859-6: Likewise.
	* iconvdata/testdata/ISO-8859-7: Likewise.
	* iconvdata/testdata/ISO-8859-8: Likewise.
	* iconvdata/testdata/ISO-8859-9: Likewise.

1998-04-15  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/run-iconv-test.sh: Handle $from..$t file to compare
	intermediate result (if available).

	* iconv/gconv_simple.c (__gconv_transform_ucs4_ascii): Fix typo in
	last change.

	* iconvdata/Makefile: Add rules to run run-iconv-test.sh.
	(distribute): Add run-iconv-test.sh and testdata/*.

	* stdlib/testmb.c (main): Simplify mbc array handling.

1998-04-14  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* elf/dl-minimal.c (__strtol_internal): Correct range check.  Fix
	return value on overflow.

1998-04-14  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/posix/mkstemp.c (mkstemp): Change value and v to 64
	bits.

1998-04-14  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* malloc/mtrace.c (mtrace): Use standard function setvbuf instead
	of non-standard function setbuffer.

1998-04-15  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* stdio-common/perror.c: Include <string.h> for __strerror_r.

1998-04-14 23:54  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/Makefile: Add rules to run tests.
	* iconvdata/TESTS: New file.
	* iconvdata/run-iconv-test.sh: New file.
	* iconvdata/testdata/ISO-8859-1: New file.

	* iconv/iconv_prog.c (main): Call process_block with OUTPUT stream,
	not stdout.

1998-04-14 18:22  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv_builtin.c (__gconv_get_builtin_trans): Initialize
	counter element of step.

	* iconv/gconv_dl.c: Don't mark get_sym as internal function.

	* iconv/gconv_simple.c (__gconv_transform_ucs4_ascii): Correct loop
	termination test.
	(__gconv_transform_ucs4_utf8): Likewise.  Remove unnecessary variable
	ACTUALLY.
	(__gconv_transform_utf8_ucs4): Correct test for empty input.

1998-04-14  Ulrich Drepper  <drepper@cygnus.com>

	* Makefile: Include makeconfig before defining rule to regenerate
	configure files.

	* configure.in: Remove restriction on compiling without static
	libs.

1998-04-14 16:34  Ulrich Drepper  <drepper@cygnus.com>

	* test-skeleton.c: Provide hook for initializing code before the fork.
	* rt/tst-aio.c: Use PREPARE hook to make suer temp files are always
	removed.

	* libio/fcloseall.c (__fcloseall): Return return value of _IO_cleanup.
	* libio/genops.c (_IO_cleanup): Return return value of _IO_flush_all.
	* libio/libioP.h: Adopt _IO_cleanup prototype.

	* stdlib/Makefile (tests): Add test-canon2.
	* stdlib/test-canon2.c: New file.
	* stdlib/canonicalize.c (canonicalize): Allow RESOLVED parameter to
	be NULL.  Use __lxstat, not __lstat.  Correctly recognize long
	symlink sequences.
	(__realpath): Make real function which checks RESOLVED parameter for
	not being NULL.

1998-04-14  Ulrich Drepper  <drepper@cygnus.com>

	* catgets/open_catalog.c (__open_catalog): Fix problems with
	reading non-files.  Always close file.
	Reported by Cristian Gafton <gafton@redhat.com>.

	* elf/dl-minimal.c (__strtol_internal): Prevent overflow warnings.

1998-04-14 13:28  Ulrich Drepper  <drepper@cygnus.com>

	* libc.map: Add various low-level I/O functions.

1998-04-14 10:35  Ulrich Drepper  <drepper@cygnus.com>

	* string/Makefile (routines): Remove strerror_r.
	* string/strerror_r.c: Removed.
	* string/strerror.c: Call __strerror_r for doing the real work.
	* sysdeps/generic/_strerror.c: Rename function to __strerror_r and
	add weak alias strerror_r.
	* sysdeps/mach/_strerror.c: Likewise.
	* assert/assert-perr.c: Use __strerror_r instead of _strerror_internal.
	* elf/dl-error.c (_dl_signal_error): Likewise.
	* elf/dl-profile.c (_dl_start_profile): Likewise.
	* gmon/gmon.c (write_gmon): Likewise.
	* stdio-common/perror.c: Likewise.
	* stdio-common/vfprintf.c: Likewise.

1998-04-10  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/unix/sysv/linux/Makefile [$(subdir)=inet]
	(sysdep_headers): Add netatalk/at.h.

1998-04-12  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* manual/socket.texi, manual/creature.texi, manual/time.texi:
	Formatting fixes.

1998-04-13  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* posix/regex.c: Rename __re_syntax_options back to
	re_syntax_options, aliases do not work with global variables due
	to copy relocations.
	(regex_compile): Use syntax parameter instead of
	re_syntax_options.

1998-04-14  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* configure.in: Document that enable-force-install is default.

1998-04-13  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/posix/mktemp.c: Increment `value' in a way which touches
	all needed 36 bits.
	* sysdeps/posix/mkstemp.c: Likewise.

1998-04-13 17:40  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/8bit-gap.c: Simplify step data handling.
	* iconvdata/8bit-generic.c: Likewise.
	* iconvdata/big5.c: Likewise.
	* iconvdata/euccn.c: Likewise.
	* iconvdata/eucjp.c: Likewise.
	* iconvdata/euckr.c: Likewise.
	* iconvdata/euctw.c: Likewise.
	* iconvdata/iso6937.c: Likewise.
	* iconvdata/iso8859-1.c: Likewise.
	* iconvdata/jis0208.h: Likewise.
	* iconvdata/jis0212.c: Likewise.
	* iconvdata/jis0212.h: Likewise.
	* iconvdata/johab.c: Likewise.
	* iconvdata/ksc5601.h: Likewise.
	* iconvdata/sjis.c: Likewise.
	* iconvdata/t61.c: Likewise.
	* iconvdata/uhc.c: Likewise.

1998-04-13 16:36  Ulrich Drepper  <drepper@cygnus.com>

	* manual/texinfo.texi: Updated from last version.

1998-04-13 14:52  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/cns11643.c: New file.
	* iconvdata/cns11643.h: New file.
	* iconvdata/cns11643l1.c: New file.
	* iconvdata/cns11643l1.h: New file.
	* iconvdata/euctw.c: New file.
	* iconvdata/Makefile: Add rules for EUC-TW and CNS.
	* iconvdata/gconv-modules: Likewise.

	* iconvdata/eucjp.c: Several bug fixes and improvements.
	* iconvdata/gb2312.h: Likewise.
	* iconvdata/jis0201.h: Likewise.
	* iconvdata/jis0208.h: Likewise.
	* iconvdata/jis0212.h: Likewise.

1998-04-13 09:11  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/eucjp.c: New file.
	* iconvdata/euccn.c: New file.
	* iconvdata/gb2312.h: New file.
	* iconvdata/gb2312.c: New file.
	* iconvdata/Makefile: Add rules for EUC-JP and EUC-CN.
	* iconvdata/gconv-modules: Likewise.

	* iconvdata/euckr.c: Use stdint.h instead of inttypes.h.

1998-04-12  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/powerpc/dl-sysdep.c
	(DL_FIND_ARG_COMPONENTS): Always initialize auxv.
	Patch by Mark Hatle <fray@kernel.crashing.org>.

1998-04-12 22:47  Philip Blundell  <Philip.Blundell@pobox.com>

	* sysdeps/unix/sysv/linux/bits/socket.h (PF_APPLETALK): Correct
	comment.
	(PF_AAL5, AF_AAL5): Rename to *_ATMPVC.
	(PF_ATMSVC, PF_ECONET, AF_ATMSVC, AF_ECONET): Added.

1998-04-12  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/sjis.c (gconv): Remove superfluous varaible declarations.

	* iconvdata/Makefile: Add rules for big5 conversion.
	* iconvdata/gconv-modules: Likewise.
	* iconvdata/big5.c: New file.

	* time/mktime.c (TYPE_MAXIMUM): Add missing cast.
	Patch by Jim Meyering.

1998-04-11  Ulrich Drepper  <drepper@cygnus.com>

	* rt/tst-aio.c: Add test for aio_read and lio_listio.

	* rt/lio_listio.c: Correct total counter handling.

	* rt/aio_misc.c (handle_fildes_io): Correctly dequeue elements
	from request queue.

	* test-skeleton.c (main): Make stdout unbuffered.  Improve message
	of signal on exit even more.

	* rt/aio_suspend.c (aio_suspend): Use PTHREAD_COND_INITIALIZER
	instead of call to pthread_cond_init.
	* rt/lio_listio.c (lio_listio): Likewise.
	* rt/lio_listio64.c (lio_listio64): Likewise.

	* nis/nis_findserv.c: Include sys/socket.h.

1998-04-11 09:33  Ulrich Drepper  <drepper@cygnus.com>

	* Makeconfig (rtobjdir): New variable.
	(rpath-link): Add rtobjdir and thread directory, if available.

	* test-skeleton.c: Add support to remove temporary files.
	Always define test_dir.  Improve message about expected signal.

	* rt/Makefile (tests): Add tst-aio.
	Add rules for tst-aio to be linked with librt and thread library.
	* rt/aio_misc.c: Correct fundamental bugs.
	* rt/aio_suspend.c: Correct bug in test for available request.
	Initialize conditional variable.
	* rt/lio_listio.c: Initialize conditional variable.
	* rt/lio_listio64.c: Likewise.
	* rt/tst-aio.c: New file.

	* sysdeps/libm-ieee754/s_signgam.c: Undo last change.
	* sysdeps/libm-ieee754/w_gamma.c: Likewise.  Adopt for ISO C 9x.
	* sysdeps/libm-ieee754/w_gammaf.c: Likewise.
	* sysdeps/libm-ieee754/w_gammal.c: Likewise.
	* sysdeps/libm-ieee754/w_lgamma.c: Likewise.
	* sysdeps/libm-ieee754/w_lgammaf.c: Likewise.
	* sysdeps/libm-ieee754/w_lgammal.c: Likewise.

1998-04-11 14:49  Mark Kettenis  <kettenis@landau.phys.uva.nl>

	* posix/regex.c [_LIBC] (__re_syntax_options): Initialize to 0.

1998-04-10  Ulrich Drepper  <drepper@cygnus.com>

	* elf/dl-load.c (open_path): Use correct name for test whether
	directory in load path exists.

	* sysdeps/libm-ieee754/s_expm1.c: Remove variable one.
	* sysdeps/libm-ieee754/e_pow.c: Fix typo.
	Patches by Tom Rini <trini@kernel.crashing.org>.

	* wcsmbs/wcstof_l.c: Declare ____wcstoull_l_internal.
	* wcsmbs/wcstod_l.c: Likewise.
	* wcsmbs/wcstold_l.c: Likewise.

	* include/byteswap.h: New file.

	* malloc/mtrace.c (mtrace): Use smaller output buffer to reduce
	.bss segment size.  Patch by Joe Keane <jgk@jgk.org>.

	* inet/getnameinfo.c (getnameinfo): Change parameter to match
	declaration.  Patch by Richard Henderson.

1998-04-10 12:40  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* manual/process.texi (SIGCHLD example): Save errno.

1998-04-09  Ulrich Drepper  <drepper@cygnus.com>

	* posix/regex.c: Define regerror really as __regerror.
	* posix/regex.h: Add __ protected prototypes for regcomp, regexec,
	regerror and regfree.

	* stdlib/strtof_l.c: Declare ____strtoull_l_internal.
	* stdlib/strtod_l.c: Likewise.
	* stdlib/strtold_l.c: Likewise.

	* intl/gettextP.h [_LIBC] (SWAP): Use byteswap.h macros.

	* sysdeps/i386/i486/bits/string.h: Remove unused variables.

	* misc/syslog.c (closelog_internal): Set LogTag to NULL.
	Patch by Christian Gafton.

1998-04-09 14:27  Ulrich Drepper  <drepper@cygnus.com>

	* manual/socket.texi (Interface Naming): Correct @deftypefun line
	for if_indextoname.

1998-04-07  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* sysdeps/unix/sysv/linux/bits/sockunion.h: Fix error message.

	* manual/socket.texi (Interface Naming): Fix typo.

1998-04-07  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* manual/examples/filesrv.c (main): Remove filename first.

	* manual/socket.texi (Address Formats): Change ?F_LOCAL, ?F_FILE,
	?F_UNIX.

	* manual/examples/mkfsock.c (make_named_socket): Use PF_LOCAL
	instead of PF_UNIX.

	* manual/examples/filecli.c (main): Use AF_LOCAL
	instead of AF_UNIX.

1998-04-09  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/libm-ieee754/s_signgam.c: Define __signgam and make
	signgam weak alias.
	* sysdeps/libm-ieee754/w_lgamma.c: Use __signgam not signgam.
	* sysdeps/libm-ieee754/w_lgammaf.c: Likewise.
	* sysdeps/libm-ieee754/w_lgammal.c: Likewise.
	* sysdeps/libm-ieee754/w_gamma.c: Likewise.
	* sysdeps/libm-ieee754/w_gammaf.c: Likewise.
	* sysdeps/libm-ieee754/w_gammal.c: Likewise.

	* login/utmp_daemon.c (open_socket): Use __connect not connect.

1998-04-08  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* configure.in: Add new option --enable-force-install.  Substitute
	force_install.
	* config.make.in (force-install): Set from configure.
	* Makerules (force-install): New phony target.
	* Makeconfig (+force): New variable.
	* Makefile: Use it in dependency list of installation targets.
	* db/Makefile: Likewise.
	* db2/Makefile: Likewise.
	* elf/Makefile: Likewise.
	* hurd/Makefile: Likewise.
	* iconv/Makefile: Likewise.
	* iconvdata/Makefile: Likewise.
	* intl/Makefile: Likewise.
	* localedata/Makefile: Likewise.
	* login/Makefile: Likewise.
	* po/Makefile: Likewise.
	* sunrpc/Makefile: Likewise.
	* sysdeps/mach/hurd/Makefile: Likewise.
	* sysdeps/standalone/i386/force_cpu386/Makefile: Likewise.
	* sysdeps/unix/sysv/linux/Makefile: Likewise.
	* timezone/Makefile: Likewise.

1998-04-08  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/unix/sysv/linux/getcwd.c: Use PATH_MAX as default
	alloc_size.  Pass return value of getcwd syscall to realloc.

1998-04-08  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* manual/socket.texi: Spelling fixes.

1998-04-08  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* elf/dl-load.c (print_search_path): Remove unused variable.

1998-04-08  Ulrich Drepper  <drepper@cygnus.com>

	* login/utmp_file.c: use __ftruncate not ftruncate.
	* sysdeps/unix/common/syscalls.list: Add __ftruncate as real name
	for system call and make ftruncate weak alias.
	* posix/unistd.h: Add prototype for __ftruncate.
	* login/utmp_daemon.c (open_socket): Use __socket not socket.
	* nscd/nscd_getpw_r.c (__nscd_getpw_r): use __snprintf and __readv
	instead of snprintf and readv.
	* nscd/nscd_getgr_r.c (__nscd_getgr_r): Use __snprintf not
	snprintf.
	* stdlib/strtod.c: Call strtoull/wcstoull's internal functions
	directly.

1998-04-08 20:06  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv_conf.c (__gconv_read_conf): Use __realpath not realpath.
	* iconv/gconv_db.c: Use __ protected regex functions.
	* iconv/gconv_simple.c: Use __mbsinit not mbsinit.
	* posix/getopt_init.c: Use __getpid not getpid.
	* posix/regex.c: Rename all global functions to start with __ and
	make old names weak aliases.
	* posix/regex.h: Adopt prototypes for this.
	* stdlib/canonicalize.c: Define __realpath, make canonicalize_file_name
	a weak alias and use __getcwd instead of getcwd.
	* stdlib/stdlib.h: Declare __realpath and __canonicalize_file_name.
	* stdlib/strtod.c: Use __btowc instead of btowc.
	* stdlib/strtol.c: Likewise.
	* sysdeps/libm-ieee754/s_matherr.c: Weaken definition of matherr.
	* sysdeps/unix/sysv/linux/errlist.c: Make sure definitions of sys_nerr
	and sys_errlist are weak.
	* wcsmbs/btowc.c: Define function as __btowc and make btowc weak alias.
	* wcsmbs/mbrtowc.c: Use __mbsinit not mbsinit.
	* wcsmbs/mbsnrtowcs.c: Likewise.
	* wcsmbs/mbsrtowcs.c: Likewise.
	* wcsmbs/wcsnrtombs.c: Likewise.
	* wcsmbs/wcsrtombs.c: Likewise.
	* wcsmbs/mbsinit.c: Define function as __mbsinit and make mbsinit
	weak alias.
	* wcsmbs/wchar.h: Declare __btowc and __mbsinit.
	* wctype/wctype.c: Define function as __wctype and make wctype
	weak alias.
	* wctype/wctype.h: Declare __wctype.

1998-04-08  Ulrich Drepper  <drepper@cygnus.com>

	* stdio-common/vfscanf.c: Perform test in %l[ handling correctly.

1998-04-07  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/unix/sysv/linux/_G_config.h (_G_stat64): Define to
	stat64.
	(_G_OPEN64, _G_LSEEK64, _G_FSTAT64): Use namespace clean
	functions.
	* sysdeps/unix/sysv/linux/alpha/syscalls.list: Add __lseek64 alias
	for __llseek.
	* sysdeps/unix/sysv/linux/sparc/sparc64/syscalls.list: Likewise.
	* sysdeps/unix/sysv/linux/llseek.c: Likewise.
	* sysdeps/generic/lseek64.c (lseek64): Rename to __lseek64, and
	make it a weak alias.
	* posix/unistd.h: Declare __lseek64.

	* libio/fileops.c (fstat) [_LIBC]: Use namespace clean function.
	(_IO_file_stat): Fix typo.
	(_IO_file_xsgetn): Update fd->_offset.  Read a multiple of the
	block size from the file.  Use __mempcpy if _LIBC.

1998-04-07 20:32  Ulrich Drepper  <drepper@cygnus.com>

	* wcsmbs/btowc.c: Fix dozends of bugs in untested code.
	* wcsmbs/mbrtowc.c: Likewise.
	* wcsmbs/mbsnrtowcs.c: Likewise.
	* wcsmbs/mbsrtowcs.c: Likewise.
	* wcsmbs/wcrtomb.c: Likewise.
	* wcsmbs/wcsnrtombs.c: Likewise.
	* wcsmbs/wcsrtombs.c: Likewise.
	* wcsmbs/wctob.c: Likewise.

	* iconv/gconv-simple.c (__gconv_transform_ascii_ucs4): Compute
	position of next output character correctly.
	(__gconv_transform_ucs4_ascii): Count used input bytes correctly.

	* stdio-common/vfprintf.c (vfprintf): Clear state before used.

	* stdlib/strtod.c: Don't use mbtowc.

1998-04-07 19:07  H.J. Lu  <hjl@gnu.org>

	* libio/fileops.c (_IO_file_xsgetn): Call __underflow () when
	what we want is smaller than a buffer.

1998-04-07 18:14  Ulrich Drepper  <drepper@cygnus.com>

	* elf/dl-support.c (_dl_important_hwcaps): Define dummy version of
	this function.

1998-04-07  Ulrich Drepper  <drepper@cygnus.com>

	* configure.in: Recognize --with-headers flag and determine
	commandline options to be used in compilation.
	* Makeconfig (+includes): Use $(sysincludes).
	* config.make.in (sysincludes): Define from SYSINCLUDES.
	* glibcbug.in: Use SYSINCLUDES information.
	Patches by Zack Weinberg.

1998-04-07 19:03  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* glibcbug.in: On linux, report version of kernel headers seen
	by compiler.

1998-04-07 16:18  Ulrich Drepper  <drepper@cygnus.com>

	* libc.map: Add __asprintf to GLIBC_2.1.
	* elf/dlerror.c: Use __asprintf, not asprintf.
	* libio/stdio.h: Declare __asprintf.
	* stdio-common/asprintf.c: Define as __asprintf and make asprintf
	a weak alias.

	* elf/dl-minimal.c: Add definition of strtol and strtoul (und friends)
	to avoid inclusion from libc_pic.a.

	* elf/dl-runtime.c: Undo last patch.

	* stdlib/strtod.c: Don't use mbtowc, use btowc.

	* sysdeps/i386/dl-machine.h (dl_platform_init): Don't use "i386"
	as default, use NULL.

1998-04-04  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* resolv/Makefile: Include ../Makeconfig - needed for building
	static NSS module.

1998-04-04  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* hesiod/Makefile (libnss_hesiod-inhibit-o): Remove condition for
	static-nss since we don't want hesiod in the static NSS.

	* nss/Makefile: Build only nss_files as static.

	* nss/function.def: Remove support for service db.

1998-04-04 09:44  H.J. Lu  <hjl@gnu.org>

	* Makeconfig (CPPFLAGS-.oS): Add -DPIC.

1998-04-04 18:29  Tim Waugh  <tim@cyberelk.demon.co.uk>

	* posix/wordexp-test.c: Make IFS per test-case.

1998-04-07 17:50  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* glibcbug.in: Report version of gcc in use.  Remove unused variable
	ENVIRONMENT.

1998-04-07  Gordon Matzigkeit  <gord@profitpress.com>

	* aclocal.m4 (LIBC_PROG_BINUTILS): Use `-print-prog-name', not
	`-print-file-name' to find as and ld.

1998-04-07  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/posix/mkstemp.c (mkstemp): Correct return value in case
	template is wrong.  Remove unused varaible `ignored'.

1998-04-07  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* libc.map: Export __libc_sa_len.

	* iconv/gconv_conf.c (MAXPATHLEN): Define correctly.

1998-04-07 08:51  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv.c: Take care for NULL arguments.
	* iconv/gconv_dl.c: Make find_func function global.
	* iconv/gconv_int.h: Add prototype for __gconv_find_func.
	Add prototypes for ASCII conversion functions.
	* iconv/gconv_simple.c: Add ASCII conversion functions.
	* locale/C-ctype.c: Correct charset name.

	* wcsmbs/Makefile (distribute): Add wcsmbsload.h.
	(routines): Remove wmemrtowcs and wmemrtombs, add wcsnlen and
	wcsmbsload.
	* wcsmbs/btowc.c: Rewrite to use iconv functionality.
	* wcsmbs/mbrtowc.c: Likewise.
	* wcsmbs/mbsnrtowcs.c: Likewise.
	* wcsmbs/mbsrtowcs.c: Likewise.
	* wcsmbs/wcrtomb.c: Likewise.
	* wcsmbs/wcsnrtombs.c: Likewise.
	* wcsmbs/wcsrtombs.c: Likewise.
	* wcsmbs/wctob.c: Likewise.
	* wcsmbs/wchar.h: Add prototype for __wcslen, wcsnlen.  Remove
	prototypes for wmemr*.
	* wcsmbs/wcslen.c: Rename to __wcslen and make wcslen weak alias.
	* wcsmbs/wcsnlen.c: New file.
	* wcsmbs/wcsmbsload.c: New file.
	* wcsmbs/wcsmbsload.h: New file.

	* manual/filesys.texi: Mention risks of tmpnam and mktemp.

	* manual/install.texi: Describe some more critical points.

	* string/string.h: Add prototype for __strnlen.
	* string/strnlen.c: Rename to __strnlen and make strnlen weak alias.

	* sysdeps/posix/mktemp.c: Rewrite to allow many more files and
	much less predictable names.
	* sysdeps/posix/mkstemp.c: Likewise.

1998-04-05  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* manual/libc.texinfo (Top): Change "file namespace" to "local
	namespace".

	* manual/socket.texi: Change file namespace to local namespace.
	(Out-of-Band Data): Remove unneeded variable link.
	(Host Address Functions): Use uint32_t consequently and add a
	number of clarifications for IPv4/IPv6, classless addresses.
	(Internet Namespace): Added some paragraphs about IPv6.
	Based on suggestions by Francesco Potorti` <F.Potorti@cnuce.cnr.it>.

1998-04-05  Philip Blundell  <Philip.Blundell@pobox.com>

	Update for draft-ietf-ipngwg-bsd-api-new-01.txt:

	* resolv/netdb.h (getnameinfo): Use `socklen_t' not `size_t'.
	(NI_NUMERICHOST, et al.): Tidy up and add comments.
	(AI_NUMERICHOST): Define.
	(getnodebyname): New prototype.
	(AI_V4MAPPED, et al.): New constants.

	* sysdeps/unix/bsd/bsd4.4/bits/sockaddr.h (SA_LEN): New macro.
	* sysdeps/generic/bits/sockaddr.h (SA_LEN): Likewise.
	* sysdeps/unix/sysv/linux/Makefile (sysdep_routines): Add sa_len
	for socket.
	* sysdeps/unix/sysv/linux/sa_len.c: New file.
	* sysdeps/unix/sysv/linux/Dist: Add sa_len.c.

	* sysdeps/unix/sysv/linux/bits/socket.h: Make multiple #inclusion safe.

	* sysdeps/generic/bits/sockunion.h: New file, defining sockaddr_union.
	* sysdeps/unix/sysv/linux/bits/sockunion.h: Likewise.
	* socket/Makefile (headers): Add bits/sockunion.h.
	* socket/sys/socket.h: Include <bits/sockunion.h>
	* inet/netinet/in.h: Include <bits/sockaddr.h> rather than
	<sys/socket.h>, to avoid getting sockaddr_union defined.
	* sysdeps/generic/bits/socket.h: Allow inclusion from netinet.in.h.
	* sysdeps/unix/sysv/linux/bits/socket.h: Likewise.
	* sysdeps/unix/sysv/linux/mips/bits/socket.h: Likewise.

	* sysdeps/unix/sysv/linux/if_index.c: Remove use of SIOCGIFCOUNT
	(2.2.x kernels won't have it).

1998-04-06 21:21  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/mach/hurd/bits/ioctls.h: Allow inclusion from hurd/ioctl.h.
	* sysdeps/mach/hurd/dl-sysdep.c: Use __ptr_t not caddr_t.
	* iconv/gconv_conf.c: Define MAXPATHLEN if not available before.
	Patches by UCHIYAMA Yasushi <uch@nop.or.jp>.

1998-04-05  Philip Blundell  <Philip.Blundell@pobox.com>

	* manual/socket.texi (Socket Addresses): Fix a typo.
	(Interface Naming): New section.

1998-04-05 23:29  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* configure.in: Check for CC using $ac_tool_prefix, to handle
	cross-compilation.  Use AC_CHECK_TOOL to find MiG.
	* config.make.in: Add MIG to be substituted.
	* mach/Machrules: Don't define MIG variable.

	Patch by Gordon Matzigkeit <gord@profitpress.com>.

1998-04-05  Mark Kettenis  <kettenis@phys.uva.nl>

	* elf/dl-load.c (decompose_rpath): Use local_strdup instead of
	strdupa to copy rpath.

1998-04-05  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* configure.in: Fix gcc version check.

	* aclocal.m4 (AC_PROG_CHECK_VER): Rewritten to make less
	confusing.

1998-03-31  Mark Kettenis  <kettenis@phys.uva.nl>

	* sysdeps/unix/bsd/unlockpt.c (unlockpt): Call __ptsname_r instead
	of ptsname_r.

	* stdlib/stdlib.h: Change prototype of ptsname_r to make it more
	like ttyname_r.
	* sysdeps/unix/sysv/linux/ptsname.c (__ptsname_r): Likewise.
	* sysdeps/generic/ptsname.c (__ptsname_r): Likewise.
	* sysdeps/unix/grantpt.c (grantpt): Change check of return value
	of __ptsname_r accordingly.
	* login/openpty.c (openpty): Likewise.

1998-06-04 18:47  H.J. Lu  <hjl@gnu.org>

	* libio/fileops.c (_IO_file_xsgetn): Adjust pointers.

1998-04-06 13:58  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makeconfig (libtypes): Redo H.J. Lu's change of 1998-03-27.

	* Makerules: Re-add missing rule for $(objpfx)stamp.oS.

1998-04-06  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* nis/ypclnt.c: Don't give YPERR_RPC back, use the do_ypcall
	return value for better error checking.

1998-04-06  Jakub Jelinek <jj@sunsite.ms.mff.cuni.cz>

	* elf/dl-runtime.c (fixup, profile_fixup): The final arg to
	_dl_lookup_*symbol is DL_LOOKUP_NOPLT not ELF_MACHINE_JMP_SLOT.

	* elf/elf.h (EM_SPARC64): Remove.
	(EM_SPARC32PLUS, EM_SPARCV9): Add.
	(HWCAP_SPARC_V9): Add.

	* elf/ldsodefs.h (_dl_hwcap): Declare.
	* sysdeps/sparc/sparc32/dl-machine.h (_dl_hwcap, _dl_hwcap_mask):
	Weaken so dlopen from static progies works.
	(WEAKADDR): New macro.
	(elf_machine_matches_host): Accept EM_SPARC32PLUS on a v9 cpu.
	(LD_SO_PRELOAD): New macro.
	(elf_machine_fixup_plt): Cope with weak _dl_hwcap.
	(elf_machine_rela): Weaken _dl_rtld_map.

	* sysdeps/unix/sysv/linux/sparc/sparc32/clone.S: Rename __libc_clone
	to __clone, and remove the later's alias.
	* sysdeps/unix/sysv/linux/sparc/sparc64/clone.S: Likewise.

	* sysdeps/unix/sysv/linux/sparc/sparc32/sigaction.c: Copy to/from
	the kernel's structure.

	* sysdeps/unix/sysv/linux/sparc/sys/kernel_termios.h: New file.
	Sparc needs a custom value of __KERNEL_NCCS.

1998-04-06  Richard Henderson  <rth@cygnus.com>

	* sysdeps/generic/libc-start.c: Allow init and fini to be null.

	* sysdeps/sparc/sparc32/elf/start.S: Rewrite for __libc_start_main.
	* sysdeps/sparc/sparc64/elf/start.S: Likewise.

1998-04-06  Richard Henderson  <rth@cygnus.com>

	* sysdeps/unix/sysv/linux/sparc/sparc32/socket.S: Revert 03-01 change,
	as the buffer is not properly aligned.
	Reported by Juan Cespedes <cespedes@debian.org>.

1998-04-05  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* manual/examples/mkfsock.c (make_named_socket): Use AF_LOCAL
	instead of AF_FILE.

1998-04-05  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv_simple.c: Rewrite to not make use of the mb*towc*
	and wc*tomb* functions.

1998-04-04 15:16  Philip Blundell  <Philip.Blundell@pobox.com>

	* sysdeps/unix/start.c: Fix typo.

1998-04-04  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv_db.c (__gconv_find_transform): Fix typo.

1998-04-03 23:38  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/libm-ieee754/e_acos.c: Optimize by splitting large
	expressions and using array variables.
	* sysdeps/libm-ieee754/e_asin.c: Likewise.
	* sysdeps/libm-ieee754/e_j0.c: Likewise.
	* sysdeps/libm-ieee754/e_j1.c: Likewise.
	* sysdeps/libm-ieee754/e_log.c: Likewise.
	* sysdeps/libm-ieee754/e_pow.c: Likewise.
	* sysdeps/libm-ieee754/k_cos.c: Likewise.
	* sysdeps/libm-ieee754/k_sin.c: Likewise.
	* sysdeps/libm-ieee754/k_tan.c: Likewise.
	* sysdeps/libm-ieee754/s_atan.c: Likewise.
	* sysdeps/libm-ieee754/s_erf.c: Likewise.
	* sysdeps/libm-ieee754/s_expm1.c: Likewise.
	* sysdeps/libm-ieee754/s_log1p.c: Likewise.
	Patch by Naohiko Shimizu <nshimizu@et.u-tokai.ac.jp>.

1998-04-03 23:17  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv.c: Rewrite of the low-level of gconv.
	* iconv/gconv.h: Likewise.
	* iconv/gconv_builtin.h: Likewise.
	* iconv/gconv_close.c: Likewise.
	* iconv/gconv_db.: Likewise.
	* iconv/gconv_dl.c: Likewise.
	* iconv/gconv_int.h: Likewise.
	* iconv/gconv_open.c: Likewise.
	* iconv/gconv_simple.c: Likewise.
	* iconvdata/8bit-gap.c: Adapt for rewrite.
	* iconvdata/8bit-generic.c: Likewise.
	* iconvdata/euckr.c: Likewise.
	* iconvdata/iso646.c: Likewise.
	* iconvdata/iso6937.c: Likewise.
	* iconvdata/iso8859-1.c: Likewise.
	* iconvdata/johab.c: Likewise.
	* iconvdata/sjis.c: Likewise.
	* iconvdata/t61.c: Likewise.
	* iconvdata/uhc.c: Likewise.

1998-04-03 15:34  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv_int.h: New file.  Internal header.
	* iconv/Makefile (distribute): Add gconv_int.h.
	* iconv/gconv.h: Remove definition which are now in gconv_int.h.
	* iconv/gconv_builtin.c: Adopt for gconv_int.h introduction.
	* iconv/gconv_close.c: Likewise.
	* iconv/gconv_conf.c: Likewise.
	* iconv/gconv_db.c: Likewise.
	* iconv/gconv_dl.c: Likewise.
	* iconv/gconv_int.h: Likewise.
	* iconv/gconv_open.c: Likewise.
	* iconv/iconv.c: Likewise.
	* iconv/iconv_close.c: Likewise.
	* iconv/iconv_open.c: Likewise.
	* iconv/iconv_prog.c: Likewise.

1998-04-03  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/ksc5601.c: Correct Perl scripts and make them omit the
	missing braces.

1998-04-03  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* nis/nis_table.c (nis_list): Fix FOLLOW_PATH and ALL_RESULTS flags.

1998-04-03 16:29  Philip Blundell  <pb@nexus.co.uk>

	Based on patch from Pat Beirne:
	* sysdeps/unix/sysv/linux/arm/sysdep.S (__syscall_error): Same for
	PIC and non-PIC now.  Correctly negate error number.
	(errno): Use `%' not `@' in .type directives.

1998-04-03  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/i386/strtok.S: Change to use single exit point.
	* sysdeps/i386/i686/strtok.S: Likewise.

1998-04-02  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/generic/dl-procinfo.h (_dl_hwcap_string): Provide
	default.

1998-04-02  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makerules (installed-libcs): Fix typo.

1998-04-02  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* iconvdata/Makefile ($(objpfx)UHC.so): Link against libKSC.
	(UHC-routines): Remove ksc5601.

1998-04-03 16:29  Philip Blundell  <pb@nexus.co.uk>

	* sysdeps/unix/sysv/linux/arm/sysdep.h (PSEUDO): Fix typo
	introduced in last change.

1998-04-03 06:22  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/getcwd.c: Make compilable with kernels
	before 2.1.92.

1998-04-02  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/syscalls.list: Add s_getcwd entry.

	* stdlib/isomac.c: Use -isystem instead of -I for system include
	dir.

1998-03-30 08:05  H.J. Lu  <hjl@gnu.org>

	* resolv/res_comp.c (underscorechar): New.
	(middlechar): Allow '_'.

1998-04-02  Ulrich Drepper  <drepper@cygnus.com>

	* intl/explodename.c (stdlib.h): Include that file only if
	STDC_HEADERS or _LIBC.
	(string.h): Include that file only if HAVE_STRING_H or _LIBC.
	Patch by Philippe De Muyter <phdm@macqel.be>.

1998-04-01 21:08  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* aclocal.m4 (AC_PROG_CC_LOCAL): Remove superfluous tests.
	(AC_PROG_CHECK_VER): New macro.
	* configure.in: Use AC_PROG_CHECK_VER to check versions of
	gcc, gmake, msgfmt, makeinfo.  Remove superfluous tests.

1998-04-02 15:13  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/i386/i686/sysdep.h: New file.
	* sysdeps/i386/i686/strtok.S: New file
	* sysdeps/i386/i686/strtok_r.S: New file

1998-04-02  Mark Kettenis  <kettenis@phys.uva.nl>

	* posix/unistd.h: [__USE_FILE_OFFSET64] (lseek): Change return
	type to __off64_t.
	* libio/stdio.h [__USE_FILE_OFFSET64] (fseeko): Declare offset
	parameter as __off64_t instead of __off_t.
	(ftello): Make alias for ftello64 instead of ftello.  Change
	return type to __off64_t.

1998-04-02  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/i386/bits/string.h: Fix various typos.
	Patch by Horst von Brand <vonbrand@sleipnir.valparaiso.cl>.

	* sysdeps/unix/sysv/linux/getcwd.c: Use getcwd syscall in Linux 2.1.92.

1998-04-02  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/i386/chown.c: Handle old kernels without
	lchown syscall correctly.  [PR libc/541].

1998-04-02 11:45  Ulrich Drepper  <drepper@cygnus.com>

	* localedata/Makefile: Correct testsuite rules.

	* iconvdata/gconv-modules: Set cost of ISO646 module to 2.
	* iconvdata/iso646.c: Fix conversion from UCS4.

	* elf/ldsodefs.h: Mark internal function with internal_function.
	* elf/dl-addr.c: Likewise.
	* elf/dl-close.c: Likewise.
	* elf/dl-debug.c: Likewise.
	* elf/dl-deps.c: Likewise.
	* elf/dl-error.c: Likewise.
	* elf/dl-fini.c: Likewise.
	* elf/dl-init.c: Likewise.
	* elf/dl-load.c: Likewise.
	* elf/dl-lookup.c: Likewise.
	* elf/dl-object.c: Likewise.
	* elf/dl-open.c: Likewise.
	* elf/dl-profile.c: Likewise.
	* elf/dl-reloc.c: Likewise.
	* elf/dl-runtime.c: Likewise.
	* elf/dl-symbol.c: Likewise.
	* elf/dl-version.c: Likewise.
	* elf/dlerror.c: Likewise.
	* sysdeps/generic/dl-sysdep.c: Likewise.
	* sysdeps/i386/dl-machine.h: Likewise.
	* intl/finddomain.c: Likewise.
	* intl/gettextP.h: Likewise.
	* intl/loadmsgcat.c: Likewise.

1998-04-01 17:38  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv_simple.c: New builtins for UCS en/decoding.
	* iconv/gconv_builtin.h: Add definitions for new builtins.
	* iconv/gconv.h: Add prototypes for new builtins.

	* iconvdata/Makefile (modules): Add ISO646.
	Add rules for ISO646 module.
	(distribute): Add iso646.c.
	* iconvdata/gconv-modules: Add module and alias definition for
	ISO646 charsets.
	* iconvdata/iso646.c: New file.

1998-04-01 16:10  Ulrich Drepper  <drepper@cygnus.com>

	* libc.map: Add __gconv_alias_db, __gconv_nmodules, __gconv_modules_db.
	* iconv/iconv_prog.c: Implement --list option to print available
	coded character sets.

1998-04-01 18:10  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	Make fread() read large blocks straight to the user buffer.

	* libio/fileops.c (_IO_file_xsgetn): New function.
	(_IO_file_jumps): Use it.
	* libio/libioP.h: Prototype it.

1998-04-01  Ulrich Drepper  <drepper@cygnus.com>

	* iconv/gconv_conf.c (builtin_aliases): New variable.
	(__gconv_read_conf): Add builtin aliases.
	* iconv/gconv_builtin.c (builtin_map): Define BUILTIN_ALIAS as an
	noop macro before including gconv_builtin.h.
	* iconv/gconv_builtin.h: Add alias names.

	* iconv/gconv_simple.c (__gconv_transform_ucs4_utf8): Compute
	number of converted bytes correctly.

1998-04-01  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* sunrpc/clnt_udp.c (clntudp_call): Don't check the xid if
	we only wait for a replay.

1998-04-01  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/Makefile: Finally fix dependencies for JOHAB and
	EUC-KR modules.

1998-04-1 16:52  Philip Blundell  <pb@nexus.co.uk>

	* sysdeps/unix/sysv/linux/arm/socket.S: Correct test for error and
	use PLTJMP() rather than explicit (PLT).

	* sysdeps/arm/elf/start.S: Leave most of the initialisation for
	__libc_start_main().

	Based on patch from Pat Beirne:
	* sysdeps/unix/sysv/linux/arm/sysdep.h (SYSCALL_ERROR_HANDLER):
	Always define, not only #ifndef PIC.
	(DO_CALL): Pass fifth argument correctly in R4.
	(PSEUDO): Correct test for error, call syscall_error through PLT
	if PIC.

1998-03-31 10:51  Philip Blundell  <pb@nexus.co.uk>

	* sysdeps/unix/sysv/linux/netash/ash.h: Fix typos and add new
	definitions.

1998-04-01  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/Makefile: Remove extra dependencies for EUC-KR.so and
	JOHAB.so.

1998-04-01 13:20  Mark Kettenis  <kettenis@phys.uva.nl>

	* io/Makefile (static-only-routines): Add stat64, fstat64 and
	lstat64.

1998-03-30  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* manual/Makefile: Use object-suffixes-for-libc instead of
	object-suffixes.
	* rpm/Makefile (install-lib): Likewise.

1998-03-30  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/unix/sysv/linux/lddlibc4.c: Fix OB1 bug.

	* sysdeps/unix/sysv/linux/configure.in: Match $machine against
	`m68*', not only `m68k'.

1998-04-01 10:50  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/unix/sysv/linux/m68k/dl-librecon.h: New file.

	* sysdeps/unix/sysv/linux/m68k/Makefile [$(subdir)=elf]: Build and
	install lddlibc4.

1998-03-31  Ulrich Drepper  <drepper@cygnus.com>

	* iconvdata/Makefile: Use libKSC shared object in JOHAB and
	EUC-KR.

	* sysdeps/unix/sysv/linux/bits/socket.h (PF_FILE): Correct
	comment.

1998-03-30 08:43  H.J. Lu  <hjl@gnu.org>

	* sysdeps/alpha/elf/start.S: Let __libc_start_main do most of
	the init stuff.

1998-03-31  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/alpha/syscalls.list: Wrapper for
	adjtimex syscall.
	* sysdeps/unix/sysv/linux/alpha/Makefile (sysdep_routines): Add
	adjtimex.
	Patches by Dominik Kubla <kubla@sundiver.zdv.uni-mainz.de>.

1998-03-31  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* Makerules (install): Change comment for libc.so following the
	libc_nonshared changes.

1998-03-31  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/generic/dl-sysdep.c (_dl_important_hwcaps): Fix typo.

	* iconvdata/gap.pl: Avoid using %#06x.

1998-03-31 19:55  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* Makerules: Use $? instead of S^ when invoking ar.

1998-03-31  Ulrich Drepper  <drepper@cygnus.com>

	* db2/compat.h: Allow EFTYPE being defined.
	* sysdeps/unix/bsd/bits/signum.h: Add definition for SIG_HOLD.
	* sysdeps/unix/bsd/ulimit.c: Include <ulimit.h>.
	* sysdeps/mach/hurd/bits/fcntl.h: Add O_LARGEFILE.
	* sysdeps/mach/bits/libc-lock.h: Fix typo.
	(__libc_once): Correctly unlock semaphore.
	* sysdeps/mach/hurd/dl-sysdep.c: Include <elf/ldsodefs.h>.
	* sysdeps/unix/bsd/getpt.c: Fix typo.
	Patches by UCHIYAMA Yasushi <uch@ddd.scei.sony.co.jp>.

1998-03-31  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/bits/socket.h (MSG_*): Also define as
	macros.

1998-03-31 18:11  Ulrich Drepper  <drepper@cygnus.com>

	* include/mntent.h: New file.

	* elf/Makefile (trusted-dirs.h): Append slash to filename.
	* elf/dl-load.c: Rewrite search path handling.
	* elf/ldsodefs.h (struct r_search_path_elem): Change for rewrite.
	* elf/rtld.c (process_envvars): Recognize LD_HWCAP_MASK.
	* sysdeps/generic/dl-sysdep.h (_dl_important_hwcap): New function.
	* elf/ldsodefs.h: Add prototype.

1998-03-30  Ulrich Drepper  <drepper@cygnus.com>

	* nss/nsswitch.c (__nss_lookup): Adjust comment.

	* sysdeps/generic/dl-sysdep.c (_dl_important_hwcaps): New
	function.

	* sysdeps/generic/dl-procinfo.h (HWCAP_IMPORTANT): New definition.

	* sysdeps/unix/sysv/linux/i386/dl-procinfo.h (_dl_hwcap_string):
	New function.
	(HWCAP_IMPORTANT): New definition.

1998-03-30 17:26  H.J. Lu  <hjl@gnu.org>

	* elf/dl-open.c (_dl_open): Fix a typo.
	(_dl_global_scope_alloc): Make it static.

1998-03-30 17:20  Ulrich Drepper  <drepper@cygnus.com>

	* Makerules: Remove duplicate rules to handle stamp.oS.

1998-03-30  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* manual/examples/inetsrv.c (main): Change prototype of
	make_socket following change in mkisock.c.

	* manual/examples/inetcli.c (SERVERHOST): Use mescaline.gnu.org as
	example host.
	(main): Change prototype of init_sockaddr following change in
	isockadd.c.

	* manual/examples/mkisock.c (make_socket): Use uint16_t for port.
	* manual/examples/isockad.c (init_sockaddr): Likewise.

	* manual/examples/mkfsock.c (make_named_socket): Removed blank
	lines for clarification.
	(make_named_socket): Use strncpy instead of strcpy.
	Reported by Francesco Potorti` <F.Potorti@cnuce.cnr.it>.

1998-03-30 13:28  Ulrich Drepper  <drepper@cygnus.com>

	* Makefile (parent-mostlyclean): Use object-suffixes-for-libc for
	determining libs to remove.
	(postclean): Add soversions.mk.
	* Makerules (common-mostlyclean): Add tests-static and generated
	files.

1998-03-30 12:53  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/i386/i486/bits/string.h (__strcat_c) [__i686__]: Correct
	scanning for \0.
	(__strncat_g): Add i686 specific code.

1998-03-30  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* manual/install.texi (Reporting Bugs): Ask to include section
	names in reports.

1998-03-28  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* sysdeps/unix/sysv/linux/Makefile ($(objpfx)syscall-%.h): Emit
	guard against direct inclusion.

1998-03-28  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	Rework support for libc_nonshared.a:
	* Makeconfig (object-suffixes-for-libc): New variable.
	* Rules: Remove handling of static-only and shared-only routines.
	* Makerules: Handle them here instead.  Use
	object-suffixes-for-libc instead of object-suffixes when dealing
	with libc objects.
	(object-suffixes-for-rules): Remove variable.
	(elide-routines.oS): Elide all routines except static-only
	routines.
	($(objpfx)stamp.oS): Special rule for when static-only-routines is
	empty.
	(installed-libcs): Remove special case for .oS.
	(rmobjs): Likewise.

1998-03-28  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* Makefile (do-collate-test, do-xfrm-test, do-tst-fmon,
	do-tst-rpmatch): New targets.
	(test): Use them.
	(install-locales): Ignore comment lines.

1998-03-28  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* elf/Makefile ($(objpfx)ld.so): Depend on version script.
	($(objpfx)trusted-dirs.h): Depend also on $(..)Makeconfig.
	($(objpfx)rtldtbl.h): Likewise.
	(CPPFLAGS-dl-load.c): Fix reference to object directory.

1998-03-30 09:36  Ulrich Drepper  <drepper@cygnus.com>

	* manual/string.texi (Finding Tokens in a String): Extend strsep
	description and correct example.

1998-03-28  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* manual/socket.texi: Remove misguided explicit line breaks and
	fix the formatting problem instead by reformulating the
	paragraphs.
	* manual/filesys.texi: Likewise.
	* manual/conf.texi: Likewise.  Don't typeset table with index
	fonts, that looks worse than a minimally overfull line.

1998-03-28  Andreas Schwab  <schwab@issan.informatik.uni-dortmund.de>

	* nscd/Makefile (nscd-modules): Move definition outside of
	conditional.

	* pwd/Makefile: Use have-thread-library to test for thread
	library.

1998-03-30  Andreas Jaeger  <aj@arthur.rhein-neckar.de>

	* nss/getXXent_r.c (INTERNAL): Remove unused variable current_nip.

	* iconvdata/uhc.c (gconv): Remove unused variable idx.

1998-03-30  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/Dist: Add lddlibc4.c.

1998-03-29  Ulrich Drepper  <drepper@cygnus.com>

	* nss/getXXent_r.c: Correctly handle failing setXXent function.

	* inet/netinet/in.h: Use cast to uint32_t in IPv4 macros.
	Reported by Andreas Jaeger.

1998-03-29 20:59  Ulrich Drepper  <drepper@cygnus.com>

	* elf/Makefile: Fix typo.
	(distribute): Add dl-librecon.h.
	* elf/ldd.bash.in: Collect output of ldd --verify in verify_out.
	* elf/ldd.sh.in: Likewise.
	* elf/ldsodefs.h: Declare _dl_correct_cache_id.
	* elf/rtld.c (dl_main): In --verify mode allow platform specifc action.
	Use strsep correctly.
	(process_envvars): Allow platform specific variables.
	* sysdeps/generic/dl-cache.c (_dl_correct_cache_id): New variable.
	(_dl_load_cache_lookup): Test cache IDs found against
	_dl_correct_cache_id.
	* sysdeps/generic/dl-librecon.h: New file.
	* sysdeps/unix/sysv/linux/dl-librecon.h: New file.

	* sysdeps/unix/sysv/linux/lddlibc4.c: Include error.h.

1998-03-29 16:50  Ulrich Drepper  <drepper@cygnus.com>

	* config.make.in (ldd-rewrite-script): New variable.
	* configure.in: Substitute ldd-rewrite-script.
	* elf/Makefile: Rewrite rules to generate ldd script.
	* elf/ldd.bash.in: Allow handling of non-ELF binaries.
	* elf/ldd.sh.in: Likewise.
	* sysdeps/unix/sysv/linux/Makefile: Remove rule to install lddlibc4.
	* sysdeps/unix/sysv/linux/configure.in: Define ldd_rewrite_script to
	point to sed script for libc4 handling insertion for ix86, m68, SPARC.
	* sysdeps/unix/sysv/linux/i386/Makefile: Add rule to install lddlibc4.
	* sysdeps/unix/sysv/linux/ldd-rewrite.sed: New file.

1998-03-26 15:20  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* inet/rcmd.c (iruserok): Remain setuid to the local user
	while .rhosts is actually read, to make .rhosts-over-NFS work
	(PR libc/524).  Use iruserfopen() for security checks on both
	hosts.equiv and .rhosts.  General cleanup.
	(iruserfopen): New function, performs careful checking on
	hosts.equiv/.rhosts files.  Disallows all the old forbidden
	stuff plus hard links to files.

1998-03-29 09:26  Ulrich Drepper  <drepper@cygnus.com>

	* setjmp/tst-setjmp.c: Don't test __setjmp, test _setjmp instead.

	* nss/getXXent_r.c (REENTRANT_GETNAME): Avoid endless loop.

1998-03-29 02:02  H.J. Lu  <hjl@gnu.org>

	* sysdeps/i386/i486/bits/string.h: Fix typos.

1998-03-28 00:13  H.J. Lu  <hjl@gnu.org>

	* sysdeps/unix/sysv/linux/alpha/readdir.c (__readdir64): New
	strong alias.

	* sysdeps/unix/sysv/linux/alpha/syscalls.list (socket): Added.

	* libc.map (__ieee_get_fp_control, __ieee_set_fp_control):
	Added.  Used by libm.so on alpha.

1998-03-28  Thorsten Kukuk  <kukuk@vt.uni-paderborn.de>

	* intl/bindtextdom.c [_LIBC]: Define strdup only if not yet
	defined.

1998-03-27 07:29  H.J. Lu  <hjl@gnu.org>

	* Makerules (object-suffixes-for-rules): Add .oS only for
	building shared library.
	Add ranlib rule for nonshared library.
	(rmobjs): Fix typo.

	* Makeconfig (libtype.oS, CFLAGS-.oS, CPPFLAGS-.oS): Moved
	into for shared library only.
	(CPPFLAGS-.oS): Add -DPIC.
	(libtypes): Use $(object-suffixes-for-rules) instead of
	$(object-suffixes).

1998-03-28  Ulrich Drepper  <drepper@cygnus.com>

	* sysdeps/unix/sysv/linux/Makefile (inhibit-stdio_lim): Compile
	and install lddlibc4.

1998-03-28 09:13  Zack Weinberg  <zack@rabi.phys.columbia.edu>

	* iconvdata/gap.pl: Gobble rest of line with a scalar, not a
	hash.
	* iconvdata/gaptab.pl: Likewise.

1998-03-27 22:46  Ulrich Drepper  <drepper@cygnus.com>

	* Rules: Allow Makefiles to specify test-static for tests which
	cannot be linked dynamically.
	* math/Makefile: Move atest-exp, atest-sincos, atest-exp2 to
	tests-static.

	* libc.map: Add __nss_passwd_lookup, __nss_group_lookup, __nss_next.

	* misc/error.c: Pretty print.

